/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Llib/process.scm -o objs/obj_p/Llib/process.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
extern obj_t c_process_xstatus(obj_t);
extern obj_t c_process_list();
static obj_t BGl_requirezd2initializa7ationz75zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t);
static obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__processz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62processzd2killzb0zz__processz00(obj_t, obj_t);
static obj_t BGl_z62runzd2processzb0zz__processz00(obj_t, obj_t, obj_t);
static obj_t BGl_list1678z00zz__processz00 = BUNSPEC;
static obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t, obj_t);
static obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t, obj_t);
static obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2killzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_processzf3zf3zz__processz00(obj_t);
static obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__processz00();
static obj_t BGl_genericzd2initzd2zz__processz00();
BGL_EXPORTED_DECL bool_t BGl_processzd2waitzd2zz__processz00(obj_t);
extern obj_t c_process_kill(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__processz00();
static obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__processz00();
BGL_EXPORTED_DECL obj_t BGl_processzd2nilzd2zz__processz00();
BGL_EXPORTED_DECL obj_t BGl_processzd2stopzd2zz__processz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__processz00();
static obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t c_process_wait(obj_t);
extern obj_t bgl_reverse_bang(obj_t);
extern obj_t bgl_process_nil();
static obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t, obj_t);
extern obj_t c_process_stop(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2continuezd2zz__processz00(obj_t);
static obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t, obj_t);
extern obj_t c_process_continue(obj_t);
BGL_EXPORTED_DECL int BGl_processzd2pidzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_runzd2processzd2zz__processz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__processz00();
static obj_t BGl_z62processzf3z91zz__processz00(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__processz00();
static obj_t BGl_keyword1679z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t, int);
extern obj_t c_unregister_process(obj_t);
extern obj_t c_run_process(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_keyword1681z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1683z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1685z00zz__processz00 = BUNSPEC;
extern obj_t bstring_to_keyword(obj_t);
static obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t, obj_t);
static obj_t BGl_keyword1687z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1689z00zz__processz00 = BUNSPEC;
extern obj_t bgl_close_input_port(obj_t);
static obj_t BGl_z62processzd2listzb0zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t);
extern obj_t c_process_send_signal(obj_t, int);
static obj_t BGl_keyword1691z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1693z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1695z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t);
static obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t);
static obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t);
static obj_t BGl_argzd2errorze70z35zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2listzd2zz__processz00();
extern obj_t bgl_close_output_port(obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern bool_t c_process_alivep(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2errorzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2err1704z00, BGl_z62processzd2errorzd2portz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2nilzd2envz00zz__processz00, BgL_bgl_za762processza7d2nil1705z00, BGl_z62processzd2nilzb0zz__processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2killzd2envz00zz__processz00, BgL_bgl_za762processza7d2kil1706z00, BGl_z62processzd2killzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1700z00zz__processz00, BgL_bgl_string1700za700za7za7_1707za7, "bstring", 7 );
DEFINE_STRING( BGl_string1701z00zz__processz00, BgL_bgl_string1701za700za7za7_1708za7, "&close-process-ports", 20 );
DEFINE_STRING( BGl_string1702z00zz__processz00, BgL_bgl_string1702za700za7za7_1709za7, "&unregister-process", 19 );
DEFINE_STRING( BGl_string1703z00zz__processz00, BgL_bgl_string1703za700za7za7_1710za7, "__process", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2outputzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2out1711z00, BGl_z62processzd2outputzd2portz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2waitzd2envz00zz__processz00, BgL_bgl_za762processza7d2wai1712z00, BGl_z62processzd2waitzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_closezd2processzd2portszd2envzd2zz__processz00, BgL_bgl_za762closeza7d2proce1713z00, BGl_z62closezd2processzd2portsz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_unregisterzd2processzd2envz00zz__processz00, BgL_bgl_za762unregisterza7d21714z00, BGl_z62unregisterzd2processzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2exitzd2statuszd2envzd2zz__processz00, BgL_bgl_za762processza7d2exi1715z00, BGl_z62processzd2exitzd2statusz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2continuezd2envz00zz__processz00, BgL_bgl_za762processza7d2con1716z00, BGl_z62processzd2continuezb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1664z00zz__processz00, BgL_bgl_string1664za700za7za7_1717za7, "/builddir/build/BUILD/bigloo4.3f/runtime/Llib/process.scm", 57 );
DEFINE_STRING( BGl_string1665z00zz__processz00, BgL_bgl_string1665za700za7za7_1718za7, "&process-pid", 12 );
DEFINE_STRING( BGl_string1666z00zz__processz00, BgL_bgl_string1666za700za7za7_1719za7, "process", 7 );
DEFINE_STRING( BGl_string1667z00zz__processz00, BgL_bgl_string1667za700za7za7_1720za7, "&process-output-port", 20 );
DEFINE_STRING( BGl_string1668z00zz__processz00, BgL_bgl_string1668za700za7za7_1721za7, "&process-input-port", 19 );
DEFINE_STRING( BGl_string1669z00zz__processz00, BgL_bgl_string1669za700za7za7_1722za7, "&process-error-port", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzf3zd2envz21zz__processz00, BgL_bgl_za762processza7f3za7911723za7, BGl_z62processzf3z91zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1670z00zz__processz00, BgL_bgl_string1670za700za7za7_1724za7, "&process-alive?", 15 );
DEFINE_STRING( BGl_string1671z00zz__processz00, BgL_bgl_string1671za700za7za7_1725za7, "&process-wait", 13 );
DEFINE_STRING( BGl_string1672z00zz__processz00, BgL_bgl_string1672za700za7za7_1726za7, "&process-exit-status", 20 );
DEFINE_STRING( BGl_string1673z00zz__processz00, BgL_bgl_string1673za700za7za7_1727za7, "&process-send-signal", 20 );
DEFINE_STRING( BGl_string1674z00zz__processz00, BgL_bgl_string1674za700za7za7_1728za7, "bint", 4 );
DEFINE_STRING( BGl_string1675z00zz__processz00, BgL_bgl_string1675za700za7za7_1729za7, "&process-kill", 13 );
DEFINE_STRING( BGl_string1676z00zz__processz00, BgL_bgl_string1676za700za7za7_1730za7, "&process-stop", 13 );
DEFINE_STRING( BGl_string1677z00zz__processz00, BgL_bgl_string1677za700za7za7_1731za7, "&process-continue", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2alivezf3zd2envzf3zz__processz00, BgL_bgl_za762processza7d2ali1732z00, BGl_z62processzd2alivezf3z43zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2pidzd2envz00zz__processz00, BgL_bgl_za762processza7d2pid1733z00, BGl_z62processzd2pidzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2inputzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2inp1734z00, BGl_z62processzd2inputzd2portz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1680z00zz__processz00, BgL_bgl_string1680za700za7za7_1735za7, "pipe", 4 );
DEFINE_STRING( BGl_string1682z00zz__processz00, BgL_bgl_string1682za700za7za7_1736za7, "wait", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2stopzd2envz00zz__processz00, BgL_bgl_za762processza7d2sto1737z00, BGl_z62processzd2stopzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1684z00zz__processz00, BgL_bgl_string1684za700za7za7_1738za7, "fork", 4 );
DEFINE_STRING( BGl_string1686z00zz__processz00, BgL_bgl_string1686za700za7za7_1739za7, "input", 5 );
DEFINE_STRING( BGl_string1688z00zz__processz00, BgL_bgl_string1688za700za7za7_1740za7, "output", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_runzd2processzd2envz00zz__processz00, BgL_bgl_za762runza7d2process1741z00, va_generic_entry, BGl_z62runzd2processzb0zz__processz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2listzd2envz00zz__processz00, BgL_bgl_za762processza7d2lis1742z00, BGl_z62processzd2listzb0zz__processz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1690z00zz__processz00, BgL_bgl_string1690za700za7za7_1743za7, "null", 4 );
DEFINE_STRING( BGl_string1692z00zz__processz00, BgL_bgl_string1692za700za7za7_1744za7, "error", 5 );
DEFINE_STRING( BGl_string1694z00zz__processz00, BgL_bgl_string1694za700za7za7_1745za7, "host", 4 );
DEFINE_STRING( BGl_string1696z00zz__processz00, BgL_bgl_string1696za700za7za7_1746za7, "env", 3 );
DEFINE_STRING( BGl_string1697z00zz__processz00, BgL_bgl_string1697za700za7za7_1747za7, "run-process", 11 );
DEFINE_STRING( BGl_string1698z00zz__processz00, BgL_bgl_string1698za700za7za7_1748za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string1699z00zz__processz00, BgL_bgl_string1699za700za7za7_1749za7, "&run-process", 12 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2sendzd2signalzd2envzd2zz__processz00, BgL_bgl_za762processza7d2sen1750z00, BGl_z62processzd2sendzd2signalz62zz__processz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__processz00) );
ADD_ROOT( (void *)(&BGl_list1678z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1679z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1681z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1683z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1685z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1687z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1689z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1691z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1693z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1695z00zz__processz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"process?\" \"Llib/process.scm\" 5120) \"BGl_processzf3zf3zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&process?\" \"Llib/process.scm\" 5120) \"BGl_z62processzf3z91zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"process-nil\" \"Llib/process.scm\" 5394) \"BGl_processzd2nilzd2zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&process-nil\" \"Llib/process.scm\" 5394) \"BGl_z62processzd2nilzb0zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"process-pid\" \"Llib/process.scm\" 5666) \"BGl_processzd2pidzd2zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&process-pid\" \"Llib/process.scm\" 5666) \"BGl_z62processzd2pidzb0zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"process-output-port\" \"Llib/process.scm\" 5948) \"BGl_processzd2outputzd2portz00zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&process-output-port\" \"Llib/process.scm\" 5948) \"BGl_z62processzd2outputzd2portz62zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"process-input-port\" \"Llib/process.scm\" 6246) \"BGl_processzd2inputzd2portz00zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&process-input-port\" \"Llib/process.scm\" 6246) \"BGl_z62processzd2inputzd2portz62zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"process-error-port\" \"Llib/process.scm\" 6542) \"BGl_processzd2errorzd2portz00zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&process-error-port\" \"Llib/process.scm\" 6542) \"BGl_z62processzd2errorzd2portz62zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"process-alive?\" \"Llib/process.scm\" 6838) \"BGl_processzd2alivezf3z21zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&process-alive?\" \"Llib/process.scm\" 6838) \"BGl_z62processzd2alivezf3z43zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"process-wait\" \"Llib/process.scm\" 7126) \"BGl_processzd2waitzd2zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&process-wait\" \"Llib/process.scm\" 7126) \"BGl_z62processzd2waitzb0zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"process-exit-status\" \"Llib/process.scm\" 7444) \"BGl_processzd2exitzd2statusz00zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&process-exit-status\" \"Llib/process.scm\" 7444) \"BGl_z62processzd2exitzd2statusz62zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"process-send-signal\" \"Llib/process.scm\" 7742) \"BGl_processzd2sendzd2signalz00zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&process-send-signal\" \"Llib/process.scm\" 7742) \"BGl_z62processzd2sendzd2signalz62zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"process-kill\" \"Llib/process.scm\" 8054) \"BGl_processzd2killzd2zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&process-kill\" \"Llib/process.scm\" 8054) \"BGl_z62processzd2killzb0zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"process-stop\" \"Llib/process.scm\" 8368) \"BGl_processzd2stopzd2zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&process-stop\" \"Llib/process.scm\" 8368) \"BGl_z62processzd2stopzb0zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"process-continue\" \"Llib/process.scm\" 8652) \"BGl_processzd2continuezd2zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&process-continue\" \"Llib/process.scm\" 8652) \"BGl_z62processzd2continuezb0zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"process-list\" \"Llib/process.scm\" 8944) \"BGl_processzd2listzd2zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&process-list\" \"Llib/process.scm\" 8944) \"BGl_z62processzd2listzb0zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"run-process\" \"Llib/process.scm\" 9440) \"BGl_runzd2processzd2zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"arg-error~0\" \"Llib/process.scm\" 9671) \"BGl_argzd2errorze70z35zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run-process\" \"Llib/process.scm\" 9440) \"BGl_z62runzd2processzb0zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"close-process-ports\" \"Llib/process.scm\" 11092) \"BGl_closezd2processzd2portsz00zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&close-process-ports\" \"Llib/process.scm\" 11092) \"BGl_z62closezd2processzd2portsz62zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"unregister-process\" \"Llib/process.scm\" 11655) \"BGl_unregisterzd2processzd2zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&unregister-process\" \"Llib/process.scm\" 11655) \"BGl_z62unregisterzd2processzb0zz__processz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__processz00(long BgL_checksumz00_1715, char * BgL_fromz00_1716)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__processz00))
{ 
BGl_requirezd2initializa7ationz75zz__processz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__processz00(); 
BGl_cnstzd2initzd2zz__processz00(); 
BGl_importedzd2moduleszd2initz00zz__processz00(); 
return 
BGl_profzd2initzd2zz__processz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__processz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 15 */
BGl_keyword1679z00zz__processz00 = 
bstring_to_keyword(BGl_string1680z00zz__processz00); 
BGl_list1678z00zz__processz00 = 
MAKE_YOUNG_PAIR(BGl_keyword1679z00zz__processz00, BNIL); 
BGl_keyword1681z00zz__processz00 = 
bstring_to_keyword(BGl_string1682z00zz__processz00); 
BGl_keyword1683z00zz__processz00 = 
bstring_to_keyword(BGl_string1684z00zz__processz00); 
BGl_keyword1685z00zz__processz00 = 
bstring_to_keyword(BGl_string1686z00zz__processz00); 
BGl_keyword1687z00zz__processz00 = 
bstring_to_keyword(BGl_string1688z00zz__processz00); 
BGl_keyword1689z00zz__processz00 = 
bstring_to_keyword(BGl_string1690z00zz__processz00); 
BGl_keyword1691z00zz__processz00 = 
bstring_to_keyword(BGl_string1692z00zz__processz00); 
BGl_keyword1693z00zz__processz00 = 
bstring_to_keyword(BGl_string1694z00zz__processz00); 
return ( 
BGl_keyword1695z00zz__processz00 = 
bstring_to_keyword(BGl_string1696z00zz__processz00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__processz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__processz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 15 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* process? */
BGL_EXPORTED_DEF bool_t BGl_processzf3zf3zz__processz00(obj_t BgL_objz00_3)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 122 */
return 
PROCESSP(BgL_objz00_3);} 
BGL_FUNCTION_END;
}



/* &process? */
obj_t BGl_z62processzf3z91zz__processz00(obj_t BgL_envz00_1651, obj_t BgL_objz00_1652)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 122 */
return 
BBOOL(
BGl_processzf3zf3zz__processz00(BgL_objz00_1652));} 
BGL_FUNCTION_END;
}



/* process-nil */
BGL_EXPORTED_DEF obj_t BGl_processzd2nilzd2zz__processz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 128 */
return 
bgl_process_nil();} 
BGL_FUNCTION_END;
}



/* &process-nil */
obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t BgL_envz00_1653)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 128 */
return 
BGl_processzd2nilzd2zz__processz00();} 
BGL_FUNCTION_END;
}



/* process-pid */
BGL_EXPORTED_DEF int BGl_processzd2pidzd2zz__processz00(obj_t BgL_procz00_4)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 134 */
return 
PROCESS_PID(BgL_procz00_4);} 
BGL_FUNCTION_END;
}



/* &process-pid */
obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t BgL_envz00_1654, obj_t BgL_procz00_1655)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 134 */
{ /* Llib/process.scm 135 */
int BgL_tmpz00_1742;
{ /* Llib/process.scm 135 */
obj_t BgL_auxz00_1743;
if(
PROCESSP(BgL_procz00_1655))
{ /* Llib/process.scm 135 */
BgL_auxz00_1743 = BgL_procz00_1655
; }  else 
{ 
obj_t BgL_auxz00_1746;
BgL_auxz00_1746 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__processz00, 
BINT(((long)5703)), BGl_string1665z00zz__processz00, BGl_string1666z00zz__processz00, BgL_procz00_1655); 
FAILURE(BgL_auxz00_1746,BFALSE,BFALSE);} 
BgL_tmpz00_1742 = 
BGl_processzd2pidzd2zz__processz00(BgL_auxz00_1743); } 
return 
BINT(BgL_tmpz00_1742);} } 
BGL_FUNCTION_END;
}



/* process-output-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t BgL_procz00_5)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 140 */
return 
PROCESS_OUTPUT_PORT(BgL_procz00_5);} 
BGL_FUNCTION_END;
}



/* &process-output-port */
obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t BgL_envz00_1656, obj_t BgL_procz00_1657)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 140 */
{ /* Llib/process.scm 141 */
obj_t BgL_auxz00_1753;
if(
PROCESSP(BgL_procz00_1657))
{ /* Llib/process.scm 141 */
BgL_auxz00_1753 = BgL_procz00_1657
; }  else 
{ 
obj_t BgL_auxz00_1756;
BgL_auxz00_1756 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__processz00, 
BINT(((long)5993)), BGl_string1667z00zz__processz00, BGl_string1666z00zz__processz00, BgL_procz00_1657); 
FAILURE(BgL_auxz00_1756,BFALSE,BFALSE);} 
return 
BGl_processzd2outputzd2portz00zz__processz00(BgL_auxz00_1753);} } 
BGL_FUNCTION_END;
}



/* process-input-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t BgL_procz00_6)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 146 */
return 
PROCESS_INPUT_PORT(BgL_procz00_6);} 
BGL_FUNCTION_END;
}



/* &process-input-port */
obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t BgL_envz00_1658, obj_t BgL_procz00_1659)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 146 */
{ /* Llib/process.scm 147 */
obj_t BgL_auxz00_1762;
if(
PROCESSP(BgL_procz00_1659))
{ /* Llib/process.scm 147 */
BgL_auxz00_1762 = BgL_procz00_1659
; }  else 
{ 
obj_t BgL_auxz00_1765;
BgL_auxz00_1765 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__processz00, 
BINT(((long)6290)), BGl_string1668z00zz__processz00, BGl_string1666z00zz__processz00, BgL_procz00_1659); 
FAILURE(BgL_auxz00_1765,BFALSE,BFALSE);} 
return 
BGl_processzd2inputzd2portz00zz__processz00(BgL_auxz00_1762);} } 
BGL_FUNCTION_END;
}



/* process-error-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t BgL_procz00_7)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 152 */
return 
PROCESS_ERROR_PORT(BgL_procz00_7);} 
BGL_FUNCTION_END;
}



/* &process-error-port */
obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t BgL_envz00_1660, obj_t BgL_procz00_1661)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 152 */
{ /* Llib/process.scm 153 */
obj_t BgL_auxz00_1771;
if(
PROCESSP(BgL_procz00_1661))
{ /* Llib/process.scm 153 */
BgL_auxz00_1771 = BgL_procz00_1661
; }  else 
{ 
obj_t BgL_auxz00_1774;
BgL_auxz00_1774 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__processz00, 
BINT(((long)6586)), BGl_string1669z00zz__processz00, BGl_string1666z00zz__processz00, BgL_procz00_1661); 
FAILURE(BgL_auxz00_1774,BFALSE,BFALSE);} 
return 
BGl_processzd2errorzd2portz00zz__processz00(BgL_auxz00_1771);} } 
BGL_FUNCTION_END;
}



/* process-alive? */
BGL_EXPORTED_DEF bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t BgL_procz00_8)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 158 */
return 
c_process_alivep(BgL_procz00_8);} 
BGL_FUNCTION_END;
}



/* &process-alive? */
obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t BgL_envz00_1662, obj_t BgL_procz00_1663)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 158 */
{ /* Llib/process.scm 159 */
bool_t BgL_tmpz00_1780;
{ /* Llib/process.scm 159 */
obj_t BgL_auxz00_1781;
if(
PROCESSP(BgL_procz00_1663))
{ /* Llib/process.scm 159 */
BgL_auxz00_1781 = BgL_procz00_1663
; }  else 
{ 
obj_t BgL_auxz00_1784;
BgL_auxz00_1784 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__processz00, 
BINT(((long)6878)), BGl_string1670z00zz__processz00, BGl_string1666z00zz__processz00, BgL_procz00_1663); 
FAILURE(BgL_auxz00_1784,BFALSE,BFALSE);} 
BgL_tmpz00_1780 = 
BGl_processzd2alivezf3z21zz__processz00(BgL_auxz00_1781); } 
return 
BBOOL(BgL_tmpz00_1780);} } 
BGL_FUNCTION_END;
}



/* process-wait */
BGL_EXPORTED_DEF bool_t BGl_processzd2waitzd2zz__processz00(obj_t BgL_procz00_9)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 164 */
if(
c_process_alivep(BgL_procz00_9))
{ /* Llib/process.scm 165 */
return 
CBOOL(
c_process_wait(BgL_procz00_9));}  else 
{ /* Llib/process.scm 165 */
return ((bool_t)0);} } 
BGL_FUNCTION_END;
}



/* &process-wait */
obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t BgL_envz00_1664, obj_t BgL_procz00_1665)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 164 */
{ /* Llib/process.scm 165 */
bool_t BgL_tmpz00_1794;
{ /* Llib/process.scm 165 */
obj_t BgL_auxz00_1795;
if(
PROCESSP(BgL_procz00_1665))
{ /* Llib/process.scm 165 */
BgL_auxz00_1795 = BgL_procz00_1665
; }  else 
{ 
obj_t BgL_auxz00_1798;
BgL_auxz00_1798 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__processz00, 
BINT(((long)7164)), BGl_string1671z00zz__processz00, BGl_string1666z00zz__processz00, BgL_procz00_1665); 
FAILURE(BgL_auxz00_1798,BFALSE,BFALSE);} 
BgL_tmpz00_1794 = 
BGl_processzd2waitzd2zz__processz00(BgL_auxz00_1795); } 
return 
BBOOL(BgL_tmpz00_1794);} } 
BGL_FUNCTION_END;
}



/* process-exit-status */
BGL_EXPORTED_DEF obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t BgL_procz00_10)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 171 */
return 
c_process_xstatus(BgL_procz00_10);} 
BGL_FUNCTION_END;
}



/* &process-exit-status */
obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t BgL_envz00_1666, obj_t BgL_procz00_1667)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 171 */
{ /* Llib/process.scm 172 */
obj_t BgL_auxz00_1805;
if(
PROCESSP(BgL_procz00_1667))
{ /* Llib/process.scm 172 */
BgL_auxz00_1805 = BgL_procz00_1667
; }  else 
{ 
obj_t BgL_auxz00_1808;
BgL_auxz00_1808 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__processz00, 
BINT(((long)7489)), BGl_string1672z00zz__processz00, BGl_string1666z00zz__processz00, BgL_procz00_1667); 
FAILURE(BgL_auxz00_1808,BFALSE,BFALSE);} 
return 
BGl_processzd2exitzd2statusz00zz__processz00(BgL_auxz00_1805);} } 
BGL_FUNCTION_END;
}



/* process-send-signal */
BGL_EXPORTED_DEF obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t BgL_procz00_11, int BgL_signalz00_12)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 177 */
return 
c_process_send_signal(BgL_procz00_11, BgL_signalz00_12);} 
BGL_FUNCTION_END;
}



/* &process-send-signal */
obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t BgL_envz00_1668, obj_t BgL_procz00_1669, obj_t BgL_signalz00_1670)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 177 */
{ /* Llib/process.scm 178 */
int BgL_auxz00_1821;obj_t BgL_auxz00_1814;
{ /* Llib/process.scm 178 */
obj_t BgL_tmpz00_1822;
if(
INTEGERP(BgL_signalz00_1670))
{ /* Llib/process.scm 178 */
BgL_tmpz00_1822 = BgL_signalz00_1670
; }  else 
{ 
obj_t BgL_auxz00_1825;
BgL_auxz00_1825 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__processz00, 
BINT(((long)7794)), BGl_string1673z00zz__processz00, BGl_string1674z00zz__processz00, BgL_signalz00_1670); 
FAILURE(BgL_auxz00_1825,BFALSE,BFALSE);} 
BgL_auxz00_1821 = 
CINT(BgL_tmpz00_1822); } 
if(
PROCESSP(BgL_procz00_1669))
{ /* Llib/process.scm 178 */
BgL_auxz00_1814 = BgL_procz00_1669
; }  else 
{ 
obj_t BgL_auxz00_1817;
BgL_auxz00_1817 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__processz00, 
BINT(((long)7794)), BGl_string1673z00zz__processz00, BGl_string1666z00zz__processz00, BgL_procz00_1669); 
FAILURE(BgL_auxz00_1817,BFALSE,BFALSE);} 
return 
BGl_processzd2sendzd2signalz00zz__processz00(BgL_auxz00_1814, BgL_auxz00_1821);} } 
BGL_FUNCTION_END;
}



/* process-kill */
BGL_EXPORTED_DEF obj_t BGl_processzd2killzd2zz__processz00(obj_t BgL_procz00_13)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 183 */
c_process_kill(BgL_procz00_13); 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_13);} 
BGL_FUNCTION_END;
}



/* &process-kill */
obj_t BGl_z62processzd2killzb0zz__processz00(obj_t BgL_envz00_1671, obj_t BgL_procz00_1672)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 183 */
{ /* Llib/process.scm 184 */
obj_t BgL_auxz00_1833;
if(
PROCESSP(BgL_procz00_1672))
{ /* Llib/process.scm 184 */
BgL_auxz00_1833 = BgL_procz00_1672
; }  else 
{ 
obj_t BgL_auxz00_1836;
BgL_auxz00_1836 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__processz00, 
BINT(((long)8112)), BGl_string1675z00zz__processz00, BGl_string1666z00zz__processz00, BgL_procz00_1672); 
FAILURE(BgL_auxz00_1836,BFALSE,BFALSE);} 
return 
BGl_processzd2killzd2zz__processz00(BgL_auxz00_1833);} } 
BGL_FUNCTION_END;
}



/* process-stop */
BGL_EXPORTED_DEF obj_t BGl_processzd2stopzd2zz__processz00(obj_t BgL_procz00_14)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 190 */
return 
c_process_stop(BgL_procz00_14);} 
BGL_FUNCTION_END;
}



/* &process-stop */
obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t BgL_envz00_1673, obj_t BgL_procz00_1674)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 190 */
{ /* Llib/process.scm 191 */
obj_t BgL_auxz00_1842;
if(
PROCESSP(BgL_procz00_1674))
{ /* Llib/process.scm 191 */
BgL_auxz00_1842 = BgL_procz00_1674
; }  else 
{ 
obj_t BgL_auxz00_1845;
BgL_auxz00_1845 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__processz00, 
BINT(((long)8406)), BGl_string1676z00zz__processz00, BGl_string1666z00zz__processz00, BgL_procz00_1674); 
FAILURE(BgL_auxz00_1845,BFALSE,BFALSE);} 
return 
BGl_processzd2stopzd2zz__processz00(BgL_auxz00_1842);} } 
BGL_FUNCTION_END;
}



/* process-continue */
BGL_EXPORTED_DEF obj_t BGl_processzd2continuezd2zz__processz00(obj_t BgL_procz00_15)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 196 */
return 
c_process_continue(BgL_procz00_15);} 
BGL_FUNCTION_END;
}



/* &process-continue */
obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t BgL_envz00_1675, obj_t BgL_procz00_1676)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 196 */
{ /* Llib/process.scm 197 */
obj_t BgL_auxz00_1851;
if(
PROCESSP(BgL_procz00_1676))
{ /* Llib/process.scm 197 */
BgL_auxz00_1851 = BgL_procz00_1676
; }  else 
{ 
obj_t BgL_auxz00_1854;
BgL_auxz00_1854 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__processz00, 
BINT(((long)8694)), BGl_string1677z00zz__processz00, BGl_string1666z00zz__processz00, BgL_procz00_1676); 
FAILURE(BgL_auxz00_1854,BFALSE,BFALSE);} 
return 
BGl_processzd2continuezd2zz__processz00(BgL_auxz00_1851);} } 
BGL_FUNCTION_END;
}



/* process-list */
BGL_EXPORTED_DEF obj_t BGl_processzd2listzd2zz__processz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 202 */
return 
c_process_list();} 
BGL_FUNCTION_END;
}



/* &process-list */
obj_t BGl_z62processzd2listzb0zz__processz00(obj_t BgL_envz00_1677)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 202 */
return 
BGl_processzd2listzd2zz__processz00();} 
BGL_FUNCTION_END;
}



/* run-process */
BGL_EXPORTED_DEF obj_t BGl_runzd2processzd2zz__processz00(obj_t BgL_commandz00_16, obj_t BgL_restz00_17)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 211 */
{ /* Llib/process.scm 212 */
bool_t BgL_forkz00_916;bool_t BgL_waitz00_917;obj_t BgL_inputz00_918;obj_t BgL_outputz00_919;obj_t BgL_errorz00_920;obj_t BgL_hostz00_921;obj_t BgL_pipesz00_922;obj_t BgL_argsz00_923;obj_t BgL_envz00_924;
BgL_forkz00_916 = ((bool_t)1); 
BgL_waitz00_917 = ((bool_t)0); 
BgL_inputz00_918 = BUNSPEC; 
BgL_outputz00_919 = BUNSPEC; 
BgL_errorz00_920 = BUNSPEC; 
BgL_hostz00_921 = BUNSPEC; 
BgL_pipesz00_922 = BGl_list1678z00zz__processz00; 
BgL_argsz00_923 = BNIL; 
BgL_envz00_924 = BNIL; 
{ 
obj_t BgL_restz00_927;
BgL_restz00_927 = BgL_restz00_17; 
BgL_zc3anonymousza31139ze3z83_928:
if(
NULLP(BgL_restz00_927))
{ /* Llib/process.scm 228 */
obj_t BgL_arg1144z00_930;
BgL_arg1144z00_930 = 
bgl_reverse_bang(BgL_argsz00_923); 
return 
c_run_process(BgL_hostz00_921, 
BBOOL(BgL_forkz00_916), 
BBOOL(BgL_waitz00_917), BgL_inputz00_918, BgL_outputz00_919, BgL_errorz00_920, BgL_commandz00_16, BgL_arg1144z00_930, BgL_envz00_924);}  else 
{ /* Llib/process.scm 229 */
bool_t BgL_testz00_1867;
{ /* Llib/process.scm 229 */
bool_t BgL_testz00_1868;
{ /* Llib/process.scm 229 */
obj_t BgL_tmpz00_1869;
BgL_tmpz00_1869 = 
CAR(
((obj_t)BgL_restz00_927)); 
BgL_testz00_1868 = 
KEYWORDP(BgL_tmpz00_1869); } 
if(BgL_testz00_1868)
{ /* Llib/process.scm 229 */
obj_t BgL_tmpz00_1873;
BgL_tmpz00_1873 = 
CDR(
((obj_t)BgL_restz00_927)); 
BgL_testz00_1867 = 
PAIRP(BgL_tmpz00_1873); }  else 
{ /* Llib/process.scm 229 */
BgL_testz00_1867 = ((bool_t)0)
; } } 
if(BgL_testz00_1867)
{ /* Llib/process.scm 230 */
obj_t BgL_valz00_936;
{ /* Llib/process.scm 230 */
obj_t BgL_pairz00_1372;
BgL_pairz00_1372 = 
CDR(
((obj_t)BgL_restz00_927)); 
BgL_valz00_936 = 
CAR(BgL_pairz00_1372); } 
{ /* Llib/process.scm 231 */
obj_t BgL_casezd2valuezd2_937;
BgL_casezd2valuezd2_937 = 
CAR(
((obj_t)BgL_restz00_927)); 
if(
(BgL_casezd2valuezd2_937==BGl_keyword1681z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
BOOLEANP(BgL_valz00_936))
{ /* Llib/process.scm 233 */
BgL_waitz00_917 = 
CBOOL(BgL_valz00_936); }  else 
{ /* Llib/process.scm 233 */
BGl_argzd2errorze70z35zz__processz00(BgL_restz00_927); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_937==BGl_keyword1683z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
BOOLEANP(BgL_valz00_936))
{ /* Llib/process.scm 237 */
BgL_forkz00_916 = 
CBOOL(BgL_valz00_936); }  else 
{ /* Llib/process.scm 237 */
BGl_argzd2errorze70z35zz__processz00(BgL_restz00_927); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_937==BGl_keyword1685z00zz__processz00))
{ /* Llib/process.scm 241 */
bool_t BgL_testz00_1896;
if(
STRINGP(BgL_valz00_936))
{ /* Llib/process.scm 241 */
BgL_testz00_1896 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 241 */
BgL_testz00_1896 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_936, BgL_pipesz00_922))
; } 
if(BgL_testz00_1896)
{ /* Llib/process.scm 241 */
BgL_inputz00_918 = BgL_valz00_936; }  else 
{ /* Llib/process.scm 241 */
BGl_argzd2errorze70z35zz__processz00(BgL_restz00_927); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_937==BGl_keyword1687z00zz__processz00))
{ /* Llib/process.scm 245 */
bool_t BgL_testz00_1904;
if(
STRINGP(BgL_valz00_936))
{ /* Llib/process.scm 245 */
BgL_testz00_1904 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 245 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_936, BgL_pipesz00_922)))
{ /* Llib/process.scm 245 */
BgL_testz00_1904 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 245 */
BgL_testz00_1904 = 
(BgL_valz00_936==BGl_keyword1689z00zz__processz00)
; } } 
if(BgL_testz00_1904)
{ /* Llib/process.scm 245 */
BgL_outputz00_919 = BgL_valz00_936; }  else 
{ /* Llib/process.scm 245 */
BGl_argzd2errorze70z35zz__processz00(BgL_restz00_927); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_937==BGl_keyword1691z00zz__processz00))
{ /* Llib/process.scm 249 */
bool_t BgL_testz00_1914;
if(
STRINGP(BgL_valz00_936))
{ /* Llib/process.scm 249 */
BgL_testz00_1914 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 249 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_936, BgL_pipesz00_922)))
{ /* Llib/process.scm 249 */
BgL_testz00_1914 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 249 */
BgL_testz00_1914 = 
(BgL_valz00_936==BGl_keyword1689z00zz__processz00)
; } } 
if(BgL_testz00_1914)
{ /* Llib/process.scm 249 */
BgL_errorz00_920 = BgL_valz00_936; }  else 
{ /* Llib/process.scm 249 */
BGl_argzd2errorze70z35zz__processz00(BgL_restz00_927); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_937==BGl_keyword1693z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
STRINGP(BgL_valz00_936))
{ /* Llib/process.scm 253 */
BgL_hostz00_921 = BgL_valz00_936; }  else 
{ /* Llib/process.scm 253 */
BGl_argzd2errorze70z35zz__processz00(BgL_restz00_927); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_937==BGl_keyword1695z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
STRINGP(BgL_valz00_936))
{ /* Llib/process.scm 257 */
BgL_envz00_924 = 
MAKE_YOUNG_PAIR(BgL_valz00_936, BgL_envz00_924); }  else 
{ /* Llib/process.scm 257 */
BGl_argzd2errorze70z35zz__processz00(BgL_restz00_927); } }  else 
{ /* Llib/process.scm 231 */
BGl_argzd2errorze70z35zz__processz00(BgL_restz00_927); } } } } } } } } 
{ /* Llib/process.scm 262 */
obj_t BgL_arg1170z00_962;
{ /* Llib/process.scm 262 */
obj_t BgL_pairz00_1396;
BgL_pairz00_1396 = 
CDR(
((obj_t)BgL_restz00_927)); 
BgL_arg1170z00_962 = 
CDR(BgL_pairz00_1396); } 
{ 
obj_t BgL_restz00_1937;
BgL_restz00_1937 = BgL_arg1170z00_962; 
BgL_restz00_927 = BgL_restz00_1937; 
goto BgL_zc3anonymousza31139ze3z83_928;} } }  else 
{ /* Llib/process.scm 263 */
bool_t BgL_testz00_1938;
{ /* Llib/process.scm 263 */
obj_t BgL_tmpz00_1939;
BgL_tmpz00_1939 = 
CAR(
((obj_t)BgL_restz00_927)); 
BgL_testz00_1938 = 
STRINGP(BgL_tmpz00_1939); } 
if(BgL_testz00_1938)
{ /* Llib/process.scm 263 */
{ /* Llib/process.scm 264 */
obj_t BgL_arg1181z00_966;
BgL_arg1181z00_966 = 
CAR(
((obj_t)BgL_restz00_927)); 
BgL_argsz00_923 = 
MAKE_YOUNG_PAIR(BgL_arg1181z00_966, BgL_argsz00_923); } 
{ /* Llib/process.scm 265 */
obj_t BgL_arg1187z00_967;
BgL_arg1187z00_967 = 
CDR(
((obj_t)BgL_restz00_927)); 
{ 
obj_t BgL_restz00_1948;
BgL_restz00_1948 = BgL_arg1187z00_967; 
BgL_restz00_927 = BgL_restz00_1948; 
goto BgL_zc3anonymousza31139ze3z83_928;} } }  else 
{ /* Llib/process.scm 263 */
return 
BGl_argzd2errorze70z35zz__processz00(BgL_restz00_927);} } } } } } 
BGL_FUNCTION_END;
}



/* arg-error~0 */
obj_t BGl_argzd2errorze70z35zz__processz00(obj_t BgL_restz00_973)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 221 */
return 
BGl_errorz00zz__errorz00(BGl_string1697z00zz__processz00, BGl_string1698z00zz__processz00, BgL_restz00_973);} 
BGL_FUNCTION_END;
}



/* &run-process */
obj_t BGl_z62runzd2processzb0zz__processz00(obj_t BgL_envz00_1678, obj_t BgL_commandz00_1679, obj_t BgL_restz00_1680)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 211 */
{ /* Llib/process.scm 212 */
obj_t BgL_auxz00_1951;
if(
STRINGP(BgL_commandz00_1679))
{ /* Llib/process.scm 212 */
BgL_auxz00_1951 = BgL_commandz00_1679
; }  else 
{ 
obj_t BgL_auxz00_1954;
BgL_auxz00_1954 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__processz00, 
BINT(((long)9480)), BGl_string1699z00zz__processz00, BGl_string1700z00zz__processz00, BgL_commandz00_1679); 
FAILURE(BgL_auxz00_1954,BFALSE,BFALSE);} 
return 
BGl_runzd2processzd2zz__processz00(BgL_auxz00_1951, BgL_restz00_1680);} } 
BGL_FUNCTION_END;
}



/* close-process-ports */
BGL_EXPORTED_DEF obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t BgL_procz00_18)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 272 */
{ /* Llib/process.scm 273 */
bool_t BgL_testz00_1959;
{ /* Llib/process.scm 273 */
obj_t BgL_tmpz00_1960;
BgL_tmpz00_1960 = 
PROCESS_INPUT_PORT(BgL_procz00_18); 
BgL_testz00_1959 = 
OUTPUT_PORTP(BgL_tmpz00_1960); } 
if(BgL_testz00_1959)
{ /* Llib/process.scm 274 */
obj_t BgL_arg1199z00_978;
BgL_arg1199z00_978 = 
PROCESS_INPUT_PORT(BgL_procz00_18); 
bgl_close_output_port(
((obj_t)BgL_arg1199z00_978)); }  else 
{ /* Llib/process.scm 273 */BFALSE; } } 
{ /* Llib/process.scm 275 */
bool_t BgL_testz00_1966;
{ /* Llib/process.scm 275 */
obj_t BgL_tmpz00_1967;
BgL_tmpz00_1967 = 
PROCESS_ERROR_PORT(BgL_procz00_18); 
BgL_testz00_1966 = 
INPUT_PORTP(BgL_tmpz00_1967); } 
if(BgL_testz00_1966)
{ /* Llib/process.scm 276 */
obj_t BgL_arg1204z00_982;
BgL_arg1204z00_982 = 
PROCESS_ERROR_PORT(BgL_procz00_18); 
bgl_close_input_port(
((obj_t)BgL_arg1204z00_982)); }  else 
{ /* Llib/process.scm 275 */BFALSE; } } 
{ /* Llib/process.scm 277 */
bool_t BgL_testz00_1973;
{ /* Llib/process.scm 277 */
obj_t BgL_tmpz00_1974;
BgL_tmpz00_1974 = 
PROCESS_OUTPUT_PORT(BgL_procz00_18); 
BgL_testz00_1973 = 
INPUT_PORTP(BgL_tmpz00_1974); } 
if(BgL_testz00_1973)
{ /* Llib/process.scm 278 */
obj_t BgL_arg1208z00_986;
BgL_arg1208z00_986 = 
PROCESS_OUTPUT_PORT(BgL_procz00_18); 
return 
bgl_close_input_port(
((obj_t)BgL_arg1208z00_986));}  else 
{ /* Llib/process.scm 277 */
return BFALSE;} } } 
BGL_FUNCTION_END;
}



/* &close-process-ports */
obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t BgL_envz00_1681, obj_t BgL_procz00_1682)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 272 */
{ /* Llib/process.scm 274 */
obj_t BgL_auxz00_1980;
if(
PROCESSP(BgL_procz00_1682))
{ /* Llib/process.scm 274 */
BgL_auxz00_1980 = BgL_procz00_1682
; }  else 
{ 
obj_t BgL_auxz00_1983;
BgL_auxz00_1983 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__processz00, 
BINT(((long)11227)), BGl_string1701z00zz__processz00, BGl_string1666z00zz__processz00, BgL_procz00_1682); 
FAILURE(BgL_auxz00_1983,BFALSE,BFALSE);} 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_auxz00_1980);} } 
BGL_FUNCTION_END;
}



/* unregister-process */
BGL_EXPORTED_DEF obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t BgL_procz00_19)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 283 */
return 
c_unregister_process(BgL_procz00_19);} 
BGL_FUNCTION_END;
}



/* &unregister-process */
obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t BgL_envz00_1683, obj_t BgL_procz00_1684)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 283 */
{ /* Llib/process.scm 284 */
obj_t BgL_auxz00_1989;
if(
PROCESSP(BgL_procz00_1684))
{ /* Llib/process.scm 284 */
BgL_auxz00_1989 = BgL_procz00_1684
; }  else 
{ 
obj_t BgL_auxz00_1992;
BgL_auxz00_1992 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1664z00zz__processz00, 
BINT(((long)11699)), BGl_string1702z00zz__processz00, BGl_string1666z00zz__processz00, BgL_procz00_1684); 
FAILURE(BgL_auxz00_1992,BFALSE,BFALSE);} 
return 
BGl_unregisterzd2processzd2zz__processz00(BgL_auxz00_1989);} } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__processz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__processz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__processz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__processz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/process.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string1703z00zz__processz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
