/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_uncomp.scm -o objs/obj_p/Eval/evaluate_uncomp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62uncompzd2ev_setlocal1221zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62uncomp1197z62zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_bindzd2exit1223z62zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_var1201zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_prog21213zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_z62uncompzd2ev_unwindzd2pro1225z62zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_goto1239zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
static obj_t BGl_keyword2028z00zz__evaluate_uncompz00 = BUNSPEC;
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_symbol2020z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol2022z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol2024z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol2026z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol2030z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol2032z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol2034z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol2036z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol2038z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol2040z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol2042z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_z62uncompzd2ev_labels1237zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_symbol2044z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol2046z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol2048z00zz__evaluate_uncompz00 = BUNSPEC;
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
static obj_t BGl_symbol2050z00zz__evaluate_uncompz00 = BUNSPEC;
static obj_t BGl_symbol2052z00zz__evaluate_uncompz00 = BUNSPEC;
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00();
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_trap1215zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluate_uncompz00();
BGL_EXPORTED_DECL obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62uncompzd2ev_withzd2handl1227z62zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_let1231zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_symbol1994z00zz__evaluate_uncompz00 = BUNSPEC;
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_defglobal1219zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_setglobal1217zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_app1241zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_synchroniza71229z17zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62uncompzd2ev_and1211zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_if1207zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_global1203zb0zz__evaluate_uncompz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
static obj_t BGl_z62uncompzd2ev_abs1243zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_litt1205zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t BGl_z62uncompzd2ev_letza21233z12zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
extern obj_t bstring_to_keyword(obj_t);
static obj_t BGl_z62uncompzd2ev_letrec1235zb0zz__evaluate_uncompz00(obj_t, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_z62uncompzd2ev_or1209zb0zz__evaluate_uncompz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1992z00zz__evaluate_uncompz00, BgL_bgl_za762uncomp1197za7622055z00, BGl_z62uncomp1197z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1997z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_v2056z00, BGl_z62uncompzd2ev_var1201zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1999z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_g2057z00, BGl_z62uncompzd2ev_global1203zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_GENERIC( BGl_uncompzd2envzd2zz__evaluate_uncompz00, BgL_bgl_za762uncompza762za7za7__2058z00, BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2021z00zz__evaluate_uncompz00, BgL_bgl_string2021za700za7za7_2059za7, "lambda", 6 );
DEFINE_STRING( BGl_string2023z00zz__evaluate_uncompz00, BgL_bgl_string2023za700za7za7_2060za7, "letrec", 6 );
DEFINE_STRING( BGl_string2025z00zz__evaluate_uncompz00, BgL_bgl_string2025za700za7za7_2061za7, "let*", 4 );
DEFINE_STRING( BGl_string2027z00zz__evaluate_uncompz00, BgL_bgl_string2027za700za7za7_2062za7, "let", 3 );
DEFINE_STRING( BGl_string2029z00zz__evaluate_uncompz00, BgL_bgl_string2029za700za7za7_2063za7, "prelock", 7 );
DEFINE_STRING( BGl_string2031z00zz__evaluate_uncompz00, BgL_bgl_string2031za700za7za7_2064za7, "synchronize", 11 );
DEFINE_STRING( BGl_string2033z00zz__evaluate_uncompz00, BgL_bgl_string2033za700za7za7_2065za7, "with-handler", 12 );
DEFINE_STRING( BGl_string2035z00zz__evaluate_uncompz00, BgL_bgl_string2035za700za7za7_2066za7, "unwind-protect", 14 );
DEFINE_STRING( BGl_string2037z00zz__evaluate_uncompz00, BgL_bgl_string2037za700za7za7_2067za7, "bind-exit", 9 );
DEFINE_STRING( BGl_string2039z00zz__evaluate_uncompz00, BgL_bgl_string2039za700za7za7_2068za7, "set!", 4 );
DEFINE_STRING( BGl_string2041z00zz__evaluate_uncompz00, BgL_bgl_string2041za700za7za7_2069za7, "define", 6 );
DEFINE_STRING( BGl_string2043z00zz__evaluate_uncompz00, BgL_bgl_string2043za700za7za7_2070za7, "trap", 4 );
DEFINE_STRING( BGl_string2045z00zz__evaluate_uncompz00, BgL_bgl_string2045za700za7za7_2071za7, "begin", 5 );
DEFINE_STRING( BGl_string2047z00zz__evaluate_uncompz00, BgL_bgl_string2047za700za7za7_2072za7, "and", 3 );
DEFINE_STRING( BGl_string2049z00zz__evaluate_uncompz00, BgL_bgl_string2049za700za7za7_2073za7, "or", 2 );
DEFINE_STRING( BGl_string2051z00zz__evaluate_uncompz00, BgL_bgl_string2051za700za7za7_2074za7, "if", 2 );
DEFINE_STRING( BGl_string2053z00zz__evaluate_uncompz00, BgL_bgl_string2053za700za7za7_2075za7, "quote", 5 );
DEFINE_STRING( BGl_string2054z00zz__evaluate_uncompz00, BgL_bgl_string2054za700za7za7_2076za7, "__evaluate_uncomp", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uncompilezd2envzd2zz__evaluate_uncompz00, BgL_bgl_za762uncompileza762za72077za7, BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1989z00zz__evaluate_uncompz00, BgL_bgl_string1989za700za7za7_2078za7, "/builddir/build/BUILD/bigloo4.3f/runtime/Eval/evaluate_uncomp.scm", 65 );
DEFINE_STRING( BGl_string1990z00zz__evaluate_uncompz00, BgL_bgl_string1990za700za7za7_2079za7, "&uncompile", 10 );
DEFINE_STRING( BGl_string1991z00zz__evaluate_uncompz00, BgL_bgl_string1991za700za7za7_2080za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string1993z00zz__evaluate_uncompz00, BgL_bgl_string1993za700za7za7_2081za7, "uncomp1197", 10 );
DEFINE_STRING( BGl_string1995z00zz__evaluate_uncompz00, BgL_bgl_string1995za700za7za7_2082za7, "No method for this object", 25 );
DEFINE_STRING( BGl_string1996z00zz__evaluate_uncompz00, BgL_bgl_string1996za700za7za7_2083za7, "&uncomp", 7 );
DEFINE_STRING( BGl_string1998z00zz__evaluate_uncompz00, BgL_bgl_string1998za700za7za7_2084za7, "uncomp", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2000z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l2085z00, BGl_z62uncompzd2ev_litt1205zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2001z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_i2086z00, BGl_z62uncompzd2ev_if1207zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2002z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_o2087z00, BGl_z62uncompzd2ev_or1209zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2003z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_a2088z00, BGl_z62uncompzd2ev_and1211zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2004z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_p2089z00, BGl_z62uncompzd2ev_prog21213zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2005z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_t2090z00, BGl_z62uncompzd2ev_trap1215zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2006z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_s2091z00, BGl_z62uncompzd2ev_setglobal1217zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2007z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_d2092z00, BGl_z62uncompzd2ev_defglobal1219zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2008z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_s2093z00, BGl_z62uncompzd2ev_setlocal1221zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2009z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_b2094z00, BGl_z62uncompzd2ev_bindzd2exit1223z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2010z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_u2095z00, BGl_z62uncompzd2ev_unwindzd2pro1225z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2011z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_w2096z00, BGl_z62uncompzd2ev_withzd2handl1227z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2012z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_s2097z00, BGl_z62uncompzd2ev_synchroniza71229z17zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2013z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l2098z00, BGl_z62uncompzd2ev_let1231zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2014z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l2099z00, BGl_z62uncompzd2ev_letza21233z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2015z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l2100z00, BGl_z62uncompzd2ev_letrec1235zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2016z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_l2101z00, BGl_z62uncompzd2ev_labels1237zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2017z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_g2102z00, BGl_z62uncompzd2ev_goto1239zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2018z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_a2103z00, BGl_z62uncompzd2ev_app1241zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2019z00zz__evaluate_uncompz00, BgL_bgl_za762uncompza7d2ev_a2104z00, BGl_z62uncompzd2ev_abs1243zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_keyword2028z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2020z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2022z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2024z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2026z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2030z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2032z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2034z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2036z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2038z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2040z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2042z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2044z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2046z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2048z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2050z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol2052z00zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00) );
ADD_ROOT( (void *)(&BGl_symbol1994z00zz__evaluate_uncompz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_uncomp.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"uncompile\" \"Eval/evaluate_uncomp.scm\" 1781) \"BGl_uncompilez00zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncompile\" \"Eval/evaluate_uncomp.scm\" 1781) \"BGl_z62uncompilez62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp1197\" \"Eval/evaluate_uncomp.scm\" 1830) \"BGl_z62uncomp1197z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"uncomp\" \"Eval/evaluate_uncomp.scm\" 1830) \"BGl_uncompz00zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp\" \"Eval/evaluate_uncomp.scm\" 1830) \"BGl_z62uncompz62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_abs1243\" \"Eval/evaluate_uncomp.scm\" 4781) \"BGl_z62uncompzd2ev_abs1243zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~0\" \"Eval/evaluate_uncomp.scm\" 4920) \"BGl_recze70ze7zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"redovars~0\" \"Eval/evaluate_uncomp.scm\" 5012) \"BGl_redovarsze70ze7zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_app1241\" \"Eval/evaluate_uncomp.scm\" 4662) \"BGl_z62uncompzd2ev_app1241zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_goto1239\" \"Eval/evaluate_uncomp.scm\" 4537) \"BGl_z62uncompzd2ev_goto1239zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_labels1237\" \"Eval/evaluate_uncomp.scm\" 4300) \"BGl_z62uncompzd2ev_labels1237zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_letrec1235\" \"Eval/evaluate_uncomp.scm\" 4122) \"BGl_z62uncompzd2ev_letrec1235zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_let*1233\" \"Eval/evaluate_uncomp.scm\" 3950) \"BGl_z62uncompzd2ev_letza21233z12zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_let1231\" \"Eval/evaluate_uncomp.scm\" 3781) \"BGl_z62uncompzd2ev_let1231zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_synchroniz1229\" \"Eval/evaluate_uncomp.scm\" 3600) \"BGl_z62uncompzd2ev_synchroniza71229z17zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_with-handl1227\" \"Eval/evaluate_uncomp.scm\" 3447) \"BGl_z62uncompzd2ev_withzd2handl1227z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_unwind-pro1225\" \"Eval/evaluate_uncomp.scm\" 3294) \"BGl_z62uncompzd2ev_unwindzd2pro1225z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_bind-exit1223\" \"Eval/evaluate_uncomp.scm\" 3150) \"BGl_z62uncompzd2ev_bindzd2exit1223z62zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_setlocal1221\" \"Eval/evaluate_uncomp.scm\" 3025) \"BGl_z62uncompzd2ev_setlocal1221zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_defglobal1219\" \"Eval/evaluate_uncomp.scm\" 2905) \"BGl_z62uncompzd2ev_defglobal1219zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_setglobal1217\" \"Eval/evaluate_uncomp.scm\" 2787) \"BGl_z62uncompzd2ev_setglobal1217zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_trap1215\" \"Eval/evaluate_uncomp.scm\" 2690) \"BGl_z62uncompzd2ev_trap1215zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_prog21213\" \"Eval/evaluate_uncomp.scm\" 2464) \"BGl_z62uncompzd2ev_prog21213zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_and1211\" \"Eval/evaluate_uncomp.scm\" 2359) \"BGl_z62uncompzd2ev_and1211zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_or1209\" \"Eval/evaluate_uncomp.scm\" 2257) \"BGl_z62uncompzd2ev_or1209zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_if1207\" \"Eval/evaluate_uncomp.scm\" 2138) \"BGl_z62uncompzd2ev_if1207zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_litt1205\" \"Eval/evaluate_uncomp.scm\" 2048) \"BGl_z62uncompzd2ev_litt1205zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_global1203\" \"Eval/evaluate_uncomp.scm\" 1955) \"BGl_z62uncompzd2ev_global1203zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&uncomp-ev_var1201\" \"Eval/evaluate_uncomp.scm\" 1868) \"BGl_z62uncompzd2ev_var1201zb0zz__evaluate_uncompz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long BgL_checksumz00_2734, char * BgL_fromz00_2735)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_uncompz00(); 
BGl_cnstzd2initzd2zz__evaluate_uncompz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00(); 
BGl_genericzd2initzd2zz__evaluate_uncompz00(); 
BGl_methodzd2initzd2zz__evaluate_uncompz00(); 
return 
BGl_profzd2initzd2zz__evaluate_uncompz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
BGl_symbol1994z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string1993z00zz__evaluate_uncompz00); 
BGl_symbol2020z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2021z00zz__evaluate_uncompz00); 
BGl_symbol2022z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2023z00zz__evaluate_uncompz00); 
BGl_symbol2024z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2025z00zz__evaluate_uncompz00); 
BGl_symbol2026z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2027z00zz__evaluate_uncompz00); 
BGl_keyword2028z00zz__evaluate_uncompz00 = 
bstring_to_keyword(BGl_string2029z00zz__evaluate_uncompz00); 
BGl_symbol2030z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2031z00zz__evaluate_uncompz00); 
BGl_symbol2032z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2033z00zz__evaluate_uncompz00); 
BGl_symbol2034z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2035z00zz__evaluate_uncompz00); 
BGl_symbol2036z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2037z00zz__evaluate_uncompz00); 
BGl_symbol2038z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2039z00zz__evaluate_uncompz00); 
BGl_symbol2040z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2041z00zz__evaluate_uncompz00); 
BGl_symbol2042z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2043z00zz__evaluate_uncompz00); 
BGl_symbol2044z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2045z00zz__evaluate_uncompz00); 
BGl_symbol2046z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2047z00zz__evaluate_uncompz00); 
BGl_symbol2048z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2049z00zz__evaluate_uncompz00); 
BGl_symbol2050z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2051z00zz__evaluate_uncompz00); 
return ( 
BGl_symbol2052z00zz__evaluate_uncompz00 = 
bstring_to_symbol(BGl_string2053z00zz__evaluate_uncompz00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* uncompile */
BGL_EXPORTED_DEF obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 62 */
return 
BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);} 
BGL_FUNCTION_END;
}



/* &uncompile */
obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2392, obj_t BgL_ez00_2393)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 62 */
{ /* Eval/evaluate_uncomp.scm 63 */
BgL_ev_exprz00_bglt BgL_auxz00_2766;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_2393, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_uncomp.scm 63 */
BgL_auxz00_2766 = 
((BgL_ev_exprz00_bglt)BgL_ez00_2393)
; }  else 
{ 
obj_t BgL_auxz00_2770;
BgL_auxz00_2770 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__evaluate_uncompz00, 
BINT(((long)1816)), BGl_string1990z00zz__evaluate_uncompz00, BGl_string1991z00zz__evaluate_uncompz00, BgL_ez00_2393); 
FAILURE(BgL_auxz00_2770,BFALSE,BFALSE);} 
return 
BGl_uncompilez00zz__evaluate_uncompz00(BgL_auxz00_2766);} } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_proc1992z00zz__evaluate_uncompz00, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string1993z00zz__evaluate_uncompz00);} 
BGL_FUNCTION_END;
}



/* &uncomp1197 */
obj_t BGl_z62uncomp1197z62zz__evaluate_uncompz00(obj_t BgL_envz00_2395, obj_t BgL_ez00_2396)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 65 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1994z00zz__evaluate_uncompz00, BGl_string1995z00zz__evaluate_uncompz00, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_2396)));} 
BGL_FUNCTION_END;
}



/* uncomp */
obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 65 */
{ /* Eval/evaluate_uncomp.scm 65 */
obj_t BgL_method1199z00_1097;
{ /* Eval/evaluate_uncomp.scm 65 */
obj_t BgL_res1860z00_1947;
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_objzd2classzd2numz00_1904;
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_res1849z00_1907;
BgL_res1849z00_1907 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_4)); 
BgL_objzd2classzd2numz00_1904 = BgL_res1849z00_1907; } 
{ /* Eval/evaluate_uncomp.scm 65 */
obj_t BgL_arg1843z00_1905;
BgL_arg1843z00_1905 = 
PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_uncomp.scm 65 */
int BgL_offsetz00_1909;
BgL_offsetz00_1909 = 
(int)(BgL_objzd2classzd2numz00_1904); 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_offsetz00_1910;
BgL_offsetz00_1910 = 
(
(long)(BgL_offsetz00_1909)-OBJECT_TYPE); 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_modz00_1911;
{ /* Eval/evaluate_uncomp.scm 65 */
int BgL_arg1845z00_1912;
BgL_arg1845z00_1912 = 
(int)(((long)16)); 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_res1852z00_1922;
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_tmpz00_2787;
BgL_tmpz00_2787 = 
(long)(BgL_arg1845z00_1912); 
BgL_res1852z00_1922 = 
(BgL_offsetz00_1910/BgL_tmpz00_2787); } 
BgL_modz00_1911 = BgL_res1852z00_1922; } } 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_restz00_1913;
{ /* Eval/evaluate_uncomp.scm 65 */
int BgL_arg1844z00_1914;
BgL_arg1844z00_1914 = 
(int)(((long)16)); 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_res1859z00_1942;
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_n1z00_1924;long BgL_n2z00_1925;
BgL_n1z00_1924 = BgL_offsetz00_1910; 
BgL_n2z00_1925 = 
(long)(BgL_arg1844z00_1914); 
{ /* Eval/evaluate_uncomp.scm 65 */
bool_t BgL_testz00_2792;
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_arg1728z00_1927;
BgL_arg1728z00_1927 = 
(((BgL_n1z00_1924) | (BgL_n2z00_1925)) & -2147483648); 
BgL_testz00_2792 = 
(BgL_arg1728z00_1927==((long)0)); } 
if(BgL_testz00_2792)
{ /* Eval/evaluate_uncomp.scm 65 */
int32_t BgL_arg1725z00_1928;
{ /* Eval/evaluate_uncomp.scm 65 */
int32_t BgL_arg1726z00_1929;int32_t BgL_arg1727z00_1930;
{ /* Eval/evaluate_uncomp.scm 65 */
int32_t BgL_res1855z00_1934;
BgL_res1855z00_1934 = 
(int32_t)(BgL_n1z00_1924); 
BgL_arg1726z00_1929 = BgL_res1855z00_1934; } 
{ /* Eval/evaluate_uncomp.scm 65 */
int32_t BgL_res1856z00_1936;
BgL_res1856z00_1936 = 
(int32_t)(BgL_n2z00_1925); 
BgL_arg1727z00_1930 = BgL_res1856z00_1936; } 
BgL_arg1725z00_1928 = 
(BgL_arg1726z00_1929%BgL_arg1727z00_1930); } 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_res1858z00_1941;
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_arg1819z00_1938;
BgL_arg1819z00_1938 = 
(long)(BgL_arg1725z00_1928); 
{ /* Eval/evaluate_uncomp.scm 65 */
long BgL_res1857z00_1940;
BgL_res1857z00_1940 = 
(long)(BgL_arg1819z00_1938); 
BgL_res1858z00_1941 = BgL_res1857z00_1940; } } 
BgL_res1859z00_1942 = BgL_res1858z00_1941; } }  else 
{ /* Eval/evaluate_uncomp.scm 65 */
BgL_res1859z00_1942 = 
(BgL_n1z00_1924%BgL_n2z00_1925); } } } 
BgL_restz00_1913 = BgL_res1859z00_1942; } } 
{ /* Eval/evaluate_uncomp.scm 65 */

{ /* Eval/evaluate_uncomp.scm 65 */
obj_t BgL_bucketz00_1915;
BgL_bucketz00_1915 = 
VECTOR_REF(
((obj_t)BgL_arg1843z00_1905),BgL_modz00_1911); 
BgL_res1860z00_1947 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1915),BgL_restz00_1913); } } } } } } } } 
BgL_method1199z00_1097 = BgL_res1860z00_1947; } 
return 
PROCEDURE_ENTRY(BgL_method1199z00_1097)(BgL_method1199z00_1097, 
((obj_t)BgL_ez00_4), BEOA);} } 
BGL_FUNCTION_END;
}



/* &uncomp */
obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2397, obj_t BgL_ez00_2398)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 65 */
{ /* Eval/evaluate_uncomp.scm 65 */
BgL_ev_exprz00_bglt BgL_auxz00_2810;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_2398, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_uncomp.scm 65 */
BgL_auxz00_2810 = 
((BgL_ev_exprz00_bglt)BgL_ez00_2398)
; }  else 
{ 
obj_t BgL_auxz00_2814;
BgL_auxz00_2814 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1989z00zz__evaluate_uncompz00, 
BINT(((long)1830)), BGl_string1996z00zz__evaluate_uncompz00, BGl_string1991z00zz__evaluate_uncompz00, BgL_ez00_2398); 
FAILURE(BgL_auxz00_2814,BFALSE,BFALSE);} 
return 
BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2810);} } 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1997z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc1999z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc2000z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc2001z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_orz00zz__evaluate_typesz00, BGl_proc2002z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_andz00zz__evaluate_typesz00, BGl_proc2003z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc2004z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_trapz00zz__evaluate_typesz00, BGl_proc2005z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_setglobalz00zz__evaluate_typesz00, BGl_proc2006z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_defglobalz00zz__evaluate_typesz00, BGl_proc2007z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc2008z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc2009z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc2010z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc2011z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc2012z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc2013z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc2014z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc2015z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc2016z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc2017z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc2018z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uncompzd2envzd2zz__evaluate_uncompz00, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc2019z00zz__evaluate_uncompz00, BGl_string1998z00zz__evaluate_uncompz00);} 
BGL_FUNCTION_END;
}



/* &uncomp-ev_abs1243 */
obj_t BGl_z62uncompzd2ev_abs1243zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2421, obj_t BgL_ez00_2422)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 157 */
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_arg1523z00_2475;
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_arg1524z00_2476;obj_t BgL_arg1525z00_2477;
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_arg1528z00_2478;obj_t BgL_arg1529z00_2479;
BgL_arg1528z00_2478 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_2422)))->BgL_arityz00); 
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_l1179z00_2480;
BgL_l1179z00_2480 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_2422)))->BgL_varsz00); 
if(
NULLP(BgL_l1179z00_2480))
{ /* Eval/evaluate_uncomp.scm 166 */
BgL_arg1529z00_2479 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_head1181z00_2481;
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_res1901z00_2482;
BgL_res1901z00_2482 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1181z00_2481 = BgL_res1901z00_2482; } 
{ 
obj_t BgL_l1179z00_2484;obj_t BgL_tail1182z00_2485;
BgL_l1179z00_2484 = BgL_l1179z00_2480; 
BgL_tail1182z00_2485 = BgL_head1181z00_2481; 
BgL_zc3anonymousza31531ze3z83_2483:
if(
NULLP(BgL_l1179z00_2484))
{ /* Eval/evaluate_uncomp.scm 166 */
BgL_arg1529z00_2479 = 
CDR(BgL_head1181z00_2481); }  else 
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_newtail1183z00_2486;
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_arg1534z00_2487;
BgL_arg1534z00_2487 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)
CAR(
((obj_t)BgL_l1179z00_2484)))))->BgL_namez00); 
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_res1903z00_2488;
BgL_res1903z00_2488 = 
MAKE_YOUNG_PAIR(BgL_arg1534z00_2487, BNIL); 
BgL_newtail1183z00_2486 = BgL_res1903z00_2488; } } 
SET_CDR(BgL_tail1182z00_2485, BgL_newtail1183z00_2486); 
{ /* Eval/evaluate_uncomp.scm 166 */
obj_t BgL_arg1533z00_2489;
BgL_arg1533z00_2489 = 
CDR(
((obj_t)BgL_l1179z00_2484)); 
{ 
obj_t BgL_tail1182z00_2860;obj_t BgL_l1179z00_2859;
BgL_l1179z00_2859 = BgL_arg1533z00_2489; 
BgL_tail1182z00_2860 = BgL_newtail1183z00_2486; 
BgL_tail1182z00_2485 = BgL_tail1182z00_2860; 
BgL_l1179z00_2484 = BgL_l1179z00_2859; 
goto BgL_zc3anonymousza31531ze3z83_2483;} } } } } } 
BgL_arg1524z00_2476 = 
BGl_redovarsze70ze7zz__evaluate_uncompz00(BgL_arg1528z00_2478, BgL_arg1529z00_2479); } 
BgL_arg1525z00_2477 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_2422)))->BgL_bodyz00)), BNIL); 
BgL_arg1523z00_2475 = 
MAKE_YOUNG_PAIR(BgL_arg1524z00_2476, BgL_arg1525z00_2477); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2020z00zz__evaluate_uncompz00, BgL_arg1523z00_2475);} } 
BGL_FUNCTION_END;
}



/* rec~0 */
obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t BgL_lz00_1504)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 162 */
if(
NULLP(
CDR(
((obj_t)BgL_lz00_1504))))
{ /* Eval/evaluate_uncomp.scm 163 */
return 
CAR(
((obj_t)BgL_lz00_1504));}  else 
{ /* Eval/evaluate_uncomp.scm 165 */
obj_t BgL_arg1544z00_1508;obj_t BgL_arg1545z00_1509;
BgL_arg1544z00_1508 = 
CAR(
((obj_t)BgL_lz00_1504)); 
{ /* Eval/evaluate_uncomp.scm 165 */
obj_t BgL_arg1546z00_1510;
BgL_arg1546z00_1510 = 
CDR(
((obj_t)BgL_lz00_1504)); 
BgL_arg1545z00_1509 = 
BGl_recze70ze7zz__evaluate_uncompz00(BgL_arg1546z00_1510); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1544z00_1508, BgL_arg1545z00_1509);} } 
BGL_FUNCTION_END;
}



/* redovars~0 */
obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t BgL_nz00_1499, obj_t BgL_lz00_1500)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 165 */
if(
(
(long)CINT(BgL_nz00_1499)>=((long)0)))
{ /* Eval/evaluate_uncomp.scm 160 */
return BgL_lz00_1500;}  else 
{ /* Eval/evaluate_uncomp.scm 160 */
return 
BGl_recze70ze7zz__evaluate_uncompz00(BgL_lz00_1500);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_app1241 */
obj_t BGl_z62uncompzd2ev_app1241zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2423, obj_t BgL_ez00_2424)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 153 */
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1511z00_2491;obj_t BgL_arg1512z00_2492;
BgL_arg1511z00_2491 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_2424)))->BgL_funz00)); 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1514z00_2493;
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_l1173z00_2494;
BgL_l1173z00_2494 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_2424)))->BgL_argsz00); 
if(
NULLP(BgL_l1173z00_2494))
{ /* Eval/evaluate_uncomp.scm 155 */
BgL_arg1514z00_2493 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_head1175z00_2495;
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1521z00_2496;
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1522z00_2497;
BgL_arg1522z00_2497 = 
CAR(
((obj_t)BgL_l1173z00_2494)); 
BgL_arg1521z00_2496 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1522z00_2497)); } 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_res1895z00_2498;
BgL_res1895z00_2498 = 
MAKE_YOUNG_PAIR(BgL_arg1521z00_2496, BNIL); 
BgL_head1175z00_2495 = BgL_res1895z00_2498; } } 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_g1178z00_2499;
BgL_g1178z00_2499 = 
CDR(
((obj_t)BgL_l1173z00_2494)); 
{ 
obj_t BgL_l1173z00_2501;obj_t BgL_tail1176z00_2502;
BgL_l1173z00_2501 = BgL_g1178z00_2499; 
BgL_tail1176z00_2502 = BgL_head1175z00_2495; 
BgL_zc3anonymousza31516ze3z83_2500:
if(
NULLP(BgL_l1173z00_2501))
{ /* Eval/evaluate_uncomp.scm 155 */
BgL_arg1514z00_2493 = BgL_head1175z00_2495; }  else 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_newtail1177z00_2503;
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1519z00_2504;
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1520z00_2505;
BgL_arg1520z00_2505 = 
CAR(
((obj_t)BgL_l1173z00_2501)); 
BgL_arg1519z00_2504 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1520z00_2505)); } 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_res1897z00_2506;
BgL_res1897z00_2506 = 
MAKE_YOUNG_PAIR(BgL_arg1519z00_2504, BNIL); 
BgL_newtail1177z00_2503 = BgL_res1897z00_2506; } } 
SET_CDR(BgL_tail1176z00_2502, BgL_newtail1177z00_2503); 
{ /* Eval/evaluate_uncomp.scm 155 */
obj_t BgL_arg1518z00_2507;
BgL_arg1518z00_2507 = 
CDR(
((obj_t)BgL_l1173z00_2501)); 
{ 
obj_t BgL_tail1176z00_2909;obj_t BgL_l1173z00_2908;
BgL_l1173z00_2908 = BgL_arg1518z00_2507; 
BgL_tail1176z00_2909 = BgL_newtail1177z00_2503; 
BgL_tail1176z00_2502 = BgL_tail1176z00_2909; 
BgL_l1173z00_2501 = BgL_l1173z00_2908; 
goto BgL_zc3anonymousza31516ze3z83_2500;} } } } } } } 
BgL_arg1512z00_2492 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1514z00_2493, BNIL); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1511z00_2491, BgL_arg1512z00_2492);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_goto1239 */
obj_t BGl_z62uncompzd2ev_goto1239zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2425, obj_t BgL_ez00_2426)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 149 */
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1498z00_2509;obj_t BgL_arg1499z00_2510;
{ /* Eval/evaluate_uncomp.scm 151 */
BgL_ev_varz00_bglt BgL_arg1500z00_2511;
BgL_arg1500z00_2511 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_2426)))->BgL_labelz00); 
BgL_arg1498z00_2509 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1500z00_2511)); } 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1501z00_2512;
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_l1167z00_2513;
BgL_l1167z00_2513 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_2426)))->BgL_argsz00); 
if(
NULLP(BgL_l1167z00_2513))
{ /* Eval/evaluate_uncomp.scm 151 */
BgL_arg1501z00_2512 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_head1169z00_2514;
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1509z00_2515;
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1510z00_2516;
BgL_arg1510z00_2516 = 
CAR(
((obj_t)BgL_l1167z00_2513)); 
BgL_arg1509z00_2515 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1510z00_2516)); } 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_res1891z00_2517;
BgL_res1891z00_2517 = 
MAKE_YOUNG_PAIR(BgL_arg1509z00_2515, BNIL); 
BgL_head1169z00_2514 = BgL_res1891z00_2517; } } 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_g1172z00_2518;
BgL_g1172z00_2518 = 
CDR(
((obj_t)BgL_l1167z00_2513)); 
{ 
obj_t BgL_l1167z00_2520;obj_t BgL_tail1170z00_2521;
BgL_l1167z00_2520 = BgL_g1172z00_2518; 
BgL_tail1170z00_2521 = BgL_head1169z00_2514; 
BgL_zc3anonymousza31503ze3z83_2519:
if(
NULLP(BgL_l1167z00_2520))
{ /* Eval/evaluate_uncomp.scm 151 */
BgL_arg1501z00_2512 = BgL_head1169z00_2514; }  else 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_newtail1171z00_2522;
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1507z00_2523;
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1508z00_2524;
BgL_arg1508z00_2524 = 
CAR(
((obj_t)BgL_l1167z00_2520)); 
BgL_arg1507z00_2523 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1508z00_2524)); } 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_res1893z00_2525;
BgL_res1893z00_2525 = 
MAKE_YOUNG_PAIR(BgL_arg1507z00_2523, BNIL); 
BgL_newtail1171z00_2522 = BgL_res1893z00_2525; } } 
SET_CDR(BgL_tail1170z00_2521, BgL_newtail1171z00_2522); 
{ /* Eval/evaluate_uncomp.scm 151 */
obj_t BgL_arg1506z00_2526;
BgL_arg1506z00_2526 = 
CDR(
((obj_t)BgL_l1167z00_2520)); 
{ 
obj_t BgL_tail1170z00_2938;obj_t BgL_l1167z00_2937;
BgL_l1167z00_2937 = BgL_arg1506z00_2526; 
BgL_tail1170z00_2938 = BgL_newtail1171z00_2522; 
BgL_tail1170z00_2521 = BgL_tail1170z00_2938; 
BgL_l1167z00_2520 = BgL_l1167z00_2937; 
goto BgL_zc3anonymousza31503ze3z83_2519;} } } } } } } 
BgL_arg1499z00_2510 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1501z00_2512, BNIL); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1498z00_2509, BgL_arg1499z00_2510);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_labels1237 */
obj_t BGl_z62uncompzd2ev_labels1237zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2427, obj_t BgL_ez00_2428)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 142 */
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1467z00_2528;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1468z00_2529;obj_t BgL_arg1469z00_2530;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_ll1161z00_2531;obj_t BgL_ll1162z00_2532;
BgL_ll1161z00_2531 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_2428)))->BgL_varsz00); 
BgL_ll1162z00_2532 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_2428)))->BgL_valsz00); 
if(
NULLP(BgL_ll1161z00_2531))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1468z00_2529 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_head1163z00_2533;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_res1883z00_2534;
BgL_res1883z00_2534 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1163z00_2533 = BgL_res1883z00_2534; } 
{ 
obj_t BgL_ll1161z00_2536;obj_t BgL_ll1162z00_2537;obj_t BgL_tail1164z00_2538;
BgL_ll1161z00_2536 = BgL_ll1161z00_2531; 
BgL_ll1162z00_2537 = BgL_ll1162z00_2532; 
BgL_tail1164z00_2538 = BgL_head1163z00_2533; 
BgL_zc3anonymousza31471ze3z83_2535:
if(
NULLP(BgL_ll1161z00_2536))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1468z00_2529 = 
CDR(BgL_head1163z00_2533); }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_newtail1165z00_2539;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1475z00_2540;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_vz00_2541;obj_t BgL_az00_2542;
BgL_vz00_2541 = 
CAR(
((obj_t)BgL_ll1161z00_2536)); 
BgL_az00_2542 = 
CAR(
((obj_t)BgL_ll1162z00_2537)); 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1477z00_2543;obj_t BgL_arg1478z00_2544;
BgL_arg1477z00_2543 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2541)); 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1479z00_2545;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1480z00_2546;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1482z00_2547;obj_t BgL_arg1483z00_2548;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_l1155z00_2549;
BgL_l1155z00_2549 = 
CAR(
((obj_t)BgL_az00_2542)); 
if(
NULLP(BgL_l1155z00_2549))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1482z00_2547 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_head1157z00_2550;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1490z00_2551;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1491z00_2552;
BgL_arg1491z00_2552 = 
CAR(
((obj_t)BgL_l1155z00_2549)); 
BgL_arg1490z00_2551 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1491z00_2552)); } 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_res1886z00_2553;
BgL_res1886z00_2553 = 
MAKE_YOUNG_PAIR(BgL_arg1490z00_2551, BNIL); 
BgL_head1157z00_2550 = BgL_res1886z00_2553; } } 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_g1160z00_2554;
BgL_g1160z00_2554 = 
CDR(
((obj_t)BgL_l1155z00_2549)); 
{ 
obj_t BgL_l1155z00_2556;obj_t BgL_tail1158z00_2557;
BgL_l1155z00_2556 = BgL_g1160z00_2554; 
BgL_tail1158z00_2557 = BgL_head1157z00_2550; 
BgL_zc3anonymousza31485ze3z83_2555:
if(
NULLP(BgL_l1155z00_2556))
{ /* Eval/evaluate_uncomp.scm 144 */
BgL_arg1482z00_2547 = BgL_head1157z00_2550; }  else 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_newtail1159z00_2558;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1488z00_2559;
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1489z00_2560;
BgL_arg1489z00_2560 = 
CAR(
((obj_t)BgL_l1155z00_2556)); 
BgL_arg1488z00_2559 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1489z00_2560)); } 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_res1888z00_2561;
BgL_res1888z00_2561 = 
MAKE_YOUNG_PAIR(BgL_arg1488z00_2559, BNIL); 
BgL_newtail1159z00_2558 = BgL_res1888z00_2561; } } 
SET_CDR(BgL_tail1158z00_2557, BgL_newtail1159z00_2558); 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1487z00_2562;
BgL_arg1487z00_2562 = 
CDR(
((obj_t)BgL_l1155z00_2556)); 
{ 
obj_t BgL_tail1158z00_2979;obj_t BgL_l1155z00_2978;
BgL_l1155z00_2978 = BgL_arg1487z00_2562; 
BgL_tail1158z00_2979 = BgL_newtail1159z00_2558; 
BgL_tail1158z00_2557 = BgL_tail1158z00_2979; 
BgL_l1155z00_2556 = BgL_l1155z00_2978; 
goto BgL_zc3anonymousza31485ze3z83_2555;} } } } } } } 
{ /* Eval/evaluate_uncomp.scm 145 */
obj_t BgL_arg1492z00_2563;
{ /* Eval/evaluate_uncomp.scm 145 */
obj_t BgL_arg1494z00_2564;
BgL_arg1494z00_2564 = 
CDR(
((obj_t)BgL_az00_2542)); 
BgL_arg1492z00_2563 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1494z00_2564)); } 
BgL_arg1483z00_2548 = 
MAKE_YOUNG_PAIR(BgL_arg1492z00_2563, BNIL); } 
BgL_arg1480z00_2546 = 
MAKE_YOUNG_PAIR(BgL_arg1482z00_2547, BgL_arg1483z00_2548); } 
BgL_arg1479z00_2545 = 
MAKE_YOUNG_PAIR(BGl_symbol2020z00zz__evaluate_uncompz00, BgL_arg1480z00_2546); } 
BgL_arg1478z00_2544 = 
MAKE_YOUNG_PAIR(BgL_arg1479z00_2545, BNIL); } 
BgL_arg1475z00_2540 = 
MAKE_YOUNG_PAIR(BgL_arg1477z00_2543, BgL_arg1478z00_2544); } } 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_res1889z00_2565;
BgL_res1889z00_2565 = 
MAKE_YOUNG_PAIR(BgL_arg1475z00_2540, BNIL); 
BgL_newtail1165z00_2539 = BgL_res1889z00_2565; } } 
SET_CDR(BgL_tail1164z00_2538, BgL_newtail1165z00_2539); 
{ /* Eval/evaluate_uncomp.scm 144 */
obj_t BgL_arg1473z00_2566;obj_t BgL_arg1474z00_2567;
BgL_arg1473z00_2566 = 
CDR(
((obj_t)BgL_ll1161z00_2536)); 
BgL_arg1474z00_2567 = 
CDR(
((obj_t)BgL_ll1162z00_2537)); 
{ 
obj_t BgL_tail1164z00_2997;obj_t BgL_ll1162z00_2996;obj_t BgL_ll1161z00_2995;
BgL_ll1161z00_2995 = BgL_arg1473z00_2566; 
BgL_ll1162z00_2996 = BgL_arg1474z00_2567; 
BgL_tail1164z00_2997 = BgL_newtail1165z00_2539; 
BgL_tail1164z00_2538 = BgL_tail1164z00_2997; 
BgL_ll1162z00_2537 = BgL_ll1162z00_2996; 
BgL_ll1161z00_2536 = BgL_ll1161z00_2995; 
goto BgL_zc3anonymousza31471ze3z83_2535;} } } } } } 
BgL_arg1469z00_2530 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_2428)))->BgL_bodyz00)), BNIL); 
BgL_arg1467z00_2528 = 
MAKE_YOUNG_PAIR(BgL_arg1468z00_2529, BgL_arg1469z00_2530); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2022z00zz__evaluate_uncompz00, BgL_arg1467z00_2528);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_letrec1235 */
obj_t BGl_z62uncompzd2ev_letrec1235zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2429, obj_t BgL_ez00_2430)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 138 */
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1452z00_2569;
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1453z00_2570;obj_t BgL_arg1454z00_2571;
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_ll1149z00_2572;obj_t BgL_ll1150z00_2573;
BgL_ll1149z00_2572 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2430))))->BgL_varsz00); 
BgL_ll1150z00_2573 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2430))))->BgL_valsz00); 
if(
NULLP(BgL_ll1149z00_2572))
{ /* Eval/evaluate_uncomp.scm 140 */
BgL_arg1453z00_2570 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_head1151z00_2574;
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_res1879z00_2575;
BgL_res1879z00_2575 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1151z00_2574 = BgL_res1879z00_2575; } 
{ 
obj_t BgL_ll1149z00_2577;obj_t BgL_ll1150z00_2578;obj_t BgL_tail1152z00_2579;
BgL_ll1149z00_2577 = BgL_ll1149z00_2572; 
BgL_ll1150z00_2578 = BgL_ll1150z00_2573; 
BgL_tail1152z00_2579 = BgL_head1151z00_2574; 
BgL_zc3anonymousza31456ze3z83_2576:
if(
NULLP(BgL_ll1149z00_2577))
{ /* Eval/evaluate_uncomp.scm 140 */
BgL_arg1453z00_2570 = 
CDR(BgL_head1151z00_2574); }  else 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_newtail1153z00_2580;
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1461z00_2581;
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_vz00_2582;obj_t BgL_az00_2583;
BgL_vz00_2582 = 
CAR(
((obj_t)BgL_ll1149z00_2577)); 
BgL_az00_2583 = 
CAR(
((obj_t)BgL_ll1150z00_2578)); 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1462z00_2584;obj_t BgL_arg1463z00_2585;
BgL_arg1462z00_2584 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2582)); 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1464z00_2586;
BgL_arg1464z00_2586 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_az00_2583)); 
BgL_arg1463z00_2585 = 
MAKE_YOUNG_PAIR(BgL_arg1464z00_2586, BNIL); } 
BgL_arg1461z00_2581 = 
MAKE_YOUNG_PAIR(BgL_arg1462z00_2584, BgL_arg1463z00_2585); } } 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_res1881z00_2587;
BgL_res1881z00_2587 = 
MAKE_YOUNG_PAIR(BgL_arg1461z00_2581, BNIL); 
BgL_newtail1153z00_2580 = BgL_res1881z00_2587; } } 
SET_CDR(BgL_tail1152z00_2579, BgL_newtail1153z00_2580); 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1459z00_2588;obj_t BgL_arg1460z00_2589;
BgL_arg1459z00_2588 = 
CDR(
((obj_t)BgL_ll1149z00_2577)); 
BgL_arg1460z00_2589 = 
CDR(
((obj_t)BgL_ll1150z00_2578)); 
{ 
obj_t BgL_tail1152z00_3034;obj_t BgL_ll1150z00_3033;obj_t BgL_ll1149z00_3032;
BgL_ll1149z00_3032 = BgL_arg1459z00_2588; 
BgL_ll1150z00_3033 = BgL_arg1460z00_2589; 
BgL_tail1152z00_3034 = BgL_newtail1153z00_2580; 
BgL_tail1152z00_2579 = BgL_tail1152z00_3034; 
BgL_ll1150z00_2578 = BgL_ll1150z00_3033; 
BgL_ll1149z00_2577 = BgL_ll1149z00_3032; 
goto BgL_zc3anonymousza31456ze3z83_2576;} } } } } } 
{ /* Eval/evaluate_uncomp.scm 140 */
obj_t BgL_arg1465z00_2590;
{ /* Eval/evaluate_uncomp.scm 140 */
BgL_ev_exprz00_bglt BgL_arg1466z00_2591;
BgL_arg1466z00_2591 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_2430))))->BgL_bodyz00); 
BgL_arg1465z00_2590 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1466z00_2591); } 
BgL_arg1454z00_2571 = 
MAKE_YOUNG_PAIR(BgL_arg1465z00_2590, BNIL); } 
BgL_arg1452z00_2569 = 
MAKE_YOUNG_PAIR(BgL_arg1453z00_2570, BgL_arg1454z00_2571); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2022z00zz__evaluate_uncompz00, BgL_arg1452z00_2569);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_let*1233 */
obj_t BGl_z62uncompzd2ev_letza21233z12zz__evaluate_uncompz00(obj_t BgL_envz00_2431, obj_t BgL_ez00_2432)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 134 */
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1435z00_2593;
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1438z00_2594;obj_t BgL_arg1439z00_2595;
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_ll1143z00_2596;obj_t BgL_ll1144z00_2597;
BgL_ll1143z00_2596 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2432))))->BgL_varsz00); 
BgL_ll1144z00_2597 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2432))))->BgL_valsz00); 
if(
NULLP(BgL_ll1143z00_2596))
{ /* Eval/evaluate_uncomp.scm 136 */
BgL_arg1438z00_2594 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_head1145z00_2598;
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_res1875z00_2599;
BgL_res1875z00_2599 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1145z00_2598 = BgL_res1875z00_2599; } 
{ 
obj_t BgL_ll1143z00_2601;obj_t BgL_ll1144z00_2602;obj_t BgL_tail1146z00_2603;
BgL_ll1143z00_2601 = BgL_ll1143z00_2596; 
BgL_ll1144z00_2602 = BgL_ll1144z00_2597; 
BgL_tail1146z00_2603 = BgL_head1145z00_2598; 
BgL_zc3anonymousza31441ze3z83_2600:
if(
NULLP(BgL_ll1143z00_2601))
{ /* Eval/evaluate_uncomp.scm 136 */
BgL_arg1438z00_2594 = 
CDR(BgL_head1145z00_2598); }  else 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_newtail1147z00_2604;
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1445z00_2605;
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_vz00_2606;obj_t BgL_az00_2607;
BgL_vz00_2606 = 
CAR(
((obj_t)BgL_ll1143z00_2601)); 
BgL_az00_2607 = 
CAR(
((obj_t)BgL_ll1144z00_2602)); 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1446z00_2608;obj_t BgL_arg1447z00_2609;
BgL_arg1446z00_2608 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2606)); 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1448z00_2610;
BgL_arg1448z00_2610 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_az00_2607)); 
BgL_arg1447z00_2609 = 
MAKE_YOUNG_PAIR(BgL_arg1448z00_2610, BNIL); } 
BgL_arg1445z00_2605 = 
MAKE_YOUNG_PAIR(BgL_arg1446z00_2608, BgL_arg1447z00_2609); } } 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_res1877z00_2611;
BgL_res1877z00_2611 = 
MAKE_YOUNG_PAIR(BgL_arg1445z00_2605, BNIL); 
BgL_newtail1147z00_2604 = BgL_res1877z00_2611; } } 
SET_CDR(BgL_tail1146z00_2603, BgL_newtail1147z00_2604); 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1443z00_2612;obj_t BgL_arg1444z00_2613;
BgL_arg1443z00_2612 = 
CDR(
((obj_t)BgL_ll1143z00_2601)); 
BgL_arg1444z00_2613 = 
CDR(
((obj_t)BgL_ll1144z00_2602)); 
{ 
obj_t BgL_tail1146z00_3072;obj_t BgL_ll1144z00_3071;obj_t BgL_ll1143z00_3070;
BgL_ll1143z00_3070 = BgL_arg1443z00_2612; 
BgL_ll1144z00_3071 = BgL_arg1444z00_2613; 
BgL_tail1146z00_3072 = BgL_newtail1147z00_2604; 
BgL_tail1146z00_2603 = BgL_tail1146z00_3072; 
BgL_ll1144z00_2602 = BgL_ll1144z00_3071; 
BgL_ll1143z00_2601 = BgL_ll1143z00_3070; 
goto BgL_zc3anonymousza31441ze3z83_2600;} } } } } } 
{ /* Eval/evaluate_uncomp.scm 136 */
obj_t BgL_arg1449z00_2614;
{ /* Eval/evaluate_uncomp.scm 136 */
BgL_ev_exprz00_bglt BgL_arg1451z00_2615;
BgL_arg1451z00_2615 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_2432))))->BgL_bodyz00); 
BgL_arg1449z00_2614 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1451z00_2615); } 
BgL_arg1439z00_2595 = 
MAKE_YOUNG_PAIR(BgL_arg1449z00_2614, BNIL); } 
BgL_arg1435z00_2593 = 
MAKE_YOUNG_PAIR(BgL_arg1438z00_2594, BgL_arg1439z00_2595); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2024z00zz__evaluate_uncompz00, BgL_arg1435z00_2593);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_let1231 */
obj_t BGl_z62uncompzd2ev_let1231zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2433, obj_t BgL_ez00_2434)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 130 */
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1419z00_2617;
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1420z00_2618;obj_t BgL_arg1423z00_2619;
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_ll1137z00_2620;obj_t BgL_ll1138z00_2621;
BgL_ll1137z00_2620 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2434))))->BgL_varsz00); 
BgL_ll1138z00_2621 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2434))))->BgL_valsz00); 
if(
NULLP(BgL_ll1137z00_2620))
{ /* Eval/evaluate_uncomp.scm 132 */
BgL_arg1420z00_2618 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_head1139z00_2622;
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_res1871z00_2623;
BgL_res1871z00_2623 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1139z00_2622 = BgL_res1871z00_2623; } 
{ 
obj_t BgL_ll1137z00_2625;obj_t BgL_ll1138z00_2626;obj_t BgL_tail1140z00_2627;
BgL_ll1137z00_2625 = BgL_ll1137z00_2620; 
BgL_ll1138z00_2626 = BgL_ll1138z00_2621; 
BgL_tail1140z00_2627 = BgL_head1139z00_2622; 
BgL_zc3anonymousza31425ze3z83_2624:
if(
NULLP(BgL_ll1137z00_2625))
{ /* Eval/evaluate_uncomp.scm 132 */
BgL_arg1420z00_2618 = 
CDR(BgL_head1139z00_2622); }  else 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_newtail1141z00_2628;
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1429z00_2629;
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_vz00_2630;obj_t BgL_az00_2631;
BgL_vz00_2630 = 
CAR(
((obj_t)BgL_ll1137z00_2625)); 
BgL_az00_2631 = 
CAR(
((obj_t)BgL_ll1138z00_2626)); 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1430z00_2632;obj_t BgL_arg1431z00_2633;
BgL_arg1430z00_2632 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_vz00_2630)); 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1432z00_2634;
BgL_arg1432z00_2634 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_az00_2631)); 
BgL_arg1431z00_2633 = 
MAKE_YOUNG_PAIR(BgL_arg1432z00_2634, BNIL); } 
BgL_arg1429z00_2629 = 
MAKE_YOUNG_PAIR(BgL_arg1430z00_2632, BgL_arg1431z00_2633); } } 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_res1873z00_2635;
BgL_res1873z00_2635 = 
MAKE_YOUNG_PAIR(BgL_arg1429z00_2629, BNIL); 
BgL_newtail1141z00_2628 = BgL_res1873z00_2635; } } 
SET_CDR(BgL_tail1140z00_2627, BgL_newtail1141z00_2628); 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1427z00_2636;obj_t BgL_arg1428z00_2637;
BgL_arg1427z00_2636 = 
CDR(
((obj_t)BgL_ll1137z00_2625)); 
BgL_arg1428z00_2637 = 
CDR(
((obj_t)BgL_ll1138z00_2626)); 
{ 
obj_t BgL_tail1140z00_3110;obj_t BgL_ll1138z00_3109;obj_t BgL_ll1137z00_3108;
BgL_ll1137z00_3108 = BgL_arg1427z00_2636; 
BgL_ll1138z00_3109 = BgL_arg1428z00_2637; 
BgL_tail1140z00_3110 = BgL_newtail1141z00_2628; 
BgL_tail1140z00_2627 = BgL_tail1140z00_3110; 
BgL_ll1138z00_2626 = BgL_ll1138z00_3109; 
BgL_ll1137z00_2625 = BgL_ll1137z00_3108; 
goto BgL_zc3anonymousza31425ze3z83_2624;} } } } } } 
{ /* Eval/evaluate_uncomp.scm 132 */
obj_t BgL_arg1433z00_2638;
{ /* Eval/evaluate_uncomp.scm 132 */
BgL_ev_exprz00_bglt BgL_arg1434z00_2639;
BgL_arg1434z00_2639 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_2434))))->BgL_bodyz00); 
BgL_arg1433z00_2638 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1434z00_2639); } 
BgL_arg1423z00_2619 = 
MAKE_YOUNG_PAIR(BgL_arg1433z00_2638, BNIL); } 
BgL_arg1419z00_2617 = 
MAKE_YOUNG_PAIR(BgL_arg1420z00_2618, BgL_arg1423z00_2619); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2026z00zz__evaluate_uncompz00, BgL_arg1419z00_2617);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_synchroniz1229 */
obj_t BGl_z62uncompzd2ev_synchroniza71229z17zz__evaluate_uncompz00(obj_t BgL_envz00_2435, obj_t BgL_ez00_2436)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 126 */
{ /* Eval/evaluate_uncomp.scm 128 */
obj_t BgL_arg1407z00_2641;
{ /* Eval/evaluate_uncomp.scm 128 */
obj_t BgL_arg1408z00_2642;obj_t BgL_arg1409z00_2643;
BgL_arg1408z00_2642 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2436)))->BgL_mutexz00)); 
{ /* Eval/evaluate_uncomp.scm 128 */
obj_t BgL_arg1411z00_2644;
{ /* Eval/evaluate_uncomp.scm 128 */
obj_t BgL_arg1413z00_2645;obj_t BgL_arg1414z00_2646;
BgL_arg1413z00_2645 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2436)))->BgL_prelockz00)); 
BgL_arg1414z00_2646 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_2436)))->BgL_bodyz00)), BNIL); 
BgL_arg1411z00_2644 = 
MAKE_YOUNG_PAIR(BgL_arg1413z00_2645, BgL_arg1414z00_2646); } 
BgL_arg1409z00_2643 = 
MAKE_YOUNG_PAIR(BGl_keyword2028z00zz__evaluate_uncompz00, BgL_arg1411z00_2644); } 
BgL_arg1407z00_2641 = 
MAKE_YOUNG_PAIR(BgL_arg1408z00_2642, BgL_arg1409z00_2643); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2030z00zz__evaluate_uncompz00, BgL_arg1407z00_2641);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_with-handl1227 */
obj_t BGl_z62uncompzd2ev_withzd2handl1227z62zz__evaluate_uncompz00(obj_t BgL_envz00_2437, obj_t BgL_ez00_2438)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 122 */
{ /* Eval/evaluate_uncomp.scm 124 */
obj_t BgL_arg1401z00_2648;
{ /* Eval/evaluate_uncomp.scm 124 */
obj_t BgL_arg1402z00_2649;obj_t BgL_arg1403z00_2650;
BgL_arg1402z00_2649 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_2438)))->BgL_handlerz00)); 
BgL_arg1403z00_2650 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_2438)))->BgL_bodyz00)), BNIL); 
BgL_arg1401z00_2648 = 
MAKE_YOUNG_PAIR(BgL_arg1402z00_2649, BgL_arg1403z00_2650); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2032z00zz__evaluate_uncompz00, BgL_arg1401z00_2648);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_unwind-pro1225 */
obj_t BGl_z62uncompzd2ev_unwindzd2pro1225z62zz__evaluate_uncompz00(obj_t BgL_envz00_2439, obj_t BgL_ez00_2440)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 118 */
{ /* Eval/evaluate_uncomp.scm 120 */
obj_t BgL_arg1393z00_2652;
{ /* Eval/evaluate_uncomp.scm 120 */
obj_t BgL_arg1394z00_2653;obj_t BgL_arg1397z00_2654;
BgL_arg1394z00_2653 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_2440)))->BgL_ez00)); 
BgL_arg1397z00_2654 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_2440)))->BgL_bodyz00)), BNIL); 
BgL_arg1393z00_2652 = 
MAKE_YOUNG_PAIR(BgL_arg1394z00_2653, BgL_arg1397z00_2654); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2034z00zz__evaluate_uncompz00, BgL_arg1393z00_2652);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_bind-exit1223 */
obj_t BGl_z62uncompzd2ev_bindzd2exit1223z62zz__evaluate_uncompz00(obj_t BgL_envz00_2441, obj_t BgL_ez00_2442)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 114 */
{ /* Eval/evaluate_uncomp.scm 116 */
obj_t BgL_arg1385z00_2656;
{ /* Eval/evaluate_uncomp.scm 116 */
obj_t BgL_arg1386z00_2657;obj_t BgL_arg1387z00_2658;
{ /* Eval/evaluate_uncomp.scm 116 */
obj_t BgL_arg1388z00_2659;
{ /* Eval/evaluate_uncomp.scm 116 */
BgL_ev_varz00_bglt BgL_arg1389z00_2660;
BgL_arg1389z00_2660 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_2442)))->BgL_varz00); 
BgL_arg1388z00_2659 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1389z00_2660)); } 
BgL_arg1386z00_2657 = 
MAKE_YOUNG_PAIR(BgL_arg1388z00_2659, BNIL); } 
BgL_arg1387z00_2658 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_2442)))->BgL_bodyz00)), BNIL); 
BgL_arg1385z00_2656 = 
MAKE_YOUNG_PAIR(BgL_arg1386z00_2657, BgL_arg1387z00_2658); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2036z00zz__evaluate_uncompz00, BgL_arg1385z00_2656);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_setlocal1221 */
obj_t BGl_z62uncompzd2ev_setlocal1221zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2443, obj_t BgL_ez00_2444)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 110 */
{ /* Eval/evaluate_uncomp.scm 112 */
obj_t BgL_arg1379z00_2662;
{ /* Eval/evaluate_uncomp.scm 112 */
obj_t BgL_arg1380z00_2663;obj_t BgL_arg1381z00_2664;
{ /* Eval/evaluate_uncomp.scm 112 */
BgL_ev_varz00_bglt BgL_arg1382z00_2665;
BgL_arg1382z00_2665 = 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_2444)))->BgL_vz00); 
BgL_arg1380z00_2663 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1382z00_2665)); } 
{ /* Eval/evaluate_uncomp.scm 112 */
obj_t BgL_arg1383z00_2666;
{ /* Eval/evaluate_uncomp.scm 112 */
BgL_ev_exprz00_bglt BgL_arg1384z00_2667;
BgL_arg1384z00_2667 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_2444))))->BgL_ez00); 
BgL_arg1383z00_2666 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1384z00_2667); } 
BgL_arg1381z00_2664 = 
MAKE_YOUNG_PAIR(BgL_arg1383z00_2666, BNIL); } 
BgL_arg1379z00_2662 = 
MAKE_YOUNG_PAIR(BgL_arg1380z00_2663, BgL_arg1381z00_2664); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2038z00zz__evaluate_uncompz00, BgL_arg1379z00_2662);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_defglobal1219 */
obj_t BGl_z62uncompzd2ev_defglobal1219zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2445, obj_t BgL_ez00_2446)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 106 */
{ /* Eval/evaluate_uncomp.scm 108 */
obj_t BgL_arg1374z00_2669;
{ /* Eval/evaluate_uncomp.scm 108 */
obj_t BgL_arg1375z00_2670;obj_t BgL_arg1376z00_2671;
BgL_arg1375z00_2670 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_2446))))->BgL_namez00); 
{ /* Eval/evaluate_uncomp.scm 108 */
obj_t BgL_arg1377z00_2672;
{ /* Eval/evaluate_uncomp.scm 108 */
BgL_ev_exprz00_bglt BgL_arg1378z00_2673;
BgL_arg1378z00_2673 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_2446))))->BgL_ez00); 
BgL_arg1377z00_2672 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1378z00_2673); } 
BgL_arg1376z00_2671 = 
MAKE_YOUNG_PAIR(BgL_arg1377z00_2672, BNIL); } 
BgL_arg1374z00_2669 = 
MAKE_YOUNG_PAIR(BgL_arg1375z00_2670, BgL_arg1376z00_2671); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2040z00zz__evaluate_uncompz00, BgL_arg1374z00_2669);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_setglobal1217 */
obj_t BGl_z62uncompzd2ev_setglobal1217zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2447, obj_t BgL_ez00_2448)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 102 */
{ /* Eval/evaluate_uncomp.scm 104 */
obj_t BgL_arg1368z00_2675;
{ /* Eval/evaluate_uncomp.scm 104 */
obj_t BgL_arg1369z00_2676;obj_t BgL_arg1370z00_2677;
BgL_arg1369z00_2676 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_2448)))->BgL_namez00); 
{ /* Eval/evaluate_uncomp.scm 104 */
obj_t BgL_arg1372z00_2678;
{ /* Eval/evaluate_uncomp.scm 104 */
BgL_ev_exprz00_bglt BgL_arg1373z00_2679;
BgL_arg1373z00_2679 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_ez00_2448))))->BgL_ez00); 
BgL_arg1372z00_2678 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1373z00_2679); } 
BgL_arg1370z00_2677 = 
MAKE_YOUNG_PAIR(BgL_arg1372z00_2678, BNIL); } 
BgL_arg1368z00_2675 = 
MAKE_YOUNG_PAIR(BgL_arg1369z00_2676, BgL_arg1370z00_2677); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2038z00zz__evaluate_uncompz00, BgL_arg1368z00_2675);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_trap1215 */
obj_t BGl_z62uncompzd2ev_trap1215zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2449, obj_t BgL_ez00_2450)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 98 */
{ /* Eval/evaluate_uncomp.scm 100 */
obj_t BgL_arg1365z00_2681;
{ /* Eval/evaluate_uncomp.scm 100 */
obj_t BgL_arg1366z00_2682;
{ /* Eval/evaluate_uncomp.scm 100 */
BgL_ev_exprz00_bglt BgL_arg1367z00_2683;
BgL_arg1367z00_2683 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_ez00_2450))))->BgL_ez00); 
BgL_arg1366z00_2682 = 
BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1367z00_2683); } 
BgL_arg1365z00_2681 = 
MAKE_YOUNG_PAIR(BgL_arg1366z00_2682, BNIL); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2042z00zz__evaluate_uncompz00, BgL_arg1365z00_2681);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_prog21213 */
obj_t BGl_z62uncompzd2ev_prog21213zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2451, obj_t BgL_ez00_2452)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 91 */
{ /* Eval/evaluate_uncomp.scm 93 */
obj_t BgL_e1z00_2685;obj_t BgL_e2z00_2686;
BgL_e1z00_2685 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_2452)))->BgL_e1z00)); 
BgL_e2z00_2686 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_2452)))->BgL_e2z00)); 
{ /* Eval/evaluate_uncomp.scm 94 */
bool_t BgL_testz00_3203;
if(
PAIRP(BgL_e2z00_2686))
{ /* Eval/evaluate_uncomp.scm 94 */
BgL_testz00_3203 = 
(
CAR(BgL_e2z00_2686)==BGl_symbol2044z00zz__evaluate_uncompz00)
; }  else 
{ /* Eval/evaluate_uncomp.scm 94 */
BgL_testz00_3203 = ((bool_t)0)
; } 
if(BgL_testz00_3203)
{ /* Eval/evaluate_uncomp.scm 95 */
obj_t BgL_arg1356z00_2687;
BgL_arg1356z00_2687 = 
MAKE_YOUNG_PAIR(BgL_e1z00_2685, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
CDR(BgL_e2z00_2686), BNIL)); 
return 
MAKE_YOUNG_PAIR(BGl_symbol2044z00zz__evaluate_uncompz00, BgL_arg1356z00_2687);}  else 
{ /* Eval/evaluate_uncomp.scm 96 */
obj_t BgL_arg1360z00_2688;
{ /* Eval/evaluate_uncomp.scm 96 */
obj_t BgL_arg1361z00_2689;
BgL_arg1361z00_2689 = 
MAKE_YOUNG_PAIR(BgL_e2z00_2686, BNIL); 
BgL_arg1360z00_2688 = 
MAKE_YOUNG_PAIR(BgL_e1z00_2685, BgL_arg1361z00_2689); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2044z00zz__evaluate_uncompz00, BgL_arg1360z00_2688);} } } } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_and1211 */
obj_t BGl_z62uncompzd2ev_and1211zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2453, obj_t BgL_ez00_2454)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 87 */
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1343z00_2691;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1344z00_2692;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_l1131z00_2693;
BgL_l1131z00_2693 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_ez00_2454))))->BgL_argsz00); 
if(
NULLP(BgL_l1131z00_2693))
{ /* Eval/evaluate_uncomp.scm 89 */
BgL_arg1344z00_2692 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_head1133z00_2694;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1351z00_2695;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1352z00_2696;
BgL_arg1352z00_2696 = 
CAR(
((obj_t)BgL_l1131z00_2693)); 
BgL_arg1351z00_2695 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1352z00_2696)); } 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_res1866z00_2697;
BgL_res1866z00_2697 = 
MAKE_YOUNG_PAIR(BgL_arg1351z00_2695, BNIL); 
BgL_head1133z00_2694 = BgL_res1866z00_2697; } } 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_g1136z00_2698;
BgL_g1136z00_2698 = 
CDR(
((obj_t)BgL_l1131z00_2693)); 
{ 
obj_t BgL_l1131z00_2700;obj_t BgL_tail1134z00_2701;
BgL_l1131z00_2700 = BgL_g1136z00_2698; 
BgL_tail1134z00_2701 = BgL_head1133z00_2694; 
BgL_zc3anonymousza31346ze3z83_2699:
if(
NULLP(BgL_l1131z00_2700))
{ /* Eval/evaluate_uncomp.scm 89 */
BgL_arg1344z00_2692 = BgL_head1133z00_2694; }  else 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_newtail1135z00_2702;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1349z00_2703;
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1350z00_2704;
BgL_arg1350z00_2704 = 
CAR(
((obj_t)BgL_l1131z00_2700)); 
BgL_arg1349z00_2703 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1350z00_2704)); } 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_res1868z00_2705;
BgL_res1868z00_2705 = 
MAKE_YOUNG_PAIR(BgL_arg1349z00_2703, BNIL); 
BgL_newtail1135z00_2702 = BgL_res1868z00_2705; } } 
SET_CDR(BgL_tail1134z00_2701, BgL_newtail1135z00_2702); 
{ /* Eval/evaluate_uncomp.scm 89 */
obj_t BgL_arg1348z00_2706;
BgL_arg1348z00_2706 = 
CDR(
((obj_t)BgL_l1131z00_2700)); 
{ 
obj_t BgL_tail1134z00_3238;obj_t BgL_l1131z00_3237;
BgL_l1131z00_3237 = BgL_arg1348z00_2706; 
BgL_tail1134z00_3238 = BgL_newtail1135z00_2702; 
BgL_tail1134z00_2701 = BgL_tail1134z00_3238; 
BgL_l1131z00_2700 = BgL_l1131z00_3237; 
goto BgL_zc3anonymousza31346ze3z83_2699;} } } } } } } 
BgL_arg1343z00_2691 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1344z00_2692, BNIL); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2046z00zz__evaluate_uncompz00, BgL_arg1343z00_2691);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_or1209 */
obj_t BGl_z62uncompzd2ev_or1209zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2455, obj_t BgL_ez00_2456)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 83 */
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1333z00_2708;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1334z00_2709;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_l1125z00_2710;
BgL_l1125z00_2710 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_ez00_2456))))->BgL_argsz00); 
if(
NULLP(BgL_l1125z00_2710))
{ /* Eval/evaluate_uncomp.scm 85 */
BgL_arg1334z00_2709 = BNIL; }  else 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_head1127z00_2711;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1341z00_2712;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1342z00_2713;
BgL_arg1342z00_2713 = 
CAR(
((obj_t)BgL_l1125z00_2710)); 
BgL_arg1341z00_2712 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1342z00_2713)); } 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_res1862z00_2714;
BgL_res1862z00_2714 = 
MAKE_YOUNG_PAIR(BgL_arg1341z00_2712, BNIL); 
BgL_head1127z00_2711 = BgL_res1862z00_2714; } } 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_g1130z00_2715;
BgL_g1130z00_2715 = 
CDR(
((obj_t)BgL_l1125z00_2710)); 
{ 
obj_t BgL_l1125z00_2717;obj_t BgL_tail1128z00_2718;
BgL_l1125z00_2717 = BgL_g1130z00_2715; 
BgL_tail1128z00_2718 = BgL_head1127z00_2711; 
BgL_zc3anonymousza31336ze3z83_2716:
if(
NULLP(BgL_l1125z00_2717))
{ /* Eval/evaluate_uncomp.scm 85 */
BgL_arg1334z00_2709 = BgL_head1127z00_2711; }  else 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_newtail1129z00_2719;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1339z00_2720;
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1340z00_2721;
BgL_arg1340z00_2721 = 
CAR(
((obj_t)BgL_l1125z00_2717)); 
BgL_arg1339z00_2720 = 
BGl_uncompz00zz__evaluate_uncompz00(
((BgL_ev_exprz00_bglt)BgL_arg1340z00_2721)); } 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_res1864z00_2722;
BgL_res1864z00_2722 = 
MAKE_YOUNG_PAIR(BgL_arg1339z00_2720, BNIL); 
BgL_newtail1129z00_2719 = BgL_res1864z00_2722; } } 
SET_CDR(BgL_tail1128z00_2718, BgL_newtail1129z00_2719); 
{ /* Eval/evaluate_uncomp.scm 85 */
obj_t BgL_arg1338z00_2723;
BgL_arg1338z00_2723 = 
CDR(
((obj_t)BgL_l1125z00_2717)); 
{ 
obj_t BgL_tail1128z00_3264;obj_t BgL_l1125z00_3263;
BgL_l1125z00_3263 = BgL_arg1338z00_2723; 
BgL_tail1128z00_3264 = BgL_newtail1129z00_2719; 
BgL_tail1128z00_2718 = BgL_tail1128z00_3264; 
BgL_l1125z00_2717 = BgL_l1125z00_3263; 
goto BgL_zc3anonymousza31336ze3z83_2716;} } } } } } } 
BgL_arg1333z00_2708 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1334z00_2709, BNIL); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2048z00zz__evaluate_uncompz00, BgL_arg1333z00_2708);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_if1207 */
obj_t BGl_z62uncompzd2ev_if1207zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2457, obj_t BgL_ez00_2458)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 79 */
{ /* Eval/evaluate_uncomp.scm 81 */
obj_t BgL_arg1318z00_2725;
{ /* Eval/evaluate_uncomp.scm 81 */
obj_t BgL_arg1323z00_2726;obj_t BgL_arg1325z00_2727;
BgL_arg1323z00_2726 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_2458)))->BgL_pz00)); 
{ /* Eval/evaluate_uncomp.scm 81 */
obj_t BgL_arg1328z00_2728;obj_t BgL_arg1329z00_2729;
BgL_arg1328z00_2728 = 
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_2458)))->BgL_tz00)); 
BgL_arg1329z00_2729 = 
MAKE_YOUNG_PAIR(
BGl_uncompz00zz__evaluate_uncompz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_2458)))->BgL_ez00)), BNIL); 
BgL_arg1325z00_2727 = 
MAKE_YOUNG_PAIR(BgL_arg1328z00_2728, BgL_arg1329z00_2729); } 
BgL_arg1318z00_2725 = 
MAKE_YOUNG_PAIR(BgL_arg1323z00_2726, BgL_arg1325z00_2727); } 
return 
MAKE_YOUNG_PAIR(BGl_symbol2050z00zz__evaluate_uncompz00, BgL_arg1318z00_2725);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_litt1205 */
obj_t BGl_z62uncompzd2ev_litt1205zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2459, obj_t BgL_ez00_2460)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 75 */
{ /* Eval/evaluate_uncomp.scm 77 */
obj_t BgL_arg1308z00_2731;
BgL_arg1308z00_2731 = 
MAKE_YOUNG_PAIR(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_ez00_2460)))->BgL_valuez00), BNIL); 
return 
MAKE_YOUNG_PAIR(BGl_symbol2052z00zz__evaluate_uncompz00, BgL_arg1308z00_2731);} } 
BGL_FUNCTION_END;
}



/* &uncomp-ev_global1203 */
obj_t BGl_z62uncompzd2ev_global1203zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2461, obj_t BgL_varz00_2462)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 71 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_2462)))->BgL_namez00);} 
BGL_FUNCTION_END;
}



/* &uncomp-ev_var1201 */
obj_t BGl_z62uncompzd2ev_var1201zb0zz__evaluate_uncompz00(obj_t BgL_envz00_2463, obj_t BgL_varz00_2464)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 67 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_2464)))->BgL_namez00);} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_uncomp.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)180158922), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)251314740), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)454272164), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)445908113), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)434692624), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-400105135), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)127905250), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)23062368), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)6183155), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string2054z00zz__evaluate_uncompz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
