/*===========================================================================*/
/*   (Llib/bigloo.scm)                                                       */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Llib/bigloo.scm -o objs/obj_p/Llib/bigloo.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_releasezd2nameze70z35zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t);
static obj_t BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62opaquezf3z91zz__biglooz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__biglooz00 = BUNSPEC;
static obj_t BGl_symbol1938z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_za2levelza2z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_z62timez62zz__biglooz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static long BGl_getzd28bitszd2integerze70ze7zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62bigloozd2modulezd2manglez62zz__biglooz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bigloozd2exitzd2applyz62zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t bigloo_mangledp(obj_t);
static obj_t BGl_z62bigloozd2mangledzf3z43zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_procedurezd2attrzd2setz12z12zz__biglooz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__biglooz00();
BGL_EXPORTED_DECL obj_t BGl_timez00zz__biglooz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t, char *, obj_t);
static obj_t BGl_z62cnstzf3z91zz__biglooz00(obj_t, obj_t);
extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
BGL_EXPORTED_DECL obj_t bigloo_module_mangle(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__biglooz00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_symbol1970z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_z62bmemzd2resetz12za2zz__biglooz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__biglooz00();
static obj_t BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = BUNSPEC;
extern void bgl_gc_verbose_set(bool_t);
static obj_t BGl_z62bigloozd2gczd2verbosezd2setz12za2zz__biglooz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62makezd2cellzb0zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__biglooz00();
static obj_t BGl_z62bigloozd2manglezb0zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bigloo_class_demangle(obj_t);
static long BGl_manglezd2atz12zc0zz__biglooz00(obj_t, obj_t, long, long);
extern obj_t make_string(long, unsigned char);
BGL_EXPORTED_DECL obj_t BGl_makezd2cellzd2zz__biglooz00(obj_t);
static obj_t BGl_z62cellzd2refzb0zz__biglooz00(obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_cellzf3zf3zz__biglooz00(obj_t);
extern bool_t bigloo_strncmp(obj_t, obj_t, long);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bigloozd2classzd2demanglez62zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t);
extern obj_t bgl_remq_bang(obj_t, obj_t);
static obj_t BGl_z62unregisterzd2exitzd2functionz12z70zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62cellzf3z91zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bigloo_demangle(obj_t);
static long BGl_charzd2ze3digitze70zd6zz__biglooz00(unsigned char);
static obj_t BGl_z62bigloozd2demanglezb0zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62nullzd2orzd2unspecifiedzf3z91zz__biglooz00(obj_t, obj_t);
static obj_t BGl_za2exitzd2mutexza2zd2zz__biglooz00 = BUNSPEC;
static obj_t BGl_bigloozd2demanglezd2atze70ze7zz__biglooz00(long, obj_t, obj_t);
static obj_t BGl_z62cellzd2setz12za2zz__biglooz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_unspecifiedz00zz__biglooz00();
static obj_t BGl_cnstzd2initzd2zz__biglooz00();
BGL_EXPORTED_DECL obj_t BGl_unregisterzd2exitzd2functionz12z12zz__biglooz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_nullzd2orzd2unspecifiedzf3zf3zz__biglooz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00();
static obj_t BGl_gczd2rootszd2initz00zz__biglooz00();
BGL_EXPORTED_DECL obj_t BGl_opaquezd2nilzd2zz__biglooz00();
BGL_EXPORTED_DECL obj_t bigloo_mangle(obj_t);
BGL_EXPORTED_DECL obj_t BGl_cellzd2refzd2zz__biglooz00(obj_t);
BGL_EXPORTED_DECL obj_t bigloo_exit_apply(obj_t);
BGL_EXPORTED_DECL int BGl_procedurezd2lengthzd2zz__biglooz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_exit_mutex();
static obj_t BGl_za2releaseza2z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_z62procedurezd2attrzb0zz__biglooz00(obj_t, obj_t);
extern obj_t bgl_bmem_reset();
BGL_EXPORTED_DECL obj_t BGl_cellzd2setz12zc0zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62opaquezd2nilzb0zz__biglooz00(obj_t);
extern obj_t c_substring(obj_t, long, long);
static obj_t BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00(obj_t, obj_t);
extern obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_profzd2initzd2zz__biglooz00();
static obj_t BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t bigloo_class_mangledp(obj_t);
static obj_t BGl_za2modulesza2z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_z62unspecifiedz62zz__biglooz00(obj_t);
static obj_t BGl_z62procedurezd2lengthzb0zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_procedurezd2arityzd2zz__biglooz00(obj_t);
static obj_t BGl_z62procedurezd2arityzb0zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2gczd2verbosezd2setz12zc0zz__biglooz00(bool_t);
BGL_EXPORTED_DECL obj_t BGl_procedurezd2attrzd2zz__biglooz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bmemzd2resetz12zc0zz__biglooz00();
extern bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl_z62checkzd2versionz12za2zz__biglooz00(obj_t, obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_unregisterzd2exitzd2functionz12zd2envzc0zz__biglooz00, BgL_bgl_za762unregisterza7d21974z00, BGl_z62unregisterzd2exitzd2functionz12z70zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_procedurezd2attrzd2envz00zz__biglooz00, BgL_bgl_za762procedureza7d2a1975z00, BGl_z62procedurezd2attrzb0zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_opaquezd2nilzd2envz00zz__biglooz00, BgL_bgl_za762opaqueza7d2nilza71976za7, BGl_z62opaquezd2nilzb0zz__biglooz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2mangledzf3zd2envzf3zz__biglooz00, BgL_bgl_za762biglooza7d2mang1977z00, BGl_z62bigloozd2mangledzf3z43zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2exitzd2mutexzd2envzd2zz__biglooz00, BgL_bgl_za762biglooza7d2exit1978z00, BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2modulezd2manglezd2envzd2zz__biglooz00, BgL_bgl_za762biglooza7d2modu1979z00, BGl_z62bigloozd2modulezd2manglez62zz__biglooz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_nullzd2orzd2unspecifiedzf3zd2envz21zz__biglooz00, BgL_bgl_za762nullza7d2orza7d2u1980za7, BGl_z62nullzd2orzd2unspecifiedzf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bmemzd2resetz12zd2envz12zz__biglooz00, BgL_bgl_za762bmemza7d2resetza71981za7, BGl_z62bmemzd2resetz12za2zz__biglooz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2needzd2manglingzf3zd2envz21zz__biglooz00, BgL_bgl_za762biglooza7d2need1982z00, BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2classzd2mangledzf3zd2envz21zz__biglooz00, BgL_bgl_za762biglooza7d2clas1983z00, BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2manglezd2envz00zz__biglooz00, BgL_bgl_za762biglooza7d2mang1984z00, BGl_z62bigloozd2manglezb0zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_cellzf3zd2envz21zz__biglooz00, BgL_bgl_za762cellza7f3za791za7za7_1985za7, BGl_z62cellzf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_registerzd2exitzd2functionz12zd2envzc0zz__biglooz00, BgL_bgl_za762registerza7d2ex1986z00, BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2demanglezd2envz00zz__biglooz00, BgL_bgl_za762biglooza7d2dema1987z00, BGl_z62bigloozd2demanglezb0zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_checkzd2versionz12zd2envz12zz__biglooz00, BgL_bgl_za762checkza7d2versi1988z00, BGl_z62checkzd2versionz12za2zz__biglooz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2exitzd2applyzd2envzd2zz__biglooz00, BgL_bgl_za762biglooza7d2exit1989z00, BGl_z62bigloozd2exitzd2applyz62zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1939z00zz__biglooz00, BgL_bgl_string1939za700za7za7_1990za7, "bigloo-exit", 11 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2classzd2demanglezd2envzd2zz__biglooz00, BgL_bgl_za762biglooza7d2clas1991z00, BGl_z62bigloozd2classzd2demanglez62zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_procedurezd2attrzd2setz12zd2envzc0zz__biglooz00, BgL_bgl_za762procedureza7d2a1992z00, BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1940z00zz__biglooz00, BgL_bgl_string1940za700za7za7_1993za7, "Some modules have been compiled by: ", 36 );
DEFINE_STRING( BGl_string1941z00zz__biglooz00, BgL_bgl_string1941za700za7za7_1994za7, "and other by: ", 14 );
DEFINE_STRING( BGl_string1942z00zz__biglooz00, BgL_bgl_string1942za700za7za7_1995za7, " (level 0)", 10 );
DEFINE_STRING( BGl_string1943z00zz__biglooz00, BgL_bgl_string1943za700za7za7_1996za7, "/builddir/build/BUILD/bigloo4.3f/runtime/Llib/bigloo.scm", 56 );
DEFINE_STRING( BGl_string1944z00zz__biglooz00, BgL_bgl_string1944za700za7za7_1997za7, "&check-version!", 15 );
DEFINE_STRING( BGl_string1945z00zz__biglooz00, BgL_bgl_string1945za700za7za7_1998za7, "bstring", 7 );
DEFINE_STRING( BGl_string1946z00zz__biglooz00, BgL_bgl_string1946za700za7za7_1999za7, "&procedure-arity", 16 );
DEFINE_STRING( BGl_string1947z00zz__biglooz00, BgL_bgl_string1947za700za7za7_2000za7, "procedure", 9 );
DEFINE_STRING( BGl_string1948z00zz__biglooz00, BgL_bgl_string1948za700za7za7_2001za7, "&procedure-length", 17 );
DEFINE_STRING( BGl_string1949z00zz__biglooz00, BgL_bgl_string1949za700za7za7_2002za7, "&procedure-attr", 15 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_unspecifiedzd2envzd2zz__biglooz00, BgL_bgl_za762unspecifiedza762003z00, BGl_z62unspecifiedz62zz__biglooz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1950z00zz__biglooz00, BgL_bgl_string1950za700za7za7_2004za7, "&procedure-attr-set!", 20 );
DEFINE_STRING( BGl_string1951z00zz__biglooz00, BgL_bgl_string1951za700za7za7_2005za7, "0123456789abcdef", 16 );
DEFINE_STRING( BGl_string1952z00zz__biglooz00, BgL_bgl_string1952za700za7za7_2006za7, "bigloo-mangle-string", 20 );
DEFINE_STRING( BGl_string1953z00zz__biglooz00, BgL_bgl_string1953za700za7za7_2007za7, "Can't mangle empty string", 25 );
DEFINE_STRING( BGl_string1954z00zz__biglooz00, BgL_bgl_string1954za700za7za7_2008za7, "BgL_", 4 );
DEFINE_STRING( BGl_string1955z00zz__biglooz00, BgL_bgl_string1955za700za7za7_2009za7, "&bigloo-mangle", 14 );
DEFINE_STRING( BGl_string1956z00zz__biglooz00, BgL_bgl_string1956za700za7za7_2010za7, "BGl_", 4 );
DEFINE_STRING( BGl_string1957z00zz__biglooz00, BgL_bgl_string1957za700za7za7_2011za7, "&bigloo-module-mangle", 21 );
DEFINE_STRING( BGl_string1958z00zz__biglooz00, BgL_bgl_string1958za700za7za7_2012za7, "&bigloo-mangled?", 16 );
DEFINE_STRING( BGl_string1959z00zz__biglooz00, BgL_bgl_string1959za700za7za7_2013za7, "&bigloo-need-mangling?", 22 );
DEFINE_STRING( BGl_string1960z00zz__biglooz00, BgL_bgl_string1960za700za7za7_2014za7, "bigloo-demangle", 15 );
DEFINE_STRING( BGl_string1961z00zz__biglooz00, BgL_bgl_string1961za700za7za7_2015za7, "Illegal mangling on", 19 );
DEFINE_STRING( BGl_string1962z00zz__biglooz00, BgL_bgl_string1962za700za7za7_2016za7, "&bigloo-demangle", 16 );
DEFINE_STRING( BGl_string1963z00zz__biglooz00, BgL_bgl_string1963za700za7za7_2017za7, "&bigloo-class-mangled?", 22 );
DEFINE_STRING( BGl_string1964z00zz__biglooz00, BgL_bgl_string1964za700za7za7_2018za7, "_bglt", 5 );
DEFINE_STRING( BGl_string1965z00zz__biglooz00, BgL_bgl_string1965za700za7za7_2019za7, "&bigloo-class-demangle", 22 );
DEFINE_STRING( BGl_string1966z00zz__biglooz00, BgL_bgl_string1966za700za7za7_2020za7, "bigloo-exit-register!", 21 );
DEFINE_STRING( BGl_string1967z00zz__biglooz00, BgL_bgl_string1967za700za7za7_2021za7, "Wrong procedure arity", 21 );
DEFINE_STRING( BGl_string1968z00zz__biglooz00, BgL_bgl_string1968za700za7za7_2022za7, "&register-exit-function!", 24 );
DEFINE_STRING( BGl_string1969z00zz__biglooz00, BgL_bgl_string1969za700za7za7_2023za7, "&unregister-exit-function!", 26 );
DEFINE_STRING( BGl_string1971z00zz__biglooz00, BgL_bgl_string1971za700za7za7_2024za7, "time", 4 );
DEFINE_STRING( BGl_string1972z00zz__biglooz00, BgL_bgl_string1972za700za7za7_2025za7, "&time", 5 );
DEFINE_STRING( BGl_string1973z00zz__biglooz00, BgL_bgl_string1973za700za7za7_2026za7, "__bigloo", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_procedurezd2lengthzd2envz00zz__biglooz00, BgL_bgl_za762procedureza7d2l2027z00, BGl_z62procedurezd2lengthzb0zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_opaquezf3zd2envz21zz__biglooz00, BgL_bgl_za762opaqueza7f3za791za72028z00, BGl_z62opaquezf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2cellzd2envz00zz__biglooz00, BgL_bgl_za762makeza7d2cellza7b2029za7, BGl_z62makezd2cellzb0zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_procedurezd2arityzd2envz00zz__biglooz00, BgL_bgl_za762procedureza7d2a2030z00, BGl_z62procedurezd2arityzb0zz__biglooz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_stringzd2envzd2zz__r4_strings_6_7z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_cnstzf3zd2envz21zz__biglooz00, BgL_bgl_za762cnstza7f3za791za7za7_2031za7, BGl_z62cnstzf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2gczd2verbosezd2setz12zd2envz12zz__biglooz00, BgL_bgl_za762biglooza7d2gcza7d2032za7, BGl_z62bigloozd2gczd2verbosezd2setz12za2zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_cellzd2refzd2envz00zz__biglooz00, BgL_bgl_za762cellza7d2refza7b02033za7, BGl_z62cellzd2refzb0zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_timezd2envzd2zz__biglooz00, BgL_bgl_za762timeza762za7za7__bi2034z00, BGl_z62timez62zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_cellzd2setz12zd2envz12zz__biglooz00, BgL_bgl_za762cellza7d2setza7122035za7, BGl_z62cellzd2setz12za2zz__biglooz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__biglooz00) );
ADD_ROOT( (void *)(&BGl_symbol1938z00zz__biglooz00) );
ADD_ROOT( (void *)(&BGl_za2levelza2z00zz__biglooz00) );
ADD_ROOT( (void *)(&BGl_symbol1970z00zz__biglooz00) );
ADD_ROOT( (void *)(&BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00) );
ADD_ROOT( (void *)(&BGl_za2exitzd2mutexza2zd2zz__biglooz00) );
ADD_ROOT( (void *)(&BGl_za2releaseza2z00zz__biglooz00) );
ADD_ROOT( (void *)(&BGl_za2modulesza2z00zz__biglooz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Llib/bigloo.scm\" 890) \"BGl_toplevelzd2initzd2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"check-version!\" \"Llib/bigloo.scm\" 11495) \"BGl_checkzd2versionz12zc0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"release-name~0\" \"Llib/bigloo.scm\" 11970) \"BGl_releasezd2nameze70z35zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&check-version!\" \"Llib/bigloo.scm\" 11495) \"BGl_z62checkzd2versionz12za2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"procedure-arity\" \"Llib/bigloo.scm\" 12932) \"BGl_procedurezd2arityzd2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&procedure-arity\" \"Llib/bigloo.scm\" 12932) \"BGl_z62procedurezd2arityzb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"procedure-length\" \"Llib/bigloo.scm\" 13221) \"BGl_procedurezd2lengthzd2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&procedure-length\" \"Llib/bigloo.scm\" 13221) \"BGl_z62procedurezd2lengthzb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"procedure-attr\" \"Llib/bigloo.scm\" 13512) \"BGl_procedurezd2attrzd2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&procedure-attr\" \"Llib/bigloo.scm\" 13512) \"BGl_z62procedurezd2attrzb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"procedure-attr-set!\" \"Llib/bigloo.scm\" 13799) \"BGl_procedurezd2attrzd2setz12z12zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&procedure-attr-set!\" \"Llib/bigloo.scm\" 13799) \"BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"unspecified\" \"Llib/bigloo.scm\" 14111) \"BGl_unspecifiedz00zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&unspecified\" \"Llib/bigloo.scm\" 14111) \"BGl_z62unspecifiedz62zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"null-or-unspecified?\" \"Llib/bigloo.scm\" 14378) \"BGl_nullzd2orzd2unspecifiedzf3zf3zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&null-or-unspecified?\" \"Llib/bigloo.scm\" 14378) \"BGl_z62nullzd2orzd2unspecifiedzf3z91zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cnst?\" \"Llib/bigloo.scm\" 14887) \"BGl_cnstzf3zf3zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&cnst?\" \"Llib/bigloo.scm\" 14887) \"BGl_z62cnstzf3z91zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"opaque?\" \"Llib/bigloo.scm\" 15155) \"BGl_opaquezf3zf3zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&opaque?\" \"Llib/bigloo.scm\" 15155) \"BGl_z62opaquezf3z91zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"opaque-nil\" \"Llib/bigloo.scm\" 15427) \"BGl_opaquezd2nilzd2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&opaque-nil\" \"Llib/bigloo.scm\" 15427) \"BGl_z62opaquezd2nilzb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"mangle-at!\" \"Llib/bigloo.scm\" 16019) \"BGl_manglezd2atz12zc0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-mangle\" \"Llib/bigloo.scm\" 17202) \"bigloo_mangle\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-mangle\" \"Llib/bigloo.scm\" 17202) \"BGl_z62bigloozd2manglezb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-module-mangle\" \"Llib/bigloo.scm\" 17748) \"bigloo_module_mangle\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-module-mangle\" \"Llib/bigloo.scm\" 17748) \"BGl_z62bigloozd2modulezd2manglez62zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-mangled?\" \"Llib/bigloo.scm\" 18526) \"bigloo_mangledp\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-mangled?\" \"Llib/bigloo.scm\" 18526) \"BGl_z62bigloozd2mangledzf3z43zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-need-mangling?\" \"Llib/bigloo.scm\" 19205) \"BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-need-mangling?\" \"Llib/bigloo.scm\" 19205) \"BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-demangle\" \"Llib/bigloo.scm\" 19854) \"bigloo_demangle\")\n", (FILE *)bprof_port );
      fputs( "((\"char->digit~0\" \"Llib/bigloo.scm\" 20189) \"BGl_charzd2ze3digitze70zd6zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-8bits-integer~0\" \"Llib/bigloo.scm\" 20386) \"BGl_getzd28bitszd2integerze70ze7zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-demangle-at~0\" \"Llib/bigloo.scm\" 21166) \"BGl_bigloozd2demanglezd2atze70ze7zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-demangle\" \"Llib/bigloo.scm\" 19854) \"BGl_z62bigloozd2demanglezb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-class-mangled?\" \"Llib/bigloo.scm\" 21922) \"bigloo_class_mangledp\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-class-mangled?\" \"Llib/bigloo.scm\" 21922) \"BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-class-demangle\" \"Llib/bigloo.scm\" 22552) \"bigloo_class_demangle\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-class-demangle\" \"Llib/bigloo.scm\" 22552) \"BGl_z62bigloozd2classzd2demanglez62zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-exit-mutex\" \"Llib/bigloo.scm\" 23192) \"bgl_exit_mutex\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-exit-mutex\" \"Llib/bigloo.scm\" 23192) \"BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"register-exit-function!\" \"Llib/bigloo.scm\" 23720) \"BGl_registerzd2exitzd2functionz12z12zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&register-exit-function!\" \"Llib/bigloo.scm\" 23720) \"BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"unregister-exit-function!\" \"Llib/bigloo.scm\" 24203) \"BGl_unregisterzd2exitzd2functionz12z12zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&unregister-exit-function!\" \"Llib/bigloo.scm\" 24203) \"BGl_z62unregisterzd2exitzd2functionz12z70zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-exit-apply\" \"Llib/bigloo.scm\" 24577) \"bigloo_exit_apply\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-exit-apply\" \"Llib/bigloo.scm\" 24577) \"BGl_z62bigloozd2exitzd2applyz62zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"time\" \"Llib/bigloo.scm\" 25294) \"BGl_timez00zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&time\" \"Llib/bigloo.scm\" 25294) \"BGl_z62timez62zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bmem-reset!\" \"Llib/bigloo.scm\" 25936) \"BGl_bmemzd2resetz12zc0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&bmem-reset!\" \"Llib/bigloo.scm\" 25936) \"BGl_z62bmemzd2resetz12za2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-gc-verbose-set!\" \"Llib/bigloo.scm\" 26250) \"BGl_bigloozd2gczd2verbosezd2setz12zc0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-gc-verbose-set!\" \"Llib/bigloo.scm\" 26250) \"BGl_z62bigloozd2gczd2verbosezd2setz12za2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-cell\" \"Llib/bigloo.scm\" 26593) \"BGl_makezd2cellzd2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&make-cell\" \"Llib/bigloo.scm\" 26593) \"BGl_z62makezd2cellzb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cell?\" \"Llib/bigloo.scm\" 26868) \"BGl_cellzf3zf3zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&cell?\" \"Llib/bigloo.scm\" 26868) \"BGl_z62cellzf3z91zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cell-ref\" \"Llib/bigloo.scm\" 27135) \"BGl_cellzd2refzd2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&cell-ref\" \"Llib/bigloo.scm\" 27135) \"BGl_z62cellzd2refzb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cell-set!\" \"Llib/bigloo.scm\" 27410) \"BGl_cellzd2setz12zc0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&cell-set!\" \"Llib/bigloo.scm\" 27410) \"BGl_z62cellzd2setz12za2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long BgL_checksumz00_2444, char * BgL_fromz00_2445)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__biglooz00))
{ 
BGl_requirezd2initializa7ationz75zz__biglooz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__biglooz00(); 
BGl_cnstzd2initzd2zz__biglooz00(); 
BGl_importedzd2moduleszd2initz00zz__biglooz00(); 
BGl_toplevelzd2initzd2zz__biglooz00(); 
return 
BGl_profzd2initzd2zz__biglooz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__biglooz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 14 */
BGl_symbol1938z00zz__biglooz00 = 
bstring_to_symbol(BGl_string1939z00zz__biglooz00); 
return ( 
BGl_symbol1970z00zz__biglooz00 = 
bstring_to_symbol(BGl_string1971z00zz__biglooz00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__biglooz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 14 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__biglooz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 14 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__biglooz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 14 */
BGl_za2releaseza2z00zz__biglooz00 = BFALSE; 
BGl_za2levelza2z00zz__biglooz00 = BFALSE; 
BGl_za2modulesza2z00zz__biglooz00 = BNIL; 
{ /* Llib/bigloo.scm 613 */
obj_t BgL_res1697z00_1700;
BgL_res1697z00_1700 = 
bgl_make_mutex(BGl_symbol1938z00zz__biglooz00); 
BGl_za2exitzd2mutexza2zd2zz__biglooz00 = BgL_res1697z00_1700; } 
return ( 
BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = BNIL, BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* check-version! */
BGL_EXPORTED_DEF obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t BgL_modulez00_3, char * BgL_releasez00_4, obj_t BgL_levelz00_5)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 323 */
if(
STRINGP(BGl_za2releaseza2z00zz__biglooz00))
{ /* Llib/bigloo.scm 329 */
bool_t BgL_testz00_2461;
{ /* Llib/bigloo.scm 329 */
bool_t BgL_testz00_2462;
{ /* Llib/bigloo.scm 329 */
long BgL_minz00_1086;
{ /* Llib/bigloo.scm 329 */
long BgL_arg1178z00_1089;
{ /* Llib/bigloo.scm 329 */
long BgL_az00_1090;long BgL_bz00_1091;
BgL_az00_1090 = 
STRING_LENGTH(
string_to_bstring(BgL_releasez00_4)); 
BgL_bz00_1091 = 
STRING_LENGTH(BGl_za2releaseza2z00zz__biglooz00); 
if(
(BgL_az00_1090<BgL_bz00_1091))
{ /* Llib/bigloo.scm 330 */
BgL_arg1178z00_1089 = BgL_az00_1090; }  else 
{ /* Llib/bigloo.scm 330 */
BgL_arg1178z00_1089 = BgL_bz00_1091; } } 
BgL_minz00_1086 = 
(BgL_arg1178z00_1089-((long)1)); } 
BgL_testz00_2462 = 
bigloo_strcmp(
c_substring(
string_to_bstring(BgL_releasez00_4), ((long)0), BgL_minz00_1086), 
c_substring(BGl_za2releaseza2z00zz__biglooz00, ((long)0), BgL_minz00_1086)); } 
if(BgL_testz00_2462)
{ /* Llib/bigloo.scm 329 */
if(
CHARP(BgL_levelz00_5))
{ /* Llib/bigloo.scm 334 */
if(
CHARP(BGl_za2levelza2z00zz__biglooz00))
{ /* Llib/bigloo.scm 334 */
if(
(
CCHAR(BGl_za2levelza2z00zz__biglooz00)==
CCHAR(BgL_levelz00_5)))
{ /* Llib/bigloo.scm 334 */
BgL_testz00_2461 = ((bool_t)0)
; }  else 
{ /* Llib/bigloo.scm 334 */
BgL_testz00_2461 = ((bool_t)1)
; } }  else 
{ /* Llib/bigloo.scm 334 */
BgL_testz00_2461 = ((bool_t)0)
; } }  else 
{ /* Llib/bigloo.scm 334 */
BgL_testz00_2461 = ((bool_t)0)
; } }  else 
{ /* Llib/bigloo.scm 329 */
BgL_testz00_2461 = ((bool_t)1)
; } } 
if(BgL_testz00_2461)
{ /* Llib/bigloo.scm 342 */
obj_t BgL_arg1162z00_1071;obj_t BgL_arg1163z00_1072;obj_t BgL_arg1165z00_1073;
BgL_arg1162z00_1071 = 
string_append(BGl_string1940z00zz__biglooz00, 
BGl_releasezd2nameze70z35zz__biglooz00(BGl_za2releaseza2z00zz__biglooz00, BGl_za2levelza2z00zz__biglooz00)); 
BgL_arg1163z00_1072 = 
string_append(BGl_string1941z00zz__biglooz00, 
BGl_releasezd2nameze70z35zz__biglooz00(
string_to_bstring(BgL_releasez00_4), BgL_levelz00_5)); 
BgL_arg1165z00_1073 = 
MAKE_YOUNG_PAIR(BgL_modulez00_3, BGl_za2modulesza2z00zz__biglooz00); 
return 
BGl_errorz00zz__errorz00(BgL_arg1162z00_1071, BgL_arg1163z00_1072, BgL_arg1165z00_1073);}  else 
{ /* Llib/bigloo.scm 329 */
return ( 
BGl_za2modulesza2z00zz__biglooz00 = 
MAKE_YOUNG_PAIR(BgL_modulez00_3, BGl_za2modulesza2z00zz__biglooz00), BUNSPEC) ;} }  else 
{ /* Llib/bigloo.scm 325 */
{ /* Llib/bigloo.scm 326 */
obj_t BgL_list1179z00_1093;
BgL_list1179z00_1093 = 
MAKE_YOUNG_PAIR(BgL_modulez00_3, BNIL); 
BGl_za2modulesza2z00zz__biglooz00 = BgL_list1179z00_1093; } 
BGl_za2releaseza2z00zz__biglooz00 = 
string_to_bstring(BgL_releasez00_4); 
return ( 
BGl_za2levelza2z00zz__biglooz00 = BgL_levelz00_5, BUNSPEC) ;} } 
BGL_FUNCTION_END;
}



/* release-name~0 */
obj_t BGl_releasezd2nameze70z35zz__biglooz00(obj_t BgL_releasez00_1076, obj_t BgL_levelz00_1077)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 335 */
if(
CHARP(BgL_levelz00_1077))
{ /* Llib/bigloo.scm 337 */
obj_t BgL_sz00_1080;
BgL_sz00_1080 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BGl_string1942z00zz__biglooz00); 
{ /* Llib/bigloo.scm 338 */
unsigned char BgL_tmpz00_2494;
BgL_tmpz00_2494 = 
CCHAR(BgL_levelz00_1077); 
STRING_SET(BgL_sz00_1080, ((long)8), BgL_tmpz00_2494); } 
return 
string_append(BgL_releasez00_1076, BgL_sz00_1080);}  else 
{ /* Llib/bigloo.scm 336 */
return BgL_releasez00_1076;} } 
BGL_FUNCTION_END;
}



/* &check-version! */
obj_t BGl_z62checkzd2versionz12za2zz__biglooz00(obj_t BgL_envz00_2349, obj_t BgL_modulez00_2350, obj_t BgL_releasez00_2351, obj_t BgL_levelz00_2352)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 323 */
{ /* Llib/bigloo.scm 325 */
char * BgL_auxz00_2498;
{ /* Llib/bigloo.scm 325 */
obj_t BgL_tmpz00_2499;
if(
STRINGP(BgL_releasez00_2351))
{ /* Llib/bigloo.scm 325 */
BgL_tmpz00_2499 = BgL_releasez00_2351
; }  else 
{ 
obj_t BgL_auxz00_2502;
BgL_auxz00_2502 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)11556)), BGl_string1944z00zz__biglooz00, BGl_string1945z00zz__biglooz00, BgL_releasez00_2351); 
FAILURE(BgL_auxz00_2502,BFALSE,BFALSE);} 
BgL_auxz00_2498 = 
BSTRING_TO_STRING(BgL_tmpz00_2499); } 
return 
BGl_checkzd2versionz12zc0zz__biglooz00(BgL_modulez00_2350, BgL_auxz00_2498, BgL_levelz00_2352);} } 
BGL_FUNCTION_END;
}



/* procedure-arity */
BGL_EXPORTED_DEF int BGl_procedurezd2arityzd2zz__biglooz00(obj_t BgL_procz00_6)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 359 */
return 
PROCEDURE_ARITY(BgL_procz00_6);} 
BGL_FUNCTION_END;
}



/* &procedure-arity */
obj_t BGl_z62procedurezd2arityzb0zz__biglooz00(obj_t BgL_envz00_2353, obj_t BgL_procz00_2354)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 359 */
{ /* Llib/bigloo.scm 360 */
int BgL_tmpz00_2509;
{ /* Llib/bigloo.scm 360 */
obj_t BgL_auxz00_2510;
if(
PROCEDUREP(BgL_procz00_2354))
{ /* Llib/bigloo.scm 360 */
BgL_auxz00_2510 = BgL_procz00_2354
; }  else 
{ 
obj_t BgL_auxz00_2513;
BgL_auxz00_2513 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)12973)), BGl_string1946z00zz__biglooz00, BGl_string1947z00zz__biglooz00, BgL_procz00_2354); 
FAILURE(BgL_auxz00_2513,BFALSE,BFALSE);} 
BgL_tmpz00_2509 = 
BGl_procedurezd2arityzd2zz__biglooz00(BgL_auxz00_2510); } 
return 
BINT(BgL_tmpz00_2509);} } 
BGL_FUNCTION_END;
}



/* procedure-length */
BGL_EXPORTED_DEF int BGl_procedurezd2lengthzd2zz__biglooz00(obj_t BgL_procz00_7)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 365 */
return 
PROCEDURE_LENGTH(BgL_procz00_7);} 
BGL_FUNCTION_END;
}



/* &procedure-length */
obj_t BGl_z62procedurezd2lengthzb0zz__biglooz00(obj_t BgL_envz00_2355, obj_t BgL_procz00_2356)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 365 */
{ /* Llib/bigloo.scm 366 */
int BgL_tmpz00_2520;
{ /* Llib/bigloo.scm 366 */
obj_t BgL_auxz00_2521;
if(
PROCEDUREP(BgL_procz00_2356))
{ /* Llib/bigloo.scm 366 */
BgL_auxz00_2521 = BgL_procz00_2356
; }  else 
{ 
obj_t BgL_auxz00_2524;
BgL_auxz00_2524 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)13263)), BGl_string1948z00zz__biglooz00, BGl_string1947z00zz__biglooz00, BgL_procz00_2356); 
FAILURE(BgL_auxz00_2524,BFALSE,BFALSE);} 
BgL_tmpz00_2520 = 
BGl_procedurezd2lengthzd2zz__biglooz00(BgL_auxz00_2521); } 
return 
BINT(BgL_tmpz00_2520);} } 
BGL_FUNCTION_END;
}



/* procedure-attr */
BGL_EXPORTED_DEF obj_t BGl_procedurezd2attrzd2zz__biglooz00(obj_t BgL_procz00_8)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 371 */
return 
PROCEDURE_ATTR(BgL_procz00_8);} 
BGL_FUNCTION_END;
}



/* &procedure-attr */
obj_t BGl_z62procedurezd2attrzb0zz__biglooz00(obj_t BgL_envz00_2357, obj_t BgL_procz00_2358)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 371 */
{ /* Llib/bigloo.scm 372 */
obj_t BgL_auxz00_2531;
if(
PROCEDUREP(BgL_procz00_2358))
{ /* Llib/bigloo.scm 372 */
BgL_auxz00_2531 = BgL_procz00_2358
; }  else 
{ 
obj_t BgL_auxz00_2534;
BgL_auxz00_2534 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)13552)), BGl_string1949z00zz__biglooz00, BGl_string1947z00zz__biglooz00, BgL_procz00_2358); 
FAILURE(BgL_auxz00_2534,BFALSE,BFALSE);} 
return 
BGl_procedurezd2attrzd2zz__biglooz00(BgL_auxz00_2531);} } 
BGL_FUNCTION_END;
}



/* procedure-attr-set! */
BGL_EXPORTED_DEF obj_t BGl_procedurezd2attrzd2setz12z12zz__biglooz00(obj_t BgL_procz00_9, obj_t BgL_objz00_10)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 377 */
PROCEDURE_ATTR_SET(BgL_procz00_9, BgL_objz00_10); 
return BgL_objz00_10;} 
BGL_FUNCTION_END;
}



/* &procedure-attr-set! */
obj_t BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00(obj_t BgL_envz00_2359, obj_t BgL_procz00_2360, obj_t BgL_objz00_2361)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 377 */
{ /* Llib/bigloo.scm 378 */
obj_t BgL_auxz00_2540;
if(
PROCEDUREP(BgL_procz00_2360))
{ /* Llib/bigloo.scm 378 */
BgL_auxz00_2540 = BgL_procz00_2360
; }  else 
{ 
obj_t BgL_auxz00_2543;
BgL_auxz00_2543 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)13878)), BGl_string1950z00zz__biglooz00, BGl_string1947z00zz__biglooz00, BgL_procz00_2360); 
FAILURE(BgL_auxz00_2543,BFALSE,BFALSE);} 
return 
BGl_procedurezd2attrzd2setz12z12zz__biglooz00(BgL_auxz00_2540, BgL_objz00_2361);} } 
BGL_FUNCTION_END;
}



/* unspecified */
BGL_EXPORTED_DEF obj_t BGl_unspecifiedz00zz__biglooz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 384 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &unspecified */
obj_t BGl_z62unspecifiedz62zz__biglooz00(obj_t BgL_envz00_2362)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 384 */
return 
BGl_unspecifiedz00zz__biglooz00();} 
BGL_FUNCTION_END;
}



/* null-or-unspecified? */
BGL_EXPORTED_DEF bool_t BGl_nullzd2orzd2unspecifiedzf3zf3zz__biglooz00(obj_t BgL_objz00_11)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 390 */
return 
BGL_NULL_OR_UNSPECIFIEDP(BgL_objz00_11);} 
BGL_FUNCTION_END;
}



/* &null-or-unspecified? */
obj_t BGl_z62nullzd2orzd2unspecifiedzf3z91zz__biglooz00(obj_t BgL_envz00_2363, obj_t BgL_objz00_2364)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 390 */
return 
BBOOL(
BGl_nullzd2orzd2unspecifiedzf3zf3zz__biglooz00(BgL_objz00_2364));} 
BGL_FUNCTION_END;
}



/* cnst? */
BGL_EXPORTED_DEF bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t BgL_objz00_12)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 402 */
return 
CNSTP(BgL_objz00_12);} 
BGL_FUNCTION_END;
}



/* &cnst? */
obj_t BGl_z62cnstzf3z91zz__biglooz00(obj_t BgL_envz00_2365, obj_t BgL_objz00_2366)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 402 */
return 
BBOOL(
BGl_cnstzf3zf3zz__biglooz00(BgL_objz00_2366));} 
BGL_FUNCTION_END;
}



/* opaque? */
BGL_EXPORTED_DEF bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t BgL_objz00_13)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 408 */
return 
OPAQUEP(BgL_objz00_13);} 
BGL_FUNCTION_END;
}



/* &opaque? */
obj_t BGl_z62opaquezf3z91zz__biglooz00(obj_t BgL_envz00_2367, obj_t BgL_objz00_2368)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 408 */
return 
BBOOL(
BGl_opaquezf3zf3zz__biglooz00(BgL_objz00_2368));} 
BGL_FUNCTION_END;
}



/* opaque-nil */
BGL_EXPORTED_DEF obj_t BGl_opaquezd2nilzd2zz__biglooz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 414 */
return 
BGL_OPAQUE_NIL();} 
BGL_FUNCTION_END;
}



/* &opaque-nil */
obj_t BGl_z62opaquezd2nilzb0zz__biglooz00(obj_t BgL_envz00_2369)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 414 */
return 
BGl_opaquezd2nilzd2zz__biglooz00();} 
BGL_FUNCTION_END;
}



/* mangle-at! */
long BGl_manglezd2atz12zc0zz__biglooz00(obj_t BgL_newz00_15, obj_t BgL_oldz00_16, long BgL_lenz00_17, long BgL_offsetz00_18)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 427 */
{ 
long BgL_rz00_1096;long BgL_wz00_1097;long BgL_newzd2lenzd2_1098;long BgL_checksumz00_1099;
BgL_rz00_1096 = ((long)0); 
BgL_wz00_1097 = BgL_offsetz00_18; 
BgL_newzd2lenzd2_1098 = BgL_offsetz00_18; 
BgL_checksumz00_1099 = ((long)0); 
BgL_zc3anonymousza31180ze3z83_1100:
if(
(BgL_rz00_1096==BgL_lenz00_17))
{ /* Llib/bigloo.scm 432 */
STRING_SET(BgL_newz00_15, BgL_wz00_1097, ((unsigned char)'z')); 
{ /* Llib/bigloo.scm 435 */
unsigned char BgL_auxz00_2565;long BgL_tmpz00_2563;
BgL_auxz00_2565 = 
STRING_REF(BGl_string1951z00zz__biglooz00, 
(BgL_checksumz00_1099 & ((long)15))); 
BgL_tmpz00_2563 = 
(BgL_wz00_1097+((long)1)); 
STRING_SET(BgL_newz00_15, BgL_tmpz00_2563, BgL_auxz00_2565); } 
{ /* Llib/bigloo.scm 438 */
unsigned char BgL_auxz00_2571;long BgL_tmpz00_2569;
BgL_auxz00_2571 = 
STRING_REF(BGl_string1951z00zz__biglooz00, 
(
(BgL_checksumz00_1099 >> 
(int)(((long)4))) & ((long)15))); 
BgL_tmpz00_2569 = 
(BgL_wz00_1097+((long)2)); 
STRING_SET(BgL_newz00_15, BgL_tmpz00_2569, BgL_auxz00_2571); } 
return 
(BgL_wz00_1097+((long)3));}  else 
{ /* Llib/bigloo.scm 442 */
unsigned char BgL_cz00_1109;
BgL_cz00_1109 = 
STRING_REF(BgL_oldz00_16, BgL_rz00_1096); 
{ /* Llib/bigloo.scm 443 */
bool_t BgL_testz00_2579;
{ /* Llib/bigloo.scm 443 */
bool_t BgL_testz00_2580;
{ /* Llib/bigloo.scm 443 */
bool_t BgL_testz00_2581;
{ /* Llib/bigloo.scm 443 */
bool_t BgL_res1722z00_1771;
BgL_res1722z00_1771 = 
isalpha(BgL_cz00_1109); 
BgL_testz00_2581 = BgL_res1722z00_1771; } 
if(BgL_testz00_2581)
{ /* Llib/bigloo.scm 443 */
if(
(BgL_cz00_1109==((unsigned char)'z')))
{ /* Llib/bigloo.scm 443 */
BgL_testz00_2580 = ((bool_t)0)
; }  else 
{ /* Llib/bigloo.scm 443 */
BgL_testz00_2580 = ((bool_t)1)
; } }  else 
{ /* Llib/bigloo.scm 443 */
BgL_testz00_2580 = ((bool_t)0)
; } } 
if(BgL_testz00_2580)
{ /* Llib/bigloo.scm 443 */
BgL_testz00_2579 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 444 */
bool_t BgL_testz00_2585;
{ /* Llib/bigloo.scm 444 */
bool_t BgL_res1724z00_1776;
BgL_res1724z00_1776 = 
isdigit(BgL_cz00_1109); 
BgL_testz00_2585 = BgL_res1724z00_1776; } 
if(BgL_testz00_2585)
{ /* Llib/bigloo.scm 444 */
BgL_testz00_2579 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 444 */
BgL_testz00_2579 = 
(BgL_cz00_1109==((unsigned char)'_'))
; } } } 
if(BgL_testz00_2579)
{ /* Llib/bigloo.scm 443 */
STRING_SET(BgL_newz00_15, BgL_wz00_1097, BgL_cz00_1109); 
{ 
long BgL_newzd2lenzd2_2593;long BgL_wz00_2591;long BgL_rz00_2589;
BgL_rz00_2589 = 
(BgL_rz00_1096+((long)1)); 
BgL_wz00_2591 = 
(BgL_wz00_1097+((long)1)); 
BgL_newzd2lenzd2_2593 = 
(BgL_newzd2lenzd2_1098+((long)1)); 
BgL_newzd2lenzd2_1098 = BgL_newzd2lenzd2_2593; 
BgL_wz00_1097 = BgL_wz00_2591; 
BgL_rz00_1096 = BgL_rz00_2589; 
goto BgL_zc3anonymousza31180ze3z83_1100;} }  else 
{ /* Llib/bigloo.scm 452 */
long BgL_icz00_1120;
BgL_icz00_1120 = 
(BgL_cz00_1109); 
STRING_SET(BgL_newz00_15, BgL_wz00_1097, ((unsigned char)'z')); 
{ /* Llib/bigloo.scm 454 */
unsigned char BgL_auxz00_2599;long BgL_tmpz00_2597;
BgL_auxz00_2599 = 
STRING_REF(BGl_string1951z00zz__biglooz00, 
(BgL_icz00_1120 & ((long)15))); 
BgL_tmpz00_2597 = 
(BgL_wz00_1097+((long)1)); 
STRING_SET(BgL_newz00_15, BgL_tmpz00_2597, BgL_auxz00_2599); } 
{ /* Llib/bigloo.scm 457 */
unsigned char BgL_auxz00_2605;long BgL_tmpz00_2603;
BgL_auxz00_2605 = 
STRING_REF(BGl_string1951z00zz__biglooz00, 
(
(BgL_icz00_1120 >> 
(int)(((long)4))) & ((long)15))); 
BgL_tmpz00_2603 = 
(BgL_wz00_1097+((long)2)); 
STRING_SET(BgL_newz00_15, BgL_tmpz00_2603, BgL_auxz00_2605); } 
{ 
long BgL_checksumz00_2617;long BgL_newzd2lenzd2_2615;long BgL_wz00_2613;long BgL_rz00_2611;
BgL_rz00_2611 = 
(BgL_rz00_1096+((long)1)); 
BgL_wz00_2613 = 
(BgL_wz00_1097+((long)3)); 
BgL_newzd2lenzd2_2615 = 
(BgL_newzd2lenzd2_1098+((long)3)); 
BgL_checksumz00_2617 = 
(BgL_checksumz00_1099 ^ 
(BgL_cz00_1109)); 
BgL_checksumz00_1099 = BgL_checksumz00_2617; 
BgL_newzd2lenzd2_1098 = BgL_newzd2lenzd2_2615; 
BgL_wz00_1097 = BgL_wz00_2613; 
BgL_rz00_1096 = BgL_rz00_2611; 
goto BgL_zc3anonymousza31180ze3z83_1100;} } } } } } 
BGL_FUNCTION_END;
}



/* bigloo-mangle */
BGL_EXPORTED_DEF obj_t bigloo_mangle(obj_t BgL_stringz00_19)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 468 */
{ /* Llib/bigloo.scm 469 */
long BgL_lenz00_1138;
BgL_lenz00_1138 = 
STRING_LENGTH(BgL_stringz00_19); 
{ /* Llib/bigloo.scm 469 */
obj_t BgL_newz00_1139;
{ /* Llib/bigloo.scm 470 */
long BgL_arg1231z00_1142;
BgL_arg1231z00_1142 = 
(
(BgL_lenz00_1138*((long)3))+((long)7)); 
{ /* Ieee/string.scm 167 */

BgL_newz00_1139 = 
make_string(BgL_arg1231z00_1142, ((unsigned char)' ')); } } 
{ /* Llib/bigloo.scm 470 */

if(
(BgL_lenz00_1138==((long)0)))
{ /* Llib/bigloo.scm 471 */
return 
BGl_errorz00zz__errorz00(BGl_string1952z00zz__biglooz00, BGl_string1953z00zz__biglooz00, BgL_stringz00_19);}  else 
{ /* Llib/bigloo.scm 473 */
long BgL_stopz00_1141;
BgL_stopz00_1141 = 
BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_1139, BgL_stringz00_19, BgL_lenz00_1138, ((long)4)); 
blit_string(BGl_string1954z00zz__biglooz00, ((long)0), BgL_newz00_1139, ((long)0), ((long)4)); 
return 
c_substring(BgL_newz00_1139, ((long)0), BgL_stopz00_1141);} } } } } 
BGL_FUNCTION_END;
}



/* &bigloo-mangle */
obj_t BGl_z62bigloozd2manglezb0zz__biglooz00(obj_t BgL_envz00_2370, obj_t BgL_stringz00_2371)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 468 */
{ /* Llib/bigloo.scm 469 */
obj_t BgL_auxz00_2630;
if(
STRINGP(BgL_stringz00_2371))
{ /* Llib/bigloo.scm 469 */
BgL_auxz00_2630 = BgL_stringz00_2371
; }  else 
{ 
obj_t BgL_auxz00_2633;
BgL_auxz00_2633 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)17236)), BGl_string1955z00zz__biglooz00, BGl_string1945z00zz__biglooz00, BgL_stringz00_2371); 
FAILURE(BgL_auxz00_2633,BFALSE,BFALSE);} 
return 
bigloo_mangle(BgL_auxz00_2630);} } 
BGL_FUNCTION_END;
}



/* bigloo-module-mangle */
BGL_EXPORTED_DEF obj_t bigloo_module_mangle(obj_t BgL_idz00_20, obj_t BgL_modulez00_21)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 480 */
{ /* Llib/bigloo.scm 481 */
long BgL_lenz00_1146;
BgL_lenz00_1146 = 
(
STRING_LENGTH(BgL_idz00_20)+
STRING_LENGTH(BgL_modulez00_21)); 
{ /* Llib/bigloo.scm 481 */
obj_t BgL_newz00_1147;
{ /* Llib/bigloo.scm 482 */
long BgL_arg1242z00_1155;
BgL_arg1242z00_1155 = 
(
(BgL_lenz00_1146*((long)3))+((long)12)); 
{ /* Ieee/string.scm 167 */

BgL_newz00_1147 = 
make_string(BgL_arg1242z00_1155, ((unsigned char)' ')); } } 
{ /* Llib/bigloo.scm 482 */

if(
(BgL_lenz00_1146==((long)0)))
{ /* Llib/bigloo.scm 483 */
return 
BGl_errorz00zz__errorz00(BGl_string1952z00zz__biglooz00, BGl_string1953z00zz__biglooz00, BGl_stringzd2envzd2zz__r4_strings_6_7z00);}  else 
{ /* Llib/bigloo.scm 485 */
long BgL_modzd2startzd2_1149;
BgL_modzd2startzd2_1149 = 
BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_1147, BgL_idz00_20, 
STRING_LENGTH(BgL_idz00_20), ((long)4)); 
STRING_SET(BgL_newz00_1147, BgL_modzd2startzd2_1149, ((unsigned char)'z')); 
{ /* Llib/bigloo.scm 487 */
long BgL_tmpz00_2650;
BgL_tmpz00_2650 = 
(((long)1)+BgL_modzd2startzd2_1149); 
STRING_SET(BgL_newz00_1147, BgL_tmpz00_2650, ((unsigned char)'z')); } 
{ /* Llib/bigloo.scm 488 */
long BgL_stopz00_1151;
BgL_stopz00_1151 = 
BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_1147, BgL_modulez00_21, 
STRING_LENGTH(BgL_modulez00_21), 
(BgL_modzd2startzd2_1149+((long)2))); 
blit_string(BGl_string1956z00zz__biglooz00, ((long)0), BgL_newz00_1147, ((long)0), ((long)4)); 
return 
c_substring(BgL_newz00_1147, ((long)0), BgL_stopz00_1151);} } } } } } 
BGL_FUNCTION_END;
}



/* &bigloo-module-mangle */
obj_t BGl_z62bigloozd2modulezd2manglez62zz__biglooz00(obj_t BgL_envz00_2372, obj_t BgL_idz00_2373, obj_t BgL_modulez00_2374)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 480 */
{ /* Llib/bigloo.scm 481 */
obj_t BgL_auxz00_2665;obj_t BgL_auxz00_2658;
if(
STRINGP(BgL_modulez00_2374))
{ /* Llib/bigloo.scm 481 */
BgL_auxz00_2665 = BgL_modulez00_2374
; }  else 
{ 
obj_t BgL_auxz00_2668;
BgL_auxz00_2668 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)17792)), BGl_string1957z00zz__biglooz00, BGl_string1945z00zz__biglooz00, BgL_modulez00_2374); 
FAILURE(BgL_auxz00_2668,BFALSE,BFALSE);} 
if(
STRINGP(BgL_idz00_2373))
{ /* Llib/bigloo.scm 481 */
BgL_auxz00_2658 = BgL_idz00_2373
; }  else 
{ 
obj_t BgL_auxz00_2661;
BgL_auxz00_2661 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)17792)), BGl_string1957z00zz__biglooz00, BGl_string1945z00zz__biglooz00, BgL_idz00_2373); 
FAILURE(BgL_auxz00_2661,BFALSE,BFALSE);} 
return 
bigloo_module_mangle(BgL_auxz00_2658, BgL_auxz00_2665);} } 
BGL_FUNCTION_END;
}



/* bigloo-mangled? */
BGL_EXPORTED_DEF bool_t bigloo_mangledp(obj_t BgL_stringz00_22)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 497 */
{ /* Llib/bigloo.scm 498 */
long BgL_lenz00_1161;
BgL_lenz00_1161 = 
STRING_LENGTH(BgL_stringz00_22); 
if(
(BgL_lenz00_1161>((long)7)))
{ /* Llib/bigloo.scm 500 */
bool_t BgL_testz00_2676;
{ /* Llib/bigloo.scm 500 */
bool_t BgL__ortest_1043z00_1178;
BgL__ortest_1043z00_1178 = 
bigloo_strncmp(BgL_stringz00_22, BGl_string1954z00zz__biglooz00, ((long)4)); 
if(BgL__ortest_1043z00_1178)
{ /* Llib/bigloo.scm 500 */
BgL_testz00_2676 = BgL__ortest_1043z00_1178
; }  else 
{ /* Llib/bigloo.scm 500 */
BgL_testz00_2676 = 
bigloo_strncmp(BgL_stringz00_22, BGl_string1956z00zz__biglooz00, ((long)4))
; } } 
if(BgL_testz00_2676)
{ /* Llib/bigloo.scm 500 */
if(
(
STRING_REF(BgL_stringz00_22, 
(BgL_lenz00_1161-((long)3)))==((unsigned char)'z')))
{ /* Llib/bigloo.scm 503 */
bool_t BgL_testz00_2684;
{ /* Llib/bigloo.scm 503 */
bool_t BgL__ortest_1044z00_1171;
{ /* Llib/bigloo.scm 503 */
unsigned char BgL_arg1257z00_1174;
BgL_arg1257z00_1174 = 
STRING_REF(BgL_stringz00_22, 
(BgL_lenz00_1161-((long)2))); 
{ /* Llib/bigloo.scm 503 */
bool_t BgL_res1769z00_1902;
BgL_res1769z00_1902 = 
isalpha(BgL_arg1257z00_1174); 
BgL__ortest_1044z00_1171 = BgL_res1769z00_1902; } } 
if(BgL__ortest_1044z00_1171)
{ /* Llib/bigloo.scm 503 */
BgL_testz00_2684 = BgL__ortest_1044z00_1171
; }  else 
{ /* Llib/bigloo.scm 504 */
unsigned char BgL_arg1254z00_1172;
BgL_arg1254z00_1172 = 
STRING_REF(BgL_stringz00_22, 
(BgL_lenz00_1161-((long)2))); 
{ /* Llib/bigloo.scm 504 */
bool_t BgL_res1772z00_1909;
BgL_res1772z00_1909 = 
isdigit(BgL_arg1254z00_1172); 
BgL_testz00_2684 = BgL_res1772z00_1909; } } } 
if(BgL_testz00_2684)
{ /* Llib/bigloo.scm 505 */
bool_t BgL__ortest_1045z00_1166;
{ /* Llib/bigloo.scm 505 */
unsigned char BgL_arg1251z00_1169;
BgL_arg1251z00_1169 = 
STRING_REF(BgL_stringz00_22, 
(BgL_lenz00_1161-((long)1))); 
{ /* Llib/bigloo.scm 505 */
bool_t BgL_res1775z00_1916;
BgL_res1775z00_1916 = 
isalpha(BgL_arg1251z00_1169); 
BgL__ortest_1045z00_1166 = BgL_res1775z00_1916; } } 
if(BgL__ortest_1045z00_1166)
{ /* Llib/bigloo.scm 505 */
return BgL__ortest_1045z00_1166;}  else 
{ /* Llib/bigloo.scm 506 */
unsigned char BgL_arg1247z00_1167;
BgL_arg1247z00_1167 = 
STRING_REF(BgL_stringz00_22, 
(BgL_lenz00_1161-((long)1))); 
{ /* Llib/bigloo.scm 506 */
bool_t BgL_res1778z00_1923;
BgL_res1778z00_1923 = 
isdigit(BgL_arg1247z00_1167); 
return BgL_res1778z00_1923;} } }  else 
{ /* Llib/bigloo.scm 503 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 502 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 500 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 499 */
return ((bool_t)0);} } } 
BGL_FUNCTION_END;
}



/* &bigloo-mangled? */
obj_t BGl_z62bigloozd2mangledzf3z43zz__biglooz00(obj_t BgL_envz00_2377, obj_t BgL_stringz00_2378)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 497 */
{ /* Llib/bigloo.scm 498 */
bool_t BgL_tmpz00_2699;
{ /* Llib/bigloo.scm 498 */
obj_t BgL_auxz00_2700;
if(
STRINGP(BgL_stringz00_2378))
{ /* Llib/bigloo.scm 498 */
BgL_auxz00_2700 = BgL_stringz00_2378
; }  else 
{ 
obj_t BgL_auxz00_2703;
BgL_auxz00_2703 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)18562)), BGl_string1958z00zz__biglooz00, BGl_string1945z00zz__biglooz00, BgL_stringz00_2378); 
FAILURE(BgL_auxz00_2703,BFALSE,BFALSE);} 
BgL_tmpz00_2699 = 
bigloo_mangledp(BgL_auxz00_2700); } 
return 
BBOOL(BgL_tmpz00_2699);} } 
BGL_FUNCTION_END;
}



/* bigloo-need-mangling? */
BGL_EXPORTED_DEF bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t BgL_stringz00_23)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 511 */
{ /* Llib/bigloo.scm 512 */
long BgL_lenz00_1179;
BgL_lenz00_1179 = 
STRING_LENGTH(BgL_stringz00_23); 
if(
(BgL_lenz00_1179>((long)0)))
{ /* Llib/bigloo.scm 514 */
bool_t BgL__ortest_1047z00_1181;
{ /* Llib/bigloo.scm 514 */
bool_t BgL_testz00_2712;
{ /* Llib/bigloo.scm 514 */
bool_t BgL_testz00_2713;
{ /* Llib/bigloo.scm 514 */
unsigned char BgL_arg1284z00_1201;
BgL_arg1284z00_1201 = 
STRING_REF(BgL_stringz00_23, ((long)0)); 
{ /* Llib/bigloo.scm 514 */
bool_t BgL_res1782z00_1931;
BgL_res1782z00_1931 = 
isalpha(BgL_arg1284z00_1201); 
BgL_testz00_2713 = BgL_res1782z00_1931; } } 
if(BgL_testz00_2713)
{ /* Llib/bigloo.scm 514 */
BgL_testz00_2712 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 514 */
BgL_testz00_2712 = 
(
STRING_REF(BgL_stringz00_23, ((long)0))==((unsigned char)'_'))
; } } 
if(BgL_testz00_2712)
{ /* Llib/bigloo.scm 514 */
BgL__ortest_1047z00_1181 = ((bool_t)0); }  else 
{ /* Llib/bigloo.scm 514 */
BgL__ortest_1047z00_1181 = ((bool_t)1); } } 
if(BgL__ortest_1047z00_1181)
{ /* Llib/bigloo.scm 514 */
return BgL__ortest_1047z00_1181;}  else 
{ 
long BgL_iz00_1183;
BgL_iz00_1183 = ((long)1); 
BgL_zc3anonymousza31261ze3z83_1184:
if(
(BgL_iz00_1183>=BgL_lenz00_1179))
{ /* Llib/bigloo.scm 517 */
return ((bool_t)0);}  else 
{ /* Llib/bigloo.scm 519 */
unsigned char BgL_cz00_1186;
BgL_cz00_1186 = 
STRING_REF(BgL_stringz00_23, BgL_iz00_1183); 
{ /* Llib/bigloo.scm 520 */
bool_t BgL_testz00_2722;
{ /* Llib/bigloo.scm 520 */
bool_t BgL_testz00_2723;
{ /* Llib/bigloo.scm 520 */
bool_t BgL_res1787z00_1944;
BgL_res1787z00_1944 = 
isalpha(BgL_cz00_1186); 
BgL_testz00_2723 = BgL_res1787z00_1944; } 
if(BgL_testz00_2723)
{ /* Llib/bigloo.scm 520 */
BgL_testz00_2722 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 521 */
bool_t BgL_testz00_2725;
{ /* Llib/bigloo.scm 521 */
bool_t BgL_res1788z00_1946;
BgL_res1788z00_1946 = 
isdigit(BgL_cz00_1186); 
BgL_testz00_2725 = BgL_res1788z00_1946; } 
if(BgL_testz00_2725)
{ /* Llib/bigloo.scm 521 */
BgL_testz00_2722 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 521 */
BgL_testz00_2722 = 
(BgL_cz00_1186==((unsigned char)'_'))
; } } } 
if(BgL_testz00_2722)
{ 
long BgL_iz00_2728;
BgL_iz00_2728 = 
(BgL_iz00_1183+((long)1)); 
BgL_iz00_1183 = BgL_iz00_2728; 
goto BgL_zc3anonymousza31261ze3z83_1184;}  else 
{ /* Llib/bigloo.scm 520 */
return ((bool_t)1);} } } } }  else 
{ /* Llib/bigloo.scm 513 */
return ((bool_t)0);} } } 
BGL_FUNCTION_END;
}



/* &bigloo-need-mangling? */
obj_t BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00(obj_t BgL_envz00_2379, obj_t BgL_stringz00_2380)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 511 */
{ /* Llib/bigloo.scm 512 */
bool_t BgL_tmpz00_2730;
{ /* Llib/bigloo.scm 512 */
obj_t BgL_auxz00_2731;
if(
STRINGP(BgL_stringz00_2380))
{ /* Llib/bigloo.scm 512 */
BgL_auxz00_2731 = BgL_stringz00_2380
; }  else 
{ 
obj_t BgL_auxz00_2734;
BgL_auxz00_2734 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)19247)), BGl_string1959z00zz__biglooz00, BGl_string1945z00zz__biglooz00, BgL_stringz00_2380); 
FAILURE(BgL_auxz00_2734,BFALSE,BFALSE);} 
BgL_tmpz00_2730 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_auxz00_2731); } 
return 
BBOOL(BgL_tmpz00_2730);} } 
BGL_FUNCTION_END;
}



/* bigloo-demangle */
BGL_EXPORTED_DEF obj_t bigloo_demangle(obj_t BgL_stringz00_24)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 529 */
{ /* Llib/bigloo.scm 530 */
long BgL_lenz00_1202;
BgL_lenz00_1202 = 
STRING_LENGTH(BgL_stringz00_24); 
{ /* Llib/bigloo.scm 530 */
long BgL_clenz00_1203;
BgL_clenz00_1203 = 
(BgL_lenz00_1202-((long)3)); 
{ /* Llib/bigloo.scm 531 */

{ 

if(
(BgL_lenz00_1202<((long)8)))
{ /* Llib/bigloo.scm 580 */
return BgL_stringz00_24;}  else 
{ /* Llib/bigloo.scm 580 */
if(
bigloo_strncmp(BgL_stringz00_24, BGl_string1954z00zz__biglooz00, ((long)4)))
{ /* Llib/bigloo.scm 582 */
{ /* Llib/bigloo.scm 570 */
obj_t BgL_strz00_1264;
BgL_strz00_1264 = 
BGl_bigloozd2demanglezd2atze70ze7zz__biglooz00(BgL_clenz00_1203, BgL_stringz00_24, 
BINT(((long)4))); 
{ /* Llib/bigloo.scm 571 */
obj_t BgL_offsetz00_1265;
{ /* Llib/bigloo.scm 572 */
int BgL_tmpz00_2748;
BgL_tmpz00_2748 = 
(int)(((long)1)); 
BgL_offsetz00_1265 = 
BGL_MVALUES_VAL(BgL_tmpz00_2748); } 
{ /* Llib/bigloo.scm 572 */
int BgL_res1826z00_2038;
{ /* Llib/bigloo.scm 572 */
int BgL_tmpz00_2751;
BgL_tmpz00_2751 = 
(int)(((long)2)); 
BgL_res1826z00_2038 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2751); } BgL_res1826z00_2038; } 
{ /* Llib/bigloo.scm 572 */
int BgL_tmpz00_2754;
BgL_tmpz00_2754 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2754, BUNSPEC); } 
return BgL_strz00_1264;} } }  else 
{ /* Llib/bigloo.scm 582 */
if(
bigloo_strncmp(BgL_stringz00_24, BGl_string1956z00zz__biglooz00, ((long)4)))
{ /* Llib/bigloo.scm 584 */
{ /* Llib/bigloo.scm 574 */
obj_t BgL_idz00_1269;
BgL_idz00_1269 = 
BGl_bigloozd2demanglezd2atze70ze7zz__biglooz00(BgL_clenz00_1203, BgL_stringz00_24, 
BINT(((long)4))); 
{ /* Llib/bigloo.scm 575 */
obj_t BgL_offsetz00_1270;
{ /* Llib/bigloo.scm 576 */
int BgL_tmpz00_2761;
BgL_tmpz00_2761 = 
(int)(((long)1)); 
BgL_offsetz00_1270 = 
BGL_MVALUES_VAL(BgL_tmpz00_2761); } 
{ /* Llib/bigloo.scm 576 */
obj_t BgL_modulez00_1271;
BgL_modulez00_1271 = 
BGl_bigloozd2demanglezd2atze70ze7zz__biglooz00(BgL_clenz00_1203, BgL_stringz00_24, BgL_offsetz00_1270); 
{ /* Llib/bigloo.scm 577 */
obj_t BgL_offsetz00_1272;
{ /* Llib/bigloo.scm 578 */
int BgL_tmpz00_2765;
BgL_tmpz00_2765 = 
(int)(((long)1)); 
BgL_offsetz00_1272 = 
BGL_MVALUES_VAL(BgL_tmpz00_2765); } 
{ /* Llib/bigloo.scm 578 */
int BgL_res1827z00_2039;
{ /* Llib/bigloo.scm 578 */
int BgL_tmpz00_2768;
BgL_tmpz00_2768 = 
(int)(((long)2)); 
BgL_res1827z00_2039 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2768); } BgL_res1827z00_2039; } 
{ /* Llib/bigloo.scm 578 */
int BgL_tmpz00_2771;
BgL_tmpz00_2771 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2771, BgL_modulez00_1271); } 
return BgL_idz00_1269;} } } } }  else 
{ /* Llib/bigloo.scm 584 */
return BgL_stringz00_24;} } } } } } } } 
BGL_FUNCTION_END;
}



/* char->digit~0 */
long BGl_charzd2ze3digitze70zd6zz__biglooz00(unsigned char BgL_cz00_1214)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 537 */
{ /* Llib/bigloo.scm 535 */
bool_t BgL_testz00_2774;
{ /* Llib/bigloo.scm 535 */
bool_t BgL_res1793z00_1957;
BgL_res1793z00_1957 = 
isdigit(BgL_cz00_1214); 
BgL_testz00_2774 = BgL_res1793z00_1957; } 
if(BgL_testz00_2774)
{ /* Llib/bigloo.scm 535 */
return 
(
(BgL_cz00_1214)-((long)48));}  else 
{ /* Llib/bigloo.scm 535 */
return 
(((long)10)+
(
(BgL_cz00_1214)-((long)97)));} } } 
BGL_FUNCTION_END;
}



/* get-8bits-integer~0 */
long BGl_getzd28bitszd2integerze70ze7zz__biglooz00(obj_t BgL_stringz00_2408, obj_t BgL_rz00_1220)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 543 */
{ /* Llib/bigloo.scm 542 */

return 
(
BGl_charzd2ze3digitze70zd6zz__biglooz00(
STRING_REF(BgL_stringz00_2408, 
(
(long)CINT(BgL_rz00_1220)+((long)1))))+
(
BGl_charzd2ze3digitze70zd6zz__biglooz00(
STRING_REF(BgL_stringz00_2408, 
(
(long)CINT(BgL_rz00_1220)+((long)2)))) << 
(int)(((long)4))));} } 
BGL_FUNCTION_END;
}



/* bigloo-demangle-at~0 */
obj_t BGl_bigloozd2demanglezd2atze70ze7zz__biglooz00(long BgL_clenz00_2410, obj_t BgL_stringz00_2409, obj_t BgL_offsetz00_1229)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 568 */
{ 

{ /* Llib/bigloo.scm 545 */
obj_t BgL_newz00_1231;
{ /* Ieee/string.scm 167 */

BgL_newz00_1231 = 
make_string(BgL_clenz00_2410, ((unsigned char)' ')); } 
{ 
obj_t BgL_rz00_1233;long BgL_wz00_1234;long BgL_checksumz00_1235;
BgL_rz00_1233 = BgL_offsetz00_1229; 
BgL_wz00_1234 = ((long)0); 
BgL_checksumz00_1235 = ((long)0); 
BgL_zc3anonymousza31325ze3z83_1236:
if(
(
(long)CINT(BgL_rz00_1233)==BgL_clenz00_2410))
{ /* Llib/bigloo.scm 549 */
if(
(BgL_checksumz00_1235==
BGl_getzd28bitszd2integerze70ze7zz__biglooz00(BgL_stringz00_2409, BgL_rz00_1233)))
{ /* Llib/bigloo.scm 552 */
obj_t BgL_val0_1082z00_1240;long BgL_val1_1083z00_1241;
BgL_val0_1082z00_1240 = 
c_substring(BgL_newz00_1231, ((long)0), BgL_wz00_1234); 
BgL_val1_1083z00_1241 = 
(
(long)CINT(BgL_rz00_1233)+((long)3)); 
{ /* Llib/bigloo.scm 552 */
int BgL_res1810z00_1996;
{ /* Llib/bigloo.scm 552 */
int BgL_tmpz00_2802;
BgL_tmpz00_2802 = 
(int)(((long)2)); 
BgL_res1810z00_1996 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2802); } BgL_res1810z00_1996; } 
{ /* Llib/bigloo.scm 552 */
obj_t BgL_auxz00_2807;int BgL_tmpz00_2805;
BgL_auxz00_2807 = 
BINT(BgL_val1_1083z00_1241); 
BgL_tmpz00_2805 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2805, BgL_auxz00_2807); } 
return BgL_val0_1082z00_1240;}  else 
{ /* Llib/bigloo.scm 551 */
return 
BGl_errorz00zz__errorz00(BGl_string1960z00zz__biglooz00, BGl_string1961z00zz__biglooz00, BgL_stringz00_2409);} }  else 
{ /* Llib/bigloo.scm 554 */
unsigned char BgL_cz00_1243;
BgL_cz00_1243 = 
STRING_REF(BgL_stringz00_2409, 
(long)CINT(BgL_rz00_1233)); 
if(
(BgL_cz00_1243==((unsigned char)'z')))
{ /* Llib/bigloo.scm 555 */
if(
(
STRING_REF(BgL_stringz00_2409, 
(
(long)CINT(BgL_rz00_1233)+((long)1)))==((unsigned char)'z')))
{ /* Llib/bigloo.scm 557 */
obj_t BgL_val0_1084z00_1248;long BgL_val1_1085z00_1249;
BgL_val0_1084z00_1248 = 
c_substring(BgL_newz00_1231, ((long)0), 
(BgL_wz00_1234-((long)1))); 
BgL_val1_1085z00_1249 = 
(
(long)CINT(BgL_rz00_1233)+((long)2)); 
{ /* Llib/bigloo.scm 557 */
int BgL_res1819z00_2018;
{ /* Llib/bigloo.scm 557 */
int BgL_tmpz00_2824;
BgL_tmpz00_2824 = 
(int)(((long)2)); 
BgL_res1819z00_2018 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2824); } BgL_res1819z00_2018; } 
{ /* Llib/bigloo.scm 557 */
obj_t BgL_auxz00_2829;int BgL_tmpz00_2827;
BgL_auxz00_2829 = 
BINT(BgL_val1_1085z00_1249); 
BgL_tmpz00_2827 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2827, BgL_auxz00_2829); } 
return BgL_val0_1084z00_1248;}  else 
{ /* Llib/bigloo.scm 558 */
long BgL_iz00_1251;
BgL_iz00_1251 = 
BGl_getzd28bitszd2integerze70ze7zz__biglooz00(BgL_stringz00_2409, BgL_rz00_1233); 
{ /* Llib/bigloo.scm 558 */
unsigned char BgL_ncz00_1252;
BgL_ncz00_1252 = 
(BgL_iz00_1251); 
{ /* Llib/bigloo.scm 559 */

STRING_SET(BgL_newz00_1231, BgL_wz00_1234, BgL_ncz00_1252); 
{ /* Llib/bigloo.scm 561 */
long BgL_arg1336z00_1253;long BgL_arg1337z00_1254;long BgL_arg1338z00_1255;
BgL_arg1336z00_1253 = 
(
(long)CINT(BgL_rz00_1233)+((long)3)); 
BgL_arg1337z00_1254 = 
(BgL_wz00_1234+((long)1)); 
BgL_arg1338z00_1255 = 
(BgL_checksumz00_1235 ^ BgL_iz00_1251); 
{ 
long BgL_checksumz00_2842;long BgL_wz00_2841;obj_t BgL_rz00_2839;
BgL_rz00_2839 = 
BINT(BgL_arg1336z00_1253); 
BgL_wz00_2841 = BgL_arg1337z00_1254; 
BgL_checksumz00_2842 = BgL_arg1338z00_1255; 
BgL_checksumz00_1235 = BgL_checksumz00_2842; 
BgL_wz00_1234 = BgL_wz00_2841; 
BgL_rz00_1233 = BgL_rz00_2839; 
goto BgL_zc3anonymousza31325ze3z83_1236;} } } } } }  else 
{ /* Llib/bigloo.scm 555 */
STRING_SET(BgL_newz00_1231, BgL_wz00_1234, BgL_cz00_1243); 
{ /* Llib/bigloo.scm 566 */
long BgL_arg1341z00_1258;long BgL_arg1342z00_1259;
BgL_arg1341z00_1258 = 
(
(long)CINT(BgL_rz00_1233)+((long)1)); 
BgL_arg1342z00_1259 = 
(BgL_wz00_1234+((long)1)); 
{ 
long BgL_wz00_2849;obj_t BgL_rz00_2847;
BgL_rz00_2847 = 
BINT(BgL_arg1341z00_1258); 
BgL_wz00_2849 = BgL_arg1342z00_1259; 
BgL_wz00_1234 = BgL_wz00_2849; 
BgL_rz00_1233 = BgL_rz00_2847; 
goto BgL_zc3anonymousza31325ze3z83_1236;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &bigloo-demangle */
obj_t BGl_z62bigloozd2demanglezb0zz__biglooz00(obj_t BgL_envz00_2381, obj_t BgL_stringz00_2382)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 529 */
{ /* Llib/bigloo.scm 530 */
obj_t BgL_auxz00_2850;
if(
STRINGP(BgL_stringz00_2382))
{ /* Llib/bigloo.scm 530 */
BgL_auxz00_2850 = BgL_stringz00_2382
; }  else 
{ 
obj_t BgL_auxz00_2853;
BgL_auxz00_2853 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)19890)), BGl_string1962z00zz__biglooz00, BGl_string1945z00zz__biglooz00, BgL_stringz00_2382); 
FAILURE(BgL_auxz00_2853,BFALSE,BFALSE);} 
return 
bigloo_demangle(BgL_auxz00_2850);} } 
BGL_FUNCTION_END;
}



/* bigloo-class-mangled? */
BGL_EXPORTED_DEF bool_t bigloo_class_mangledp(obj_t BgL_stringz00_25)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 592 */
{ /* Llib/bigloo.scm 593 */
long BgL_lenz00_1281;
BgL_lenz00_1281 = 
STRING_LENGTH(BgL_stringz00_25); 
if(
(BgL_lenz00_1281>((long)8)))
{ /* Llib/bigloo.scm 594 */
if(
(
STRING_REF(BgL_stringz00_25, 
(BgL_lenz00_1281-((long)1)))==((unsigned char)'t')))
{ /* Llib/bigloo.scm 595 */
if(
(
STRING_REF(BgL_stringz00_25, 
(BgL_lenz00_1281-((long)2)))==((unsigned char)'l')))
{ /* Llib/bigloo.scm 596 */
if(
(
STRING_REF(BgL_stringz00_25, 
(BgL_lenz00_1281-((long)3)))==((unsigned char)'g')))
{ /* Llib/bigloo.scm 597 */
if(
(
STRING_REF(BgL_stringz00_25, 
(BgL_lenz00_1281-((long)4)))==((unsigned char)'b')))
{ /* Llib/bigloo.scm 598 */
if(
(
STRING_REF(BgL_stringz00_25, 
(BgL_lenz00_1281-((long)5)))==((unsigned char)'_')))
{ /* Llib/bigloo.scm 599 */
return 
bigloo_mangledp(
c_substring(BgL_stringz00_25, ((long)0), 
(BgL_lenz00_1281-((long)5))));}  else 
{ /* Llib/bigloo.scm 599 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 598 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 597 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 596 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 595 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 594 */
return ((bool_t)0);} } } 
BGL_FUNCTION_END;
}



/* &bigloo-class-mangled? */
obj_t BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00(obj_t BgL_envz00_2383, obj_t BgL_stringz00_2384)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 592 */
{ /* Llib/bigloo.scm 593 */
bool_t BgL_tmpz00_2884;
{ /* Llib/bigloo.scm 593 */
obj_t BgL_auxz00_2885;
if(
STRINGP(BgL_stringz00_2384))
{ /* Llib/bigloo.scm 593 */
BgL_auxz00_2885 = BgL_stringz00_2384
; }  else 
{ 
obj_t BgL_auxz00_2888;
BgL_auxz00_2888 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)21964)), BGl_string1963z00zz__biglooz00, BGl_string1945z00zz__biglooz00, BgL_stringz00_2384); 
FAILURE(BgL_auxz00_2888,BFALSE,BFALSE);} 
BgL_tmpz00_2884 = 
bigloo_class_mangledp(BgL_auxz00_2885); } 
return 
BBOOL(BgL_tmpz00_2884);} } 
BGL_FUNCTION_END;
}



/* bigloo-class-demangle */
BGL_EXPORTED_DEF obj_t bigloo_class_demangle(obj_t BgL_stringz00_26)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 605 */
return 
string_append(
bigloo_demangle(
c_substring(BgL_stringz00_26, ((long)0), 
(
STRING_LENGTH(BgL_stringz00_26)-((long)5)))), BGl_string1964z00zz__biglooz00);} 
BGL_FUNCTION_END;
}



/* &bigloo-class-demangle */
obj_t BGl_z62bigloozd2classzd2demanglez62zz__biglooz00(obj_t BgL_envz00_2385, obj_t BgL_stringz00_2386)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 605 */
{ /* Llib/bigloo.scm 607 */
obj_t BgL_auxz00_2899;
if(
STRINGP(BgL_stringz00_2386))
{ /* Llib/bigloo.scm 607 */
BgL_auxz00_2899 = BgL_stringz00_2386
; }  else 
{ 
obj_t BgL_auxz00_2902;
BgL_auxz00_2902 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)22656)), BGl_string1965z00zz__biglooz00, BGl_string1945z00zz__biglooz00, BgL_stringz00_2386); 
FAILURE(BgL_auxz00_2902,BFALSE,BFALSE);} 
return 
bigloo_class_demangle(BgL_auxz00_2899);} } 
BGL_FUNCTION_END;
}



/* bigloo-exit-mutex */
BGL_EXPORTED_DEF obj_t bgl_exit_mutex()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 618 */
return BGl_za2exitzd2mutexza2zd2zz__biglooz00;} 
BGL_FUNCTION_END;
}



/* &bigloo-exit-mutex */
obj_t BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00(obj_t BgL_envz00_2387)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 618 */
return 
bgl_exit_mutex();} 
BGL_FUNCTION_END;
}



/* register-exit-function! */
BGL_EXPORTED_DEF obj_t BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t BgL_funz00_27)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 629 */
{ /* Llib/bigloo.scm 630 */
obj_t BgL_mutex1363z00_1304;
BgL_mutex1363z00_1304 = BGl_za2exitzd2mutexza2zd2zz__biglooz00; 
{ /* Llib/bigloo.scm 630 */
obj_t BgL_top2037z00_2909;
BgL_top2037z00_2909 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1363z00_1304); 
BGL_EXITD_PUSH_PROTECT(BgL_top2037z00_2909, BgL_mutex1363z00_1304); BUNSPEC; 
{ /* Llib/bigloo.scm 630 */
obj_t BgL_tmp2036z00_2908;
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_27, 
(int)(((long)1))))
{ /* Llib/bigloo.scm 631 */
BgL_tmp2036z00_2908 = ( 
BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = 
MAKE_YOUNG_PAIR(BgL_funz00_27, BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00), BUNSPEC) ; }  else 
{ /* Llib/bigloo.scm 631 */
BgL_tmp2036z00_2908 = 
BGl_errorz00zz__errorz00(BGl_string1966z00zz__biglooz00, BGl_string1967z00zz__biglooz00, BgL_funz00_27); } 
BGL_EXITD_POP_PROTECT(BgL_top2037z00_2909); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1363z00_1304); 
return BgL_tmp2036z00_2908;} } } } 
BGL_FUNCTION_END;
}



/* &register-exit-function! */
obj_t BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00(obj_t BgL_envz00_2388, obj_t BgL_funz00_2389)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 629 */
{ /* Llib/bigloo.scm 630 */
obj_t BgL_auxz00_2920;
if(
PROCEDUREP(BgL_funz00_2389))
{ /* Llib/bigloo.scm 630 */
BgL_auxz00_2920 = BgL_funz00_2389
; }  else 
{ 
obj_t BgL_auxz00_2923;
BgL_auxz00_2923 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)23761)), BGl_string1968z00zz__biglooz00, BGl_string1947z00zz__biglooz00, BgL_funz00_2389); 
FAILURE(BgL_auxz00_2923,BFALSE,BFALSE);} 
return 
BGl_registerzd2exitzd2functionz12z12zz__biglooz00(BgL_auxz00_2920);} } 
BGL_FUNCTION_END;
}



/* unregister-exit-function! */
BGL_EXPORTED_DEF obj_t BGl_unregisterzd2exitzd2functionz12z12zz__biglooz00(obj_t BgL_funz00_28)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 640 */
{ /* Llib/bigloo.scm 641 */
obj_t BgL_mutex1365z00_1306;
BgL_mutex1365z00_1306 = BGl_za2exitzd2mutexza2zd2zz__biglooz00; 
{ /* Llib/bigloo.scm 641 */
obj_t BgL_top2039z00_2929;
BgL_top2039z00_2929 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1365z00_1306); 
BGL_EXITD_PUSH_PROTECT(BgL_top2039z00_2929, BgL_mutex1365z00_1306); BUNSPEC; 
{ /* Llib/bigloo.scm 641 */
obj_t BgL_tmp2038z00_2928;
BgL_tmp2038z00_2928 = ( 
BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = 
bgl_remq_bang(BgL_funz00_28, BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top2039z00_2929); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1365z00_1306); 
return BgL_tmp2038z00_2928;} } } } 
BGL_FUNCTION_END;
}



/* &unregister-exit-function! */
obj_t BGl_z62unregisterzd2exitzd2functionz12z70zz__biglooz00(obj_t BgL_envz00_2390, obj_t BgL_funz00_2391)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 640 */
{ /* Llib/bigloo.scm 641 */
obj_t BgL_auxz00_2936;
if(
PROCEDUREP(BgL_funz00_2391))
{ /* Llib/bigloo.scm 641 */
BgL_auxz00_2936 = BgL_funz00_2391
; }  else 
{ 
obj_t BgL_auxz00_2939;
BgL_auxz00_2939 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)24246)), BGl_string1969z00zz__biglooz00, BGl_string1947z00zz__biglooz00, BgL_funz00_2391); 
FAILURE(BgL_auxz00_2939,BFALSE,BFALSE);} 
return 
BGl_unregisterzd2exitzd2functionz12z12zz__biglooz00(BgL_auxz00_2936);} } 
BGL_FUNCTION_END;
}



/* bigloo-exit-apply */
BGL_EXPORTED_DEF obj_t bigloo_exit_apply(obj_t BgL_valz00_29)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 647 */
{ /* Llib/bigloo.scm 648 */
obj_t BgL_mutz00_1307;
{ /* Llib/bigloo.scm 648 */
bool_t BgL_testz00_2944;
{ /* Llib/bigloo.scm 648 */
obj_t BgL_arg1374z00_1321;
BgL_arg1374z00_1321 = BGl_za2exitzd2mutexza2zd2zz__biglooz00; 
{ /* Llib/bigloo.scm 648 */
bool_t BgL_res1853z00_2104;
BgL_res1853z00_2104 = 
BGL_MUTEXP(BgL_arg1374z00_1321); 
BgL_testz00_2944 = BgL_res1853z00_2104; } } 
if(BgL_testz00_2944)
{ /* Llib/bigloo.scm 648 */
BgL_mutz00_1307 = BGl_za2exitzd2mutexza2zd2zz__biglooz00; }  else 
{ /* Llib/bigloo.scm 650 */
obj_t BgL_res1854z00_2106;
BgL_res1854z00_2106 = 
bgl_make_mutex(BGl_symbol1938z00zz__biglooz00); 
BgL_mutz00_1307 = BgL_res1854z00_2106; } } 
{ /* Llib/bigloo.scm 651 */
obj_t BgL_top2041z00_2948;
BgL_top2041z00_2948 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutz00_1307); 
BGL_EXITD_PUSH_PROTECT(BgL_top2041z00_2948, BgL_mutz00_1307); BUNSPEC; 
{ /* Llib/bigloo.scm 651 */
obj_t BgL_tmp2040z00_2947;
{ 
obj_t BgL_valz00_1309;
BgL_valz00_1309 = BgL_valz00_29; 
BgL_zc3anonymousza31366ze3z83_1310:
{ /* Llib/bigloo.scm 653 */
obj_t BgL_valz00_1311;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_valz00_1309))
{ /* Llib/bigloo.scm 653 */
BgL_valz00_1311 = BgL_valz00_1309; }  else 
{ /* Llib/bigloo.scm 653 */
BgL_valz00_1311 = 
BINT(((long)0)); } 
if(
PAIRP(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00))
{ /* Llib/bigloo.scm 657 */
obj_t BgL_funz00_1313;
BgL_funz00_1313 = 
CAR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00); 
BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = 
CDR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00); 
{ /* Llib/bigloo.scm 660 */
obj_t BgL_nvalz00_1314;
BgL_nvalz00_1314 = 
PROCEDURE_ENTRY(BgL_funz00_1313)(BgL_funz00_1313, BgL_valz00_1311, BEOA); 
{ /* Llib/bigloo.scm 661 */
obj_t BgL_arg1368z00_1315;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_nvalz00_1314))
{ /* Llib/bigloo.scm 661 */
BgL_arg1368z00_1315 = BgL_nvalz00_1314; }  else 
{ /* Llib/bigloo.scm 661 */
BgL_arg1368z00_1315 = BgL_valz00_1311; } 
{ 
obj_t BgL_valz00_2965;
BgL_valz00_2965 = BgL_arg1368z00_1315; 
BgL_valz00_1309 = BgL_valz00_2965; 
goto BgL_zc3anonymousza31366ze3z83_1310;} } } }  else 
{ /* Llib/bigloo.scm 656 */
BgL_tmp2040z00_2947 = BgL_valz00_1311; } } } 
BGL_EXITD_POP_PROTECT(BgL_top2041z00_2948); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutz00_1307); 
return BgL_tmp2040z00_2947;} } } } 
BGL_FUNCTION_END;
}



/* &bigloo-exit-apply */
obj_t BGl_z62bigloozd2exitzd2applyz62zz__biglooz00(obj_t BgL_envz00_2392, obj_t BgL_valz00_2393)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 647 */
return 
bigloo_exit_apply(BgL_valz00_2393);} 
BGL_FUNCTION_END;
}



/* time */
BGL_EXPORTED_DEF obj_t BGl_timez00zz__biglooz00(obj_t BgL_procz00_30)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 667 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_procz00_30, 
(int)(((long)0))))
{ /* Llib/bigloo.scm 668 */
return 
bgl_time(BgL_procz00_30);}  else 
{ /* Llib/bigloo.scm 668 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1970z00zz__biglooz00, BGl_string1967z00zz__biglooz00, BgL_procz00_30);} } 
BGL_FUNCTION_END;
}



/* &time */
obj_t BGl_z62timez62zz__biglooz00(obj_t BgL_envz00_2394, obj_t BgL_procz00_2395)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 667 */
{ /* Llib/bigloo.scm 668 */
obj_t BgL_auxz00_2974;
if(
PROCEDUREP(BgL_procz00_2395))
{ /* Llib/bigloo.scm 668 */
BgL_auxz00_2974 = BgL_procz00_2395
; }  else 
{ 
obj_t BgL_auxz00_2977;
BgL_auxz00_2977 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1943z00zz__biglooz00, 
BINT(((long)25317)), BGl_string1972z00zz__biglooz00, BGl_string1947z00zz__biglooz00, BgL_procz00_2395); 
FAILURE(BgL_auxz00_2977,BFALSE,BFALSE);} 
return 
BGl_timez00zz__biglooz00(BgL_auxz00_2974);} } 
BGL_FUNCTION_END;
}



/* bmem-reset! */
BGL_EXPORTED_DEF obj_t BGl_bmemzd2resetz12zc0zz__biglooz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 679 */
return 
bgl_bmem_reset();} 
BGL_FUNCTION_END;
}



/* &bmem-reset! */
obj_t BGl_z62bmemzd2resetz12za2zz__biglooz00(obj_t BgL_envz00_2396)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 679 */
return 
BGl_bmemzd2resetz12zc0zz__biglooz00();} 
BGL_FUNCTION_END;
}



/* bigloo-gc-verbose-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2gczd2verbosezd2setz12zc0zz__biglooz00(bool_t BgL_procz00_31)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 687 */
bgl_gc_verbose_set(BgL_procz00_31); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &bigloo-gc-verbose-set! */
obj_t BGl_z62bigloozd2gczd2verbosezd2setz12za2zz__biglooz00(obj_t BgL_envz00_2397, obj_t BgL_procz00_2398)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 687 */
return 
BGl_bigloozd2gczd2verbosezd2setz12zc0zz__biglooz00(
CBOOL(BgL_procz00_2398));} 
BGL_FUNCTION_END;
}



/* make-cell */
BGL_EXPORTED_DEF obj_t BGl_makezd2cellzd2zz__biglooz00(obj_t BgL_valz00_32)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 695 */
return 
MAKE_YOUNG_CELL(BgL_valz00_32);} 
BGL_FUNCTION_END;
}



/* &make-cell */
obj_t BGl_z62makezd2cellzb0zz__biglooz00(obj_t BgL_envz00_2399, obj_t BgL_valz00_2400)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 695 */
return 
BGl_makezd2cellzd2zz__biglooz00(BgL_valz00_2400);} 
BGL_FUNCTION_END;
}



/* cell? */
BGL_EXPORTED_DEF obj_t BGl_cellzf3zf3zz__biglooz00(obj_t BgL_objz00_33)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 701 */
return 
BBOOL(
CELLP(BgL_objz00_33));} 
BGL_FUNCTION_END;
}



/* &cell? */
obj_t BGl_z62cellzf3z91zz__biglooz00(obj_t BgL_envz00_2401, obj_t BgL_objz00_2402)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 701 */
return 
BGl_cellzf3zf3zz__biglooz00(BgL_objz00_2402);} 
BGL_FUNCTION_END;
}



/* cell-ref */
BGL_EXPORTED_DEF obj_t BGl_cellzd2refzd2zz__biglooz00(obj_t BgL_cellz00_34)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 707 */
return 
CELL_REF(BgL_cellz00_34);} 
BGL_FUNCTION_END;
}



/* &cell-ref */
obj_t BGl_z62cellzd2refzb0zz__biglooz00(obj_t BgL_envz00_2403, obj_t BgL_cellz00_2404)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 707 */
return 
BGl_cellzd2refzd2zz__biglooz00(BgL_cellz00_2404);} 
BGL_FUNCTION_END;
}



/* cell-set! */
BGL_EXPORTED_DEF obj_t BGl_cellzd2setz12zc0zz__biglooz00(obj_t BgL_cellz00_35, obj_t BgL_valz00_36)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 713 */
return 
CELL_SET(BgL_cellz00_35, BgL_valz00_36);} 
BGL_FUNCTION_END;
}



/* &cell-set! */
obj_t BGl_z62cellzd2setz12za2zz__biglooz00(obj_t BgL_envz00_2405, obj_t BgL_cellz00_2406, obj_t BgL_valz00_2407)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 713 */
return 
BGl_cellzd2setz12zc0zz__biglooz00(BgL_cellz00_2406, BgL_valz00_2407);} 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__biglooz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 14 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__biglooz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 14 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__biglooz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 14 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/bigloo.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string1973z00zz__biglooz00)); 
BGl_modulezd2initializa7ationz75zz__configurez00(((long)162289905), 
BSTRING_TO_STRING(BGl_string1973z00zz__biglooz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1973z00zz__biglooz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string1973z00zz__biglooz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string1973z00zz__biglooz00)); 
return 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string1973z00zz__biglooz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
