/*===========================================================================*/
/*   (Llib/ucs2.scm)                                                         */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Llib/ucs2.scm -o objs/obj_p/Llib/ucs2.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_z62ucs2ze3zf3z72zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62ucs2zd2upcasezb0zz__ucs2z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t, ucs2_t);
static obj_t BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_z62ucs2zd2ze3charz53zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ucs2z00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t, ucs2_t);
static obj_t BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t);
extern bool_t ucs2_digitp(ucs2_t);
BGL_EXPORTED_DECL int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t);
static obj_t BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t);
BGL_EXPORTED_DECL ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(unsigned char);
static obj_t BGl_cnstzd2initzd2zz__ucs2z00();
BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00();
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t, ucs2_t);
extern ucs2_t ucs2_tolower(ucs2_t);
static obj_t BGl_gczd2rootszd2initz00zz__ucs2z00();
static obj_t BGl_z62integerzd2ze3ucs2z53zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_symbol1501z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_z62charzd2ze3ucs2z53zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_symbol1511z00zz__ucs2z00 = BUNSPEC;
static obj_t BGl_z62ucs2zf3z91zz__ucs2z00(obj_t, obj_t);
BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t);
static obj_t BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t);
extern bool_t ucs2_upperp(ucs2_t);
static obj_t BGl_z62ucs2zd2ze3integerz53zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_z62ucs2zd2numericzf3z43zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_z62ucs2zd2downcasezb0zz__ucs2z00(obj_t, obj_t);
extern bool_t ucs2_definedp(int);
extern obj_t bstring_to_symbol(obj_t);
extern ucs2_t ucs2_toupper(ucs2_t);
extern bool_t ucs2_whitespacep(ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t, ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t);
BGL_EXPORTED_DECL ucs2_t BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00(int);
static obj_t BGl_profzd2initzd2zz__ucs2z00();
static obj_t BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00(obj_t, obj_t);
extern bool_t ucs2_lowerp(ucs2_t);
static obj_t BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00(obj_t, obj_t, obj_t);
extern bool_t ucs2_letterp(ucs2_t);
BGL_EXPORTED_DECL bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t);
static obj_t BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62ucs2zc3zf3z52zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00(obj_t, obj_t);
static obj_t BGl_z62ucs2zd3zf3z42zz__ucs2z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL unsigned char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_integerzd2ze3ucs2zd2urzd2envz31zz__ucs2z00, BgL_bgl_za762integerza7d2za7e31516za7, BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zc3zf3zd2envze2zz__ucs2z00, BgL_bgl_za762ucs2za7c3za7f3za7521517z00, BGl_z62ucs2zc3zf3z52zz__ucs2z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zf3zd2envz21zz__ucs2z00, BgL_bgl_za762ucs2za7f3za791za7za7_1518za7, BGl_z62ucs2zf3z91zz__ucs2z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1500z00zz__ucs2z00, BgL_bgl_string1500za700za7za7_1519za7, "&ucs2-downcase", 14 );
DEFINE_STRING( BGl_string1502z00zz__ucs2z00, BgL_bgl_string1502za700za7za7_1520za7, "integer->ucs2", 13 );
DEFINE_STRING( BGl_string1503z00zz__ucs2z00, BgL_bgl_string1503za700za7za7_1521za7, "Undefined UCS-2 character", 25 );
DEFINE_STRING( BGl_string1504z00zz__ucs2z00, BgL_bgl_string1504za700za7za7_1522za7, "integer out of range or ", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zd2upcasezd2envz00zz__ucs2z00, BgL_bgl_za762ucs2za7d2upcase1523z00, BGl_z62ucs2zd2upcasezb0zz__ucs2z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1505z00zz__ucs2z00, BgL_bgl_string1505za700za7za7_1524za7, "&integer->ucs2", 14 );
DEFINE_STRING( BGl_string1506z00zz__ucs2z00, BgL_bgl_string1506za700za7za7_1525za7, "bint", 4 );
DEFINE_STRING( BGl_string1507z00zz__ucs2z00, BgL_bgl_string1507za700za7za7_1526za7, "&integer->ucs2-ur", 17 );
DEFINE_STRING( BGl_string1508z00zz__ucs2z00, BgL_bgl_string1508za700za7za7_1527za7, "&ucs2->integer", 14 );
DEFINE_STRING( BGl_string1509z00zz__ucs2z00, BgL_bgl_string1509za700za7za7_1528za7, "&char->ucs2", 11 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zd2cizc3zf3zd2envz30zz__ucs2z00, BgL_bgl_za762ucs2za7d2ciza7c3za71529z00, BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zc3zd3zf3zd2envz31zz__ucs2z00, BgL_bgl_za762ucs2za7c3za7d3za7f31530z00, BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zd2numericzf3zd2envzf3zz__ucs2z00, BgL_bgl_za762ucs2za7d2numeri1531z00, BGl_z62ucs2zd2numericzf3z43zz__ucs2z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1510z00zz__ucs2z00, BgL_bgl_string1510za700za7za7_1532za7, "bchar", 5 );
DEFINE_STRING( BGl_string1512z00zz__ucs2z00, BgL_bgl_string1512za700za7za7_1533za7, "ucs2->char", 10 );
DEFINE_STRING( BGl_string1513z00zz__ucs2z00, BgL_bgl_string1513za700za7za7_1534za7, "UCS-2 character out of ISO-LATIN-1 range", 40 );
DEFINE_STRING( BGl_string1514z00zz__ucs2z00, BgL_bgl_string1514za700za7za7_1535za7, "&ucs2->char", 11 );
DEFINE_STRING( BGl_string1515z00zz__ucs2z00, BgL_bgl_string1515za700za7za7_1536za7, "__ucs2", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zd2alphabeticzf3zd2envzf3zz__ucs2z00, BgL_bgl_za762ucs2za7d2alphab1537z00, BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zd2lowerzd2casezf3zd2envz21zz__ucs2z00, BgL_bgl_za762ucs2za7d2lowerza71538za7, BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zd2ze3charzd2envze3zz__ucs2z00, BgL_bgl_za762ucs2za7d2za7e3cha1539za7, BGl_z62ucs2zd2ze3charz53zz__ucs2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zd3zf3zd2envzf2zz__ucs2z00, BgL_bgl_za762ucs2za7d3za7f3za7421540z00, BGl_z62ucs2zd3zf3z42zz__ucs2z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zd2cizd3zf3zd2envz20zz__ucs2z00, BgL_bgl_za762ucs2za7d2ciza7d3za71541z00, BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1482z00zz__ucs2z00, BgL_bgl_string1482za700za7za7_1542za7, "/builddir/build/BUILD/bigloo4.3f/runtime/Llib/ucs2.scm", 54 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zd2cize3zd3zf3zd2envzc3zz__ucs2z00, BgL_bgl_za762ucs2za7d2ciza7e3za71543z00, BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1483z00zz__ucs2z00, BgL_bgl_string1483za700za7za7_1544za7, "&ucs2=?", 7 );
DEFINE_STRING( BGl_string1484z00zz__ucs2z00, BgL_bgl_string1484za700za7za7_1545za7, "bucs2", 5 );
DEFINE_STRING( BGl_string1485z00zz__ucs2z00, BgL_bgl_string1485za700za7za7_1546za7, "&ucs2<?", 7 );
DEFINE_STRING( BGl_string1486z00zz__ucs2z00, BgL_bgl_string1486za700za7za7_1547za7, "&ucs2>?", 7 );
DEFINE_STRING( BGl_string1487z00zz__ucs2z00, BgL_bgl_string1487za700za7za7_1548za7, "&ucs2<=?", 8 );
DEFINE_STRING( BGl_string1488z00zz__ucs2z00, BgL_bgl_string1488za700za7za7_1549za7, "&ucs2>=?", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_integerzd2ze3ucs2zd2envze3zz__ucs2z00, BgL_bgl_za762integerza7d2za7e31550za7, BGl_z62integerzd2ze3ucs2z53zz__ucs2z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1489z00zz__ucs2z00, BgL_bgl_string1489za700za7za7_1551za7, "&ucs2-ci=?", 10 );
DEFINE_STRING( BGl_string1490z00zz__ucs2z00, BgL_bgl_string1490za700za7za7_1552za7, "&ucs2-ci<?", 10 );
DEFINE_STRING( BGl_string1491z00zz__ucs2z00, BgL_bgl_string1491za700za7za7_1553za7, "&ucs2-ci>?", 10 );
DEFINE_STRING( BGl_string1492z00zz__ucs2z00, BgL_bgl_string1492za700za7za7_1554za7, "&ucs2-ci<=?", 11 );
DEFINE_STRING( BGl_string1493z00zz__ucs2z00, BgL_bgl_string1493za700za7za7_1555za7, "&ucs2-ci>=?", 11 );
DEFINE_STRING( BGl_string1494z00zz__ucs2z00, BgL_bgl_string1494za700za7za7_1556za7, "&ucs2-alphabetic?", 17 );
DEFINE_STRING( BGl_string1495z00zz__ucs2z00, BgL_bgl_string1495za700za7za7_1557za7, "&ucs2-numeric?", 14 );
DEFINE_STRING( BGl_string1496z00zz__ucs2z00, BgL_bgl_string1496za700za7za7_1558za7, "&ucs2-whitespace?", 17 );
DEFINE_STRING( BGl_string1497z00zz__ucs2z00, BgL_bgl_string1497za700za7za7_1559za7, "&ucs2-upper-case?", 17 );
DEFINE_STRING( BGl_string1498z00zz__ucs2z00, BgL_bgl_string1498za700za7za7_1560za7, "&ucs2-lower-case?", 17 );
DEFINE_STRING( BGl_string1499z00zz__ucs2z00, BgL_bgl_string1499za700za7za7_1561za7, "&ucs2-upcase", 12 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zd2ze3integerzd2envze3zz__ucs2z00, BgL_bgl_za762ucs2za7d2za7e3int1562za7, BGl_z62ucs2zd2ze3integerz53zz__ucs2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zd2downcasezd2envz00zz__ucs2z00, BgL_bgl_za762ucs2za7d2downca1563z00, BGl_z62ucs2zd2downcasezb0zz__ucs2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_charzd2ze3ucs2zd2envze3zz__ucs2z00, BgL_bgl_za762charza7d2za7e3ucs1564za7, BGl_z62charzd2ze3ucs2z53zz__ucs2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2ze3zf3zd2envzc2zz__ucs2z00, BgL_bgl_za762ucs2za7e3za7f3za7721565z00, BGl_z62ucs2ze3zf3z72zz__ucs2z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zd2upperzd2casezf3zd2envz21zz__ucs2z00, BgL_bgl_za762ucs2za7d2upperza71566za7, BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zd2cizc3zd3zf3zd2envze3zz__ucs2z00, BgL_bgl_za762ucs2za7d2ciza7c3za71567z00, BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zd2cize3zf3zd2envz10zz__ucs2z00, BgL_bgl_za762ucs2za7d2ciza7e3za71568z00, BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2zd2whitespacezf3zd2envzf3zz__ucs2z00, BgL_bgl_za762ucs2za7d2whites1569z00, BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_ucs2ze3zd3zf3zd2envz11zz__ucs2z00, BgL_bgl_za762ucs2za7e3za7d3za7f31570z00, BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ucs2z00) );
ADD_ROOT( (void *)(&BGl_symbol1501z00zz__ucs2z00) );
ADD_ROOT( (void *)(&BGl_symbol1511z00zz__ucs2z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2?\" \"Llib/ucs2.scm\" 6054) \"BGl_ucs2zf3zf3zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2?\" \"Llib/ucs2.scm\" 6054) \"BGl_z62ucs2zf3z91zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2=?\" \"Llib/ucs2.scm\" 6322) \"BGl_ucs2zd3zf3z20zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2=?\" \"Llib/ucs2.scm\" 6322) \"BGl_z62ucs2zd3zf3z42zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2<?\" \"Llib/ucs2.scm\" 6608) \"BGl_ucs2zc3zf3z30zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2<?\" \"Llib/ucs2.scm\" 6608) \"BGl_z62ucs2zc3zf3z52zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2>?\" \"Llib/ucs2.scm\" 6894) \"BGl_ucs2ze3zf3z10zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2>?\" \"Llib/ucs2.scm\" 6894) \"BGl_z62ucs2ze3zf3z72zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2<=?\" \"Llib/ucs2.scm\" 7181) \"BGl_ucs2zc3zd3zf3ze3zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2<=?\" \"Llib/ucs2.scm\" 7181) \"BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2>=?\" \"Llib/ucs2.scm\" 7469) \"BGl_ucs2ze3zd3zf3zc3zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2>=?\" \"Llib/ucs2.scm\" 7469) \"BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2-ci=?\" \"Llib/ucs2.scm\" 7758) \"BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2-ci=?\" \"Llib/ucs2.scm\" 7758) \"BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2-ci<?\" \"Llib/ucs2.scm\" 8073) \"BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2-ci<?\" \"Llib/ucs2.scm\" 8073) \"BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2-ci>?\" \"Llib/ucs2.scm\" 8389) \"BGl_ucs2zd2cize3zf3zc2zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2-ci>?\" \"Llib/ucs2.scm\" 8389) \"BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2-ci<=?\" \"Llib/ucs2.scm\" 8705) \"BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2-ci<=?\" \"Llib/ucs2.scm\" 8705) \"BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2-ci>=?\" \"Llib/ucs2.scm\" 9022) \"BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2-ci>=?\" \"Llib/ucs2.scm\" 9022) \"BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2-alphabetic?\" \"Llib/ucs2.scm\" 9339) \"BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2-alphabetic?\" \"Llib/ucs2.scm\" 9339) \"BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2-numeric?\" \"Llib/ucs2.scm\" 9627) \"BGl_ucs2zd2numericzf3z21zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2-numeric?\" \"Llib/ucs2.scm\" 9627) \"BGl_z62ucs2zd2numericzf3z43zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2-whitespace?\" \"Llib/ucs2.scm\" 9911) \"BGl_ucs2zd2whitespacezf3z21zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2-whitespace?\" \"Llib/ucs2.scm\" 9911) \"BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2-upper-case?\" \"Llib/ucs2.scm\" 10203) \"BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2-upper-case?\" \"Llib/ucs2.scm\" 10203) \"BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2-lower-case?\" \"Llib/ucs2.scm\" 10490) \"BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2-lower-case?\" \"Llib/ucs2.scm\" 10490) \"BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2-upcase\" \"Llib/ucs2.scm\" 10777) \"BGl_ucs2zd2upcasezd2zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2-upcase\" \"Llib/ucs2.scm\" 10777) \"BGl_z62ucs2zd2upcasezb0zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2-downcase\" \"Llib/ucs2.scm\" 11059) \"BGl_ucs2zd2downcasezd2zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2-downcase\" \"Llib/ucs2.scm\" 11059) \"BGl_z62ucs2zd2downcasezb0zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"integer->ucs2\" \"Llib/ucs2.scm\" 11352) \"BGl_integerzd2ze3ucs2z31zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&integer->ucs2\" \"Llib/ucs2.scm\" 11352) \"BGl_z62integerzd2ze3ucs2z53zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"integer->ucs2-ur\" \"Llib/ucs2.scm\" 11838) \"BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&integer->ucs2-ur\" \"Llib/ucs2.scm\" 11838) \"BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2->integer\" \"Llib/ucs2.scm\" 12136) \"BGl_ucs2zd2ze3integerz31zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2->integer\" \"Llib/ucs2.scm\" 12136) \"BGl_z62ucs2zd2ze3integerz53zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"char->ucs2\" \"Llib/ucs2.scm\" 12433) \"BGl_charzd2ze3ucs2z31zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&char->ucs2\" \"Llib/ucs2.scm\" 12433) \"BGl_z62charzd2ze3ucs2z53zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ucs2->char\" \"Llib/ucs2.scm\" 12745) \"BGl_ucs2zd2ze3charz31zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&ucs2->char\" \"Llib/ucs2.scm\" 12745) \"BGl_z62ucs2zd2ze3charz53zz__ucs2z00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long BgL_checksumz00_1266, char * BgL_fromz00_1267)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ucs2z00))
{ 
BGl_requirezd2initializa7ationz75zz__ucs2z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ucs2z00(); 
BGl_cnstzd2initzd2zz__ucs2z00(); 
BGl_importedzd2moduleszd2initz00zz__ucs2z00(); 
return 
BGl_profzd2initzd2zz__ucs2z00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ucs2z00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 14 */
BGl_symbol1501z00zz__ucs2z00 = 
bstring_to_symbol(BGl_string1502z00zz__ucs2z00); 
return ( 
BGl_symbol1511z00zz__ucs2z00 = 
bstring_to_symbol(BGl_string1512z00zz__ucs2z00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ucs2z00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 14 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__ucs2z00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 14 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* ucs2? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t BgL_objz00_3)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 146 */
return 
UCS2P(BgL_objz00_3);} 
BGL_FUNCTION_END;
}



/* &ucs2? */
obj_t BGl_z62ucs2zf3z91zz__ucs2z00(obj_t BgL_envz00_1146, obj_t BgL_objz00_1147)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 146 */
return 
BBOOL(
BGl_ucs2zf3zf3zz__ucs2z00(BgL_objz00_1147));} 
BGL_FUNCTION_END;
}



/* ucs2=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t BgL_ucs2az00_4, ucs2_t BgL_ucs2bz00_5)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 152 */
return 
(BgL_ucs2az00_4==BgL_ucs2bz00_5);} 
BGL_FUNCTION_END;
}



/* &ucs2=? */
obj_t BGl_z62ucs2zd3zf3z42zz__ucs2z00(obj_t BgL_envz00_1148, obj_t BgL_ucs2az00_1149, obj_t BgL_ucs2bz00_1150)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 152 */
{ /* Llib/ucs2.scm 153 */
bool_t BgL_tmpz00_1283;
{ /* Llib/ucs2.scm 153 */
ucs2_t BgL_auxz00_1293;ucs2_t BgL_auxz00_1284;
{ /* Llib/ucs2.scm 153 */
obj_t BgL_tmpz00_1294;
if(
UCS2P(BgL_ucs2bz00_1150))
{ /* Llib/ucs2.scm 153 */
BgL_tmpz00_1294 = BgL_ucs2bz00_1150
; }  else 
{ 
obj_t BgL_auxz00_1297;
BgL_auxz00_1297 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)6361)), BGl_string1483z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2bz00_1150); 
FAILURE(BgL_auxz00_1297,BFALSE,BFALSE);} 
BgL_auxz00_1293 = 
CUCS2(BgL_tmpz00_1294); } 
{ /* Llib/ucs2.scm 153 */
obj_t BgL_tmpz00_1285;
if(
UCS2P(BgL_ucs2az00_1149))
{ /* Llib/ucs2.scm 153 */
BgL_tmpz00_1285 = BgL_ucs2az00_1149
; }  else 
{ 
obj_t BgL_auxz00_1288;
BgL_auxz00_1288 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)6361)), BGl_string1483z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2az00_1149); 
FAILURE(BgL_auxz00_1288,BFALSE,BFALSE);} 
BgL_auxz00_1284 = 
CUCS2(BgL_tmpz00_1285); } 
BgL_tmpz00_1283 = 
BGl_ucs2zd3zf3z20zz__ucs2z00(BgL_auxz00_1284, BgL_auxz00_1293); } 
return 
BBOOL(BgL_tmpz00_1283);} } 
BGL_FUNCTION_END;
}



/* ucs2<? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t BgL_ucs2az00_6, ucs2_t BgL_ucs2bz00_7)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 158 */
return 
(BgL_ucs2az00_6<BgL_ucs2bz00_7);} 
BGL_FUNCTION_END;
}



/* &ucs2<? */
obj_t BGl_z62ucs2zc3zf3z52zz__ucs2z00(obj_t BgL_envz00_1151, obj_t BgL_ucs2az00_1152, obj_t BgL_ucs2bz00_1153)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 158 */
{ /* Llib/ucs2.scm 159 */
bool_t BgL_tmpz00_1305;
{ /* Llib/ucs2.scm 159 */
ucs2_t BgL_auxz00_1315;ucs2_t BgL_auxz00_1306;
{ /* Llib/ucs2.scm 159 */
obj_t BgL_tmpz00_1316;
if(
UCS2P(BgL_ucs2bz00_1153))
{ /* Llib/ucs2.scm 159 */
BgL_tmpz00_1316 = BgL_ucs2bz00_1153
; }  else 
{ 
obj_t BgL_auxz00_1319;
BgL_auxz00_1319 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)6647)), BGl_string1485z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2bz00_1153); 
FAILURE(BgL_auxz00_1319,BFALSE,BFALSE);} 
BgL_auxz00_1315 = 
CUCS2(BgL_tmpz00_1316); } 
{ /* Llib/ucs2.scm 159 */
obj_t BgL_tmpz00_1307;
if(
UCS2P(BgL_ucs2az00_1152))
{ /* Llib/ucs2.scm 159 */
BgL_tmpz00_1307 = BgL_ucs2az00_1152
; }  else 
{ 
obj_t BgL_auxz00_1310;
BgL_auxz00_1310 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)6647)), BGl_string1485z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2az00_1152); 
FAILURE(BgL_auxz00_1310,BFALSE,BFALSE);} 
BgL_auxz00_1306 = 
CUCS2(BgL_tmpz00_1307); } 
BgL_tmpz00_1305 = 
BGl_ucs2zc3zf3z30zz__ucs2z00(BgL_auxz00_1306, BgL_auxz00_1315); } 
return 
BBOOL(BgL_tmpz00_1305);} } 
BGL_FUNCTION_END;
}



/* ucs2>? */
BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t BgL_ucs2az00_8, ucs2_t BgL_ucs2bz00_9)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 164 */
return 
(BgL_ucs2az00_8>BgL_ucs2bz00_9);} 
BGL_FUNCTION_END;
}



/* &ucs2>? */
obj_t BGl_z62ucs2ze3zf3z72zz__ucs2z00(obj_t BgL_envz00_1154, obj_t BgL_ucs2az00_1155, obj_t BgL_ucs2bz00_1156)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 164 */
{ /* Llib/ucs2.scm 165 */
bool_t BgL_tmpz00_1327;
{ /* Llib/ucs2.scm 165 */
ucs2_t BgL_auxz00_1337;ucs2_t BgL_auxz00_1328;
{ /* Llib/ucs2.scm 165 */
obj_t BgL_tmpz00_1338;
if(
UCS2P(BgL_ucs2bz00_1156))
{ /* Llib/ucs2.scm 165 */
BgL_tmpz00_1338 = BgL_ucs2bz00_1156
; }  else 
{ 
obj_t BgL_auxz00_1341;
BgL_auxz00_1341 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)6934)), BGl_string1486z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2bz00_1156); 
FAILURE(BgL_auxz00_1341,BFALSE,BFALSE);} 
BgL_auxz00_1337 = 
CUCS2(BgL_tmpz00_1338); } 
{ /* Llib/ucs2.scm 165 */
obj_t BgL_tmpz00_1329;
if(
UCS2P(BgL_ucs2az00_1155))
{ /* Llib/ucs2.scm 165 */
BgL_tmpz00_1329 = BgL_ucs2az00_1155
; }  else 
{ 
obj_t BgL_auxz00_1332;
BgL_auxz00_1332 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)6934)), BGl_string1486z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2az00_1155); 
FAILURE(BgL_auxz00_1332,BFALSE,BFALSE);} 
BgL_auxz00_1328 = 
CUCS2(BgL_tmpz00_1329); } 
BgL_tmpz00_1327 = 
BGl_ucs2ze3zf3z10zz__ucs2z00(BgL_auxz00_1328, BgL_auxz00_1337); } 
return 
BBOOL(BgL_tmpz00_1327);} } 
BGL_FUNCTION_END;
}



/* ucs2<=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t BgL_ucs2az00_10, ucs2_t BgL_ucs2bz00_11)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 170 */
return 
(BgL_ucs2az00_10<=BgL_ucs2bz00_11);} 
BGL_FUNCTION_END;
}



/* &ucs2<=? */
obj_t BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00(obj_t BgL_envz00_1157, obj_t BgL_ucs2az00_1158, obj_t BgL_ucs2bz00_1159)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 170 */
{ /* Llib/ucs2.scm 171 */
bool_t BgL_tmpz00_1349;
{ /* Llib/ucs2.scm 171 */
ucs2_t BgL_auxz00_1359;ucs2_t BgL_auxz00_1350;
{ /* Llib/ucs2.scm 171 */
obj_t BgL_tmpz00_1360;
if(
UCS2P(BgL_ucs2bz00_1159))
{ /* Llib/ucs2.scm 171 */
BgL_tmpz00_1360 = BgL_ucs2bz00_1159
; }  else 
{ 
obj_t BgL_auxz00_1363;
BgL_auxz00_1363 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)7221)), BGl_string1487z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2bz00_1159); 
FAILURE(BgL_auxz00_1363,BFALSE,BFALSE);} 
BgL_auxz00_1359 = 
CUCS2(BgL_tmpz00_1360); } 
{ /* Llib/ucs2.scm 171 */
obj_t BgL_tmpz00_1351;
if(
UCS2P(BgL_ucs2az00_1158))
{ /* Llib/ucs2.scm 171 */
BgL_tmpz00_1351 = BgL_ucs2az00_1158
; }  else 
{ 
obj_t BgL_auxz00_1354;
BgL_auxz00_1354 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)7221)), BGl_string1487z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2az00_1158); 
FAILURE(BgL_auxz00_1354,BFALSE,BFALSE);} 
BgL_auxz00_1350 = 
CUCS2(BgL_tmpz00_1351); } 
BgL_tmpz00_1349 = 
BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(BgL_auxz00_1350, BgL_auxz00_1359); } 
return 
BBOOL(BgL_tmpz00_1349);} } 
BGL_FUNCTION_END;
}



/* ucs2>=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t BgL_ucs2az00_12, ucs2_t BgL_ucs2bz00_13)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 176 */
return 
(BgL_ucs2az00_12>=BgL_ucs2bz00_13);} 
BGL_FUNCTION_END;
}



/* &ucs2>=? */
obj_t BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00(obj_t BgL_envz00_1160, obj_t BgL_ucs2az00_1161, obj_t BgL_ucs2bz00_1162)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 176 */
{ /* Llib/ucs2.scm 177 */
bool_t BgL_tmpz00_1371;
{ /* Llib/ucs2.scm 177 */
ucs2_t BgL_auxz00_1381;ucs2_t BgL_auxz00_1372;
{ /* Llib/ucs2.scm 177 */
obj_t BgL_tmpz00_1382;
if(
UCS2P(BgL_ucs2bz00_1162))
{ /* Llib/ucs2.scm 177 */
BgL_tmpz00_1382 = BgL_ucs2bz00_1162
; }  else 
{ 
obj_t BgL_auxz00_1385;
BgL_auxz00_1385 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)7510)), BGl_string1488z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2bz00_1162); 
FAILURE(BgL_auxz00_1385,BFALSE,BFALSE);} 
BgL_auxz00_1381 = 
CUCS2(BgL_tmpz00_1382); } 
{ /* Llib/ucs2.scm 177 */
obj_t BgL_tmpz00_1373;
if(
UCS2P(BgL_ucs2az00_1161))
{ /* Llib/ucs2.scm 177 */
BgL_tmpz00_1373 = BgL_ucs2az00_1161
; }  else 
{ 
obj_t BgL_auxz00_1376;
BgL_auxz00_1376 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)7510)), BGl_string1488z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2az00_1161); 
FAILURE(BgL_auxz00_1376,BFALSE,BFALSE);} 
BgL_auxz00_1372 = 
CUCS2(BgL_tmpz00_1373); } 
BgL_tmpz00_1371 = 
BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(BgL_auxz00_1372, BgL_auxz00_1381); } 
return 
BBOOL(BgL_tmpz00_1371);} } 
BGL_FUNCTION_END;
}



/* ucs2-ci=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t BgL_ucs2az00_14, ucs2_t BgL_ucs2bz00_15)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 182 */
return 
(
ucs2_toupper(BgL_ucs2az00_14)==
ucs2_toupper(BgL_ucs2bz00_15));} 
BGL_FUNCTION_END;
}



/* &ucs2-ci=? */
obj_t BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00(obj_t BgL_envz00_1163, obj_t BgL_ucs2az00_1164, obj_t BgL_ucs2bz00_1165)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 182 */
{ /* Llib/ucs2.scm 183 */
bool_t BgL_tmpz00_1395;
{ /* Llib/ucs2.scm 183 */
ucs2_t BgL_auxz00_1405;ucs2_t BgL_auxz00_1396;
{ /* Llib/ucs2.scm 183 */
obj_t BgL_tmpz00_1406;
if(
UCS2P(BgL_ucs2bz00_1165))
{ /* Llib/ucs2.scm 183 */
BgL_tmpz00_1406 = BgL_ucs2bz00_1165
; }  else 
{ 
obj_t BgL_auxz00_1409;
BgL_auxz00_1409 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)7808)), BGl_string1489z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2bz00_1165); 
FAILURE(BgL_auxz00_1409,BFALSE,BFALSE);} 
BgL_auxz00_1405 = 
CUCS2(BgL_tmpz00_1406); } 
{ /* Llib/ucs2.scm 183 */
obj_t BgL_tmpz00_1397;
if(
UCS2P(BgL_ucs2az00_1164))
{ /* Llib/ucs2.scm 183 */
BgL_tmpz00_1397 = BgL_ucs2az00_1164
; }  else 
{ 
obj_t BgL_auxz00_1400;
BgL_auxz00_1400 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)7808)), BGl_string1489z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2az00_1164); 
FAILURE(BgL_auxz00_1400,BFALSE,BFALSE);} 
BgL_auxz00_1396 = 
CUCS2(BgL_tmpz00_1397); } 
BgL_tmpz00_1395 = 
BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(BgL_auxz00_1396, BgL_auxz00_1405); } 
return 
BBOOL(BgL_tmpz00_1395);} } 
BGL_FUNCTION_END;
}



/* ucs2-ci<? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t BgL_ucs2az00_16, ucs2_t BgL_ucs2bz00_17)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 188 */
return 
(
ucs2_toupper(BgL_ucs2az00_16)<
ucs2_toupper(BgL_ucs2bz00_17));} 
BGL_FUNCTION_END;
}



/* &ucs2-ci<? */
obj_t BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00(obj_t BgL_envz00_1166, obj_t BgL_ucs2az00_1167, obj_t BgL_ucs2bz00_1168)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 188 */
{ /* Llib/ucs2.scm 189 */
bool_t BgL_tmpz00_1419;
{ /* Llib/ucs2.scm 189 */
ucs2_t BgL_auxz00_1429;ucs2_t BgL_auxz00_1420;
{ /* Llib/ucs2.scm 189 */
obj_t BgL_tmpz00_1430;
if(
UCS2P(BgL_ucs2bz00_1168))
{ /* Llib/ucs2.scm 189 */
BgL_tmpz00_1430 = BgL_ucs2bz00_1168
; }  else 
{ 
obj_t BgL_auxz00_1433;
BgL_auxz00_1433 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)8123)), BGl_string1490z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2bz00_1168); 
FAILURE(BgL_auxz00_1433,BFALSE,BFALSE);} 
BgL_auxz00_1429 = 
CUCS2(BgL_tmpz00_1430); } 
{ /* Llib/ucs2.scm 189 */
obj_t BgL_tmpz00_1421;
if(
UCS2P(BgL_ucs2az00_1167))
{ /* Llib/ucs2.scm 189 */
BgL_tmpz00_1421 = BgL_ucs2az00_1167
; }  else 
{ 
obj_t BgL_auxz00_1424;
BgL_auxz00_1424 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)8123)), BGl_string1490z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2az00_1167); 
FAILURE(BgL_auxz00_1424,BFALSE,BFALSE);} 
BgL_auxz00_1420 = 
CUCS2(BgL_tmpz00_1421); } 
BgL_tmpz00_1419 = 
BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(BgL_auxz00_1420, BgL_auxz00_1429); } 
return 
BBOOL(BgL_tmpz00_1419);} } 
BGL_FUNCTION_END;
}



/* ucs2-ci>? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t BgL_ucs2az00_18, ucs2_t BgL_ucs2bz00_19)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 194 */
return 
(
ucs2_toupper(BgL_ucs2az00_18)>
ucs2_toupper(BgL_ucs2bz00_19));} 
BGL_FUNCTION_END;
}



/* &ucs2-ci>? */
obj_t BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00(obj_t BgL_envz00_1169, obj_t BgL_ucs2az00_1170, obj_t BgL_ucs2bz00_1171)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 194 */
{ /* Llib/ucs2.scm 195 */
bool_t BgL_tmpz00_1443;
{ /* Llib/ucs2.scm 195 */
ucs2_t BgL_auxz00_1453;ucs2_t BgL_auxz00_1444;
{ /* Llib/ucs2.scm 195 */
obj_t BgL_tmpz00_1454;
if(
UCS2P(BgL_ucs2bz00_1171))
{ /* Llib/ucs2.scm 195 */
BgL_tmpz00_1454 = BgL_ucs2bz00_1171
; }  else 
{ 
obj_t BgL_auxz00_1457;
BgL_auxz00_1457 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)8440)), BGl_string1491z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2bz00_1171); 
FAILURE(BgL_auxz00_1457,BFALSE,BFALSE);} 
BgL_auxz00_1453 = 
CUCS2(BgL_tmpz00_1454); } 
{ /* Llib/ucs2.scm 195 */
obj_t BgL_tmpz00_1445;
if(
UCS2P(BgL_ucs2az00_1170))
{ /* Llib/ucs2.scm 195 */
BgL_tmpz00_1445 = BgL_ucs2az00_1170
; }  else 
{ 
obj_t BgL_auxz00_1448;
BgL_auxz00_1448 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)8440)), BGl_string1491z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2az00_1170); 
FAILURE(BgL_auxz00_1448,BFALSE,BFALSE);} 
BgL_auxz00_1444 = 
CUCS2(BgL_tmpz00_1445); } 
BgL_tmpz00_1443 = 
BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(BgL_auxz00_1444, BgL_auxz00_1453); } 
return 
BBOOL(BgL_tmpz00_1443);} } 
BGL_FUNCTION_END;
}



/* ucs2-ci<=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t BgL_ucs2az00_20, ucs2_t BgL_ucs2bz00_21)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 200 */
return 
(
ucs2_toupper(BgL_ucs2az00_20)<=
ucs2_toupper(BgL_ucs2bz00_21));} 
BGL_FUNCTION_END;
}



/* &ucs2-ci<=? */
obj_t BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00(obj_t BgL_envz00_1172, obj_t BgL_ucs2az00_1173, obj_t BgL_ucs2bz00_1174)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 200 */
{ /* Llib/ucs2.scm 201 */
bool_t BgL_tmpz00_1467;
{ /* Llib/ucs2.scm 201 */
ucs2_t BgL_auxz00_1477;ucs2_t BgL_auxz00_1468;
{ /* Llib/ucs2.scm 201 */
obj_t BgL_tmpz00_1478;
if(
UCS2P(BgL_ucs2bz00_1174))
{ /* Llib/ucs2.scm 201 */
BgL_tmpz00_1478 = BgL_ucs2bz00_1174
; }  else 
{ 
obj_t BgL_auxz00_1481;
BgL_auxz00_1481 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)8757)), BGl_string1492z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2bz00_1174); 
FAILURE(BgL_auxz00_1481,BFALSE,BFALSE);} 
BgL_auxz00_1477 = 
CUCS2(BgL_tmpz00_1478); } 
{ /* Llib/ucs2.scm 201 */
obj_t BgL_tmpz00_1469;
if(
UCS2P(BgL_ucs2az00_1173))
{ /* Llib/ucs2.scm 201 */
BgL_tmpz00_1469 = BgL_ucs2az00_1173
; }  else 
{ 
obj_t BgL_auxz00_1472;
BgL_auxz00_1472 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)8757)), BGl_string1492z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2az00_1173); 
FAILURE(BgL_auxz00_1472,BFALSE,BFALSE);} 
BgL_auxz00_1468 = 
CUCS2(BgL_tmpz00_1469); } 
BgL_tmpz00_1467 = 
BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(BgL_auxz00_1468, BgL_auxz00_1477); } 
return 
BBOOL(BgL_tmpz00_1467);} } 
BGL_FUNCTION_END;
}



/* ucs2-ci>=? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t BgL_ucs2az00_22, ucs2_t BgL_ucs2bz00_23)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 206 */
return 
(
ucs2_toupper(BgL_ucs2az00_22)>=
ucs2_toupper(BgL_ucs2bz00_23));} 
BGL_FUNCTION_END;
}



/* &ucs2-ci>=? */
obj_t BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00(obj_t BgL_envz00_1175, obj_t BgL_ucs2az00_1176, obj_t BgL_ucs2bz00_1177)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 206 */
{ /* Llib/ucs2.scm 207 */
bool_t BgL_tmpz00_1491;
{ /* Llib/ucs2.scm 207 */
ucs2_t BgL_auxz00_1501;ucs2_t BgL_auxz00_1492;
{ /* Llib/ucs2.scm 207 */
obj_t BgL_tmpz00_1502;
if(
UCS2P(BgL_ucs2bz00_1177))
{ /* Llib/ucs2.scm 207 */
BgL_tmpz00_1502 = BgL_ucs2bz00_1177
; }  else 
{ 
obj_t BgL_auxz00_1505;
BgL_auxz00_1505 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)9074)), BGl_string1493z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2bz00_1177); 
FAILURE(BgL_auxz00_1505,BFALSE,BFALSE);} 
BgL_auxz00_1501 = 
CUCS2(BgL_tmpz00_1502); } 
{ /* Llib/ucs2.scm 207 */
obj_t BgL_tmpz00_1493;
if(
UCS2P(BgL_ucs2az00_1176))
{ /* Llib/ucs2.scm 207 */
BgL_tmpz00_1493 = BgL_ucs2az00_1176
; }  else 
{ 
obj_t BgL_auxz00_1496;
BgL_auxz00_1496 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)9074)), BGl_string1493z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2az00_1176); 
FAILURE(BgL_auxz00_1496,BFALSE,BFALSE);} 
BgL_auxz00_1492 = 
CUCS2(BgL_tmpz00_1493); } 
BgL_tmpz00_1491 = 
BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(BgL_auxz00_1492, BgL_auxz00_1501); } 
return 
BBOOL(BgL_tmpz00_1491);} } 
BGL_FUNCTION_END;
}



/* ucs2-alphabetic? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t BgL_ucs2z00_24)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 212 */
return 
ucs2_letterp(BgL_ucs2z00_24);} 
BGL_FUNCTION_END;
}



/* &ucs2-alphabetic? */
obj_t BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00(obj_t BgL_envz00_1178, obj_t BgL_ucs2z00_1179)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 212 */
{ /* Llib/ucs2.scm 213 */
bool_t BgL_tmpz00_1513;
{ /* Llib/ucs2.scm 213 */
ucs2_t BgL_auxz00_1514;
{ /* Llib/ucs2.scm 213 */
obj_t BgL_tmpz00_1515;
if(
UCS2P(BgL_ucs2z00_1179))
{ /* Llib/ucs2.scm 213 */
BgL_tmpz00_1515 = BgL_ucs2z00_1179
; }  else 
{ 
obj_t BgL_auxz00_1518;
BgL_auxz00_1518 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)9381)), BGl_string1494z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2z00_1179); 
FAILURE(BgL_auxz00_1518,BFALSE,BFALSE);} 
BgL_auxz00_1514 = 
CUCS2(BgL_tmpz00_1515); } 
BgL_tmpz00_1513 = 
BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(BgL_auxz00_1514); } 
return 
BBOOL(BgL_tmpz00_1513);} } 
BGL_FUNCTION_END;
}



/* ucs2-numeric? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t BgL_ucs2z00_25)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 218 */
return 
ucs2_digitp(BgL_ucs2z00_25);} 
BGL_FUNCTION_END;
}



/* &ucs2-numeric? */
obj_t BGl_z62ucs2zd2numericzf3z43zz__ucs2z00(obj_t BgL_envz00_1180, obj_t BgL_ucs2z00_1181)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 218 */
{ /* Llib/ucs2.scm 219 */
bool_t BgL_tmpz00_1526;
{ /* Llib/ucs2.scm 219 */
ucs2_t BgL_auxz00_1527;
{ /* Llib/ucs2.scm 219 */
obj_t BgL_tmpz00_1528;
if(
UCS2P(BgL_ucs2z00_1181))
{ /* Llib/ucs2.scm 219 */
BgL_tmpz00_1528 = BgL_ucs2z00_1181
; }  else 
{ 
obj_t BgL_auxz00_1531;
BgL_auxz00_1531 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)9666)), BGl_string1495z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2z00_1181); 
FAILURE(BgL_auxz00_1531,BFALSE,BFALSE);} 
BgL_auxz00_1527 = 
CUCS2(BgL_tmpz00_1528); } 
BgL_tmpz00_1526 = 
BGl_ucs2zd2numericzf3z21zz__ucs2z00(BgL_auxz00_1527); } 
return 
BBOOL(BgL_tmpz00_1526);} } 
BGL_FUNCTION_END;
}



/* ucs2-whitespace? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t BgL_ucs2z00_26)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 224 */
return 
ucs2_whitespacep(BgL_ucs2z00_26);} 
BGL_FUNCTION_END;
}



/* &ucs2-whitespace? */
obj_t BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00(obj_t BgL_envz00_1182, obj_t BgL_ucs2z00_1183)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 224 */
{ /* Llib/ucs2.scm 225 */
bool_t BgL_tmpz00_1539;
{ /* Llib/ucs2.scm 225 */
ucs2_t BgL_auxz00_1540;
{ /* Llib/ucs2.scm 225 */
obj_t BgL_tmpz00_1541;
if(
UCS2P(BgL_ucs2z00_1183))
{ /* Llib/ucs2.scm 225 */
BgL_tmpz00_1541 = BgL_ucs2z00_1183
; }  else 
{ 
obj_t BgL_auxz00_1544;
BgL_auxz00_1544 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)9953)), BGl_string1496z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2z00_1183); 
FAILURE(BgL_auxz00_1544,BFALSE,BFALSE);} 
BgL_auxz00_1540 = 
CUCS2(BgL_tmpz00_1541); } 
BgL_tmpz00_1539 = 
BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(BgL_auxz00_1540); } 
return 
BBOOL(BgL_tmpz00_1539);} } 
BGL_FUNCTION_END;
}



/* ucs2-upper-case? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t BgL_ucs2z00_27)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 230 */
return 
ucs2_upperp(BgL_ucs2z00_27);} 
BGL_FUNCTION_END;
}



/* &ucs2-upper-case? */
obj_t BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00(obj_t BgL_envz00_1184, obj_t BgL_ucs2z00_1185)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 230 */
{ /* Llib/ucs2.scm 231 */
bool_t BgL_tmpz00_1552;
{ /* Llib/ucs2.scm 231 */
ucs2_t BgL_auxz00_1553;
{ /* Llib/ucs2.scm 231 */
obj_t BgL_tmpz00_1554;
if(
UCS2P(BgL_ucs2z00_1185))
{ /* Llib/ucs2.scm 231 */
BgL_tmpz00_1554 = BgL_ucs2z00_1185
; }  else 
{ 
obj_t BgL_auxz00_1557;
BgL_auxz00_1557 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)10245)), BGl_string1497z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2z00_1185); 
FAILURE(BgL_auxz00_1557,BFALSE,BFALSE);} 
BgL_auxz00_1553 = 
CUCS2(BgL_tmpz00_1554); } 
BgL_tmpz00_1552 = 
BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(BgL_auxz00_1553); } 
return 
BBOOL(BgL_tmpz00_1552);} } 
BGL_FUNCTION_END;
}



/* ucs2-lower-case? */
BGL_EXPORTED_DEF bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t BgL_ucs2z00_28)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 236 */
return 
ucs2_lowerp(BgL_ucs2z00_28);} 
BGL_FUNCTION_END;
}



/* &ucs2-lower-case? */
obj_t BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00(obj_t BgL_envz00_1186, obj_t BgL_ucs2z00_1187)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 236 */
{ /* Llib/ucs2.scm 237 */
bool_t BgL_tmpz00_1565;
{ /* Llib/ucs2.scm 237 */
ucs2_t BgL_auxz00_1566;
{ /* Llib/ucs2.scm 237 */
obj_t BgL_tmpz00_1567;
if(
UCS2P(BgL_ucs2z00_1187))
{ /* Llib/ucs2.scm 237 */
BgL_tmpz00_1567 = BgL_ucs2z00_1187
; }  else 
{ 
obj_t BgL_auxz00_1570;
BgL_auxz00_1570 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)10532)), BGl_string1498z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2z00_1187); 
FAILURE(BgL_auxz00_1570,BFALSE,BFALSE);} 
BgL_auxz00_1566 = 
CUCS2(BgL_tmpz00_1567); } 
BgL_tmpz00_1565 = 
BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(BgL_auxz00_1566); } 
return 
BBOOL(BgL_tmpz00_1565);} } 
BGL_FUNCTION_END;
}



/* ucs2-upcase */
BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t BgL_ucs2z00_29)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 242 */
return 
ucs2_toupper(BgL_ucs2z00_29);} 
BGL_FUNCTION_END;
}



/* &ucs2-upcase */
obj_t BGl_z62ucs2zd2upcasezb0zz__ucs2z00(obj_t BgL_envz00_1188, obj_t BgL_ucs2z00_1189)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 242 */
{ /* Llib/ucs2.scm 243 */
ucs2_t BgL_tmpz00_1578;
{ /* Llib/ucs2.scm 243 */
ucs2_t BgL_auxz00_1579;
{ /* Llib/ucs2.scm 243 */
obj_t BgL_tmpz00_1580;
if(
UCS2P(BgL_ucs2z00_1189))
{ /* Llib/ucs2.scm 243 */
BgL_tmpz00_1580 = BgL_ucs2z00_1189
; }  else 
{ 
obj_t BgL_auxz00_1583;
BgL_auxz00_1583 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)10814)), BGl_string1499z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2z00_1189); 
FAILURE(BgL_auxz00_1583,BFALSE,BFALSE);} 
BgL_auxz00_1579 = 
CUCS2(BgL_tmpz00_1580); } 
BgL_tmpz00_1578 = 
BGl_ucs2zd2upcasezd2zz__ucs2z00(BgL_auxz00_1579); } 
return 
BUCS2(BgL_tmpz00_1578);} } 
BGL_FUNCTION_END;
}



/* ucs2-downcase */
BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t BgL_ucs2z00_30)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 248 */
return 
ucs2_tolower(BgL_ucs2z00_30);} 
BGL_FUNCTION_END;
}



/* &ucs2-downcase */
obj_t BGl_z62ucs2zd2downcasezb0zz__ucs2z00(obj_t BgL_envz00_1190, obj_t BgL_ucs2z00_1191)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 248 */
{ /* Llib/ucs2.scm 249 */
ucs2_t BgL_tmpz00_1591;
{ /* Llib/ucs2.scm 249 */
ucs2_t BgL_auxz00_1592;
{ /* Llib/ucs2.scm 249 */
obj_t BgL_tmpz00_1593;
if(
UCS2P(BgL_ucs2z00_1191))
{ /* Llib/ucs2.scm 249 */
BgL_tmpz00_1593 = BgL_ucs2z00_1191
; }  else 
{ 
obj_t BgL_auxz00_1596;
BgL_auxz00_1596 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)11098)), BGl_string1500z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2z00_1191); 
FAILURE(BgL_auxz00_1596,BFALSE,BFALSE);} 
BgL_auxz00_1592 = 
CUCS2(BgL_tmpz00_1593); } 
BgL_tmpz00_1591 = 
BGl_ucs2zd2downcasezd2zz__ucs2z00(BgL_auxz00_1592); } 
return 
BUCS2(BgL_tmpz00_1591);} } 
BGL_FUNCTION_END;
}



/* integer->ucs2 */
BGL_EXPORTED_DEF ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int BgL_intz00_31)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 254 */
{ /* Llib/ucs2.scm 255 */
bool_t BgL_testz00_1603;
if(
(
(long)(BgL_intz00_31)>=((long)0)))
{ /* Llib/ucs2.scm 255 */
BgL_testz00_1603 = 
(
(long)(BgL_intz00_31)<((long)65536))
; }  else 
{ /* Llib/ucs2.scm 255 */
BgL_testz00_1603 = ((bool_t)0)
; } 
if(BgL_testz00_1603)
{ /* Llib/ucs2.scm 255 */
if(
ucs2_definedp(BgL_intz00_31))
{ /* Llib/ucs2.scm 256 */
return 
BGL_INT_TO_UCS2(BgL_intz00_31);}  else 
{ /* Llib/ucs2.scm 256 */
return 
CUCS2(
BGl_errorz00zz__errorz00(BGl_symbol1501z00zz__ucs2z00, BGl_string1503z00zz__ucs2z00, 
BINT(BgL_intz00_31)));} }  else 
{ /* Llib/ucs2.scm 255 */
return 
CUCS2(
BGl_errorz00zz__errorz00(BGl_symbol1501z00zz__ucs2z00, BGl_string1504z00zz__ucs2z00, 
BINT(BgL_intz00_31)));} } } 
BGL_FUNCTION_END;
}



/* &integer->ucs2 */
obj_t BGl_z62integerzd2ze3ucs2z53zz__ucs2z00(obj_t BgL_envz00_1192, obj_t BgL_intz00_1193)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 254 */
{ /* Llib/ucs2.scm 255 */
ucs2_t BgL_tmpz00_1618;
{ /* Llib/ucs2.scm 255 */
int BgL_auxz00_1619;
{ /* Llib/ucs2.scm 255 */
obj_t BgL_tmpz00_1620;
if(
INTEGERP(BgL_intz00_1193))
{ /* Llib/ucs2.scm 255 */
BgL_tmpz00_1620 = BgL_intz00_1193
; }  else 
{ 
obj_t BgL_auxz00_1623;
BgL_auxz00_1623 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)11394)), BGl_string1505z00zz__ucs2z00, BGl_string1506z00zz__ucs2z00, BgL_intz00_1193); 
FAILURE(BgL_auxz00_1623,BFALSE,BFALSE);} 
BgL_auxz00_1619 = 
CINT(BgL_tmpz00_1620); } 
BgL_tmpz00_1618 = 
BGl_integerzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1619); } 
return 
BUCS2(BgL_tmpz00_1618);} } 
BGL_FUNCTION_END;
}



/* integer->ucs2-ur */
BGL_EXPORTED_DEF ucs2_t BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00(int BgL_intz00_32)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 264 */
return 
BGL_INT_TO_UCS2(BgL_intz00_32);} 
BGL_FUNCTION_END;
}



/* &integer->ucs2-ur */
obj_t BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00(obj_t BgL_envz00_1194, obj_t BgL_intz00_1195)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 264 */
{ /* Llib/ucs2.scm 265 */
ucs2_t BgL_tmpz00_1631;
{ /* Llib/ucs2.scm 265 */
int BgL_auxz00_1632;
{ /* Llib/ucs2.scm 265 */
obj_t BgL_tmpz00_1633;
if(
INTEGERP(BgL_intz00_1195))
{ /* Llib/ucs2.scm 265 */
BgL_tmpz00_1633 = BgL_intz00_1195
; }  else 
{ 
obj_t BgL_auxz00_1636;
BgL_auxz00_1636 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)11890)), BGl_string1507z00zz__ucs2z00, BGl_string1506z00zz__ucs2z00, BgL_intz00_1195); 
FAILURE(BgL_auxz00_1636,BFALSE,BFALSE);} 
BgL_auxz00_1632 = 
CINT(BgL_tmpz00_1633); } 
BgL_tmpz00_1631 = 
BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00(BgL_auxz00_1632); } 
return 
BUCS2(BgL_tmpz00_1631);} } 
BGL_FUNCTION_END;
}



/* ucs2->integer */
BGL_EXPORTED_DEF int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t BgL_ucs2z00_33)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 270 */
{ /* Llib/ucs2.scm 271 */
obj_t BgL_tmpz00_1643;
BgL_tmpz00_1643 = 
BUCS2(BgL_ucs2z00_33); 
return 
CUCS2(BgL_tmpz00_1643);} } 
BGL_FUNCTION_END;
}



/* &ucs2->integer */
obj_t BGl_z62ucs2zd2ze3integerz53zz__ucs2z00(obj_t BgL_envz00_1196, obj_t BgL_ucs2z00_1197)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 270 */
{ /* Llib/ucs2.scm 271 */
int BgL_tmpz00_1646;
{ /* Llib/ucs2.scm 271 */
ucs2_t BgL_auxz00_1647;
{ /* Llib/ucs2.scm 271 */
obj_t BgL_tmpz00_1648;
if(
UCS2P(BgL_ucs2z00_1197))
{ /* Llib/ucs2.scm 271 */
BgL_tmpz00_1648 = BgL_ucs2z00_1197
; }  else 
{ 
obj_t BgL_auxz00_1651;
BgL_auxz00_1651 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)12186)), BGl_string1508z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2z00_1197); 
FAILURE(BgL_auxz00_1651,BFALSE,BFALSE);} 
BgL_auxz00_1647 = 
CUCS2(BgL_tmpz00_1648); } 
BgL_tmpz00_1646 = 
BGl_ucs2zd2ze3integerz31zz__ucs2z00(BgL_auxz00_1647); } 
return 
BINT(BgL_tmpz00_1646);} } 
BGL_FUNCTION_END;
}



/* char->ucs2 */
BGL_EXPORTED_DEF ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(unsigned char BgL_charz00_34)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 276 */
{ /* Llib/ucs2.scm 265 */
int BgL_tmpz00_1658;
BgL_tmpz00_1658 = 
(int)(
(
(unsigned char)(BgL_charz00_34))); 
return 
BGL_INT_TO_UCS2(BgL_tmpz00_1658);} } 
BGL_FUNCTION_END;
}



/* &char->ucs2 */
obj_t BGl_z62charzd2ze3ucs2z53zz__ucs2z00(obj_t BgL_envz00_1198, obj_t BgL_charz00_1199)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 276 */
{ /* Llib/ucs2.scm 277 */
ucs2_t BgL_tmpz00_1663;
{ /* Llib/ucs2.scm 277 */
unsigned char BgL_auxz00_1664;
{ /* Llib/ucs2.scm 277 */
obj_t BgL_tmpz00_1665;
if(
CHARP(BgL_charz00_1199))
{ /* Llib/ucs2.scm 277 */
BgL_tmpz00_1665 = BgL_charz00_1199
; }  else 
{ 
obj_t BgL_auxz00_1668;
BgL_auxz00_1668 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)12499)), BGl_string1509z00zz__ucs2z00, BGl_string1510z00zz__ucs2z00, BgL_charz00_1199); 
FAILURE(BgL_auxz00_1668,BFALSE,BFALSE);} 
BgL_auxz00_1664 = 
CCHAR(BgL_tmpz00_1665); } 
BgL_tmpz00_1663 = 
BGl_charzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1664); } 
return 
BUCS2(BgL_tmpz00_1663);} } 
BGL_FUNCTION_END;
}



/* ucs2->char */
BGL_EXPORTED_DEF unsigned char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t BgL_ucs2z00_35)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 282 */
{ /* Llib/ucs2.scm 283 */
int BgL_intz00_764;
{ /* Llib/ucs2.scm 283 */
int BgL_res1399z00_1068;
{ /* Llib/ucs2.scm 271 */
obj_t BgL_tmpz00_1675;
BgL_tmpz00_1675 = 
BUCS2(BgL_ucs2z00_35); 
BgL_res1399z00_1068 = 
CUCS2(BgL_tmpz00_1675); } 
BgL_intz00_764 = BgL_res1399z00_1068; } 
if(
(
(long)(BgL_intz00_764)<((long)256)))
{ /* Llib/ucs2.scm 284 */
return 
(char)(
(
(long)(BgL_intz00_764)));}  else 
{ /* Llib/ucs2.scm 284 */
return 
CCHAR(
BGl_errorz00zz__errorz00(BGl_symbol1511z00zz__ucs2z00, BGl_string1513z00zz__ucs2z00, 
BUCS2(BgL_ucs2z00_35)));} } } 
BGL_FUNCTION_END;
}



/* &ucs2->char */
obj_t BGl_z62ucs2zd2ze3charz53zz__ucs2z00(obj_t BgL_envz00_1200, obj_t BgL_ucs2z00_1201)
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 282 */
{ /* Llib/ucs2.scm 283 */
unsigned char BgL_tmpz00_1687;
{ /* Llib/ucs2.scm 283 */
ucs2_t BgL_auxz00_1688;
{ /* Llib/ucs2.scm 283 */
obj_t BgL_tmpz00_1689;
if(
UCS2P(BgL_ucs2z00_1201))
{ /* Llib/ucs2.scm 283 */
BgL_tmpz00_1689 = BgL_ucs2z00_1201
; }  else 
{ 
obj_t BgL_auxz00_1692;
BgL_auxz00_1692 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__ucs2z00, 
BINT(((long)12786)), BGl_string1514z00zz__ucs2z00, BGl_string1484z00zz__ucs2z00, BgL_ucs2z00_1201); 
FAILURE(BgL_auxz00_1692,BFALSE,BFALSE);} 
BgL_auxz00_1688 = 
CUCS2(BgL_tmpz00_1689); } 
BgL_tmpz00_1687 = 
BGl_ucs2zd2ze3charz31zz__ucs2z00(BgL_auxz00_1688); } 
return 
BCHAR(BgL_tmpz00_1687);} } 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00()
{ BGL_FUNCTION_BEGIN;
{ /* Llib/ucs2.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string1515z00zz__ucs2z00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
